/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_seqam.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 242 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FILTER = 398,
    FIRST_P = 399,
    FLOAT_P = 400,
    FOLLOWING = 401,
    FOR = 402,
    FORCE = 403,
    FOREIGN = 404,
    FORWARD = 405,
    FREEZE = 406,
    FROM = 407,
    FULL = 408,
    FUNCTION = 409,
    FUNCTIONS = 410,
    GLOBAL = 411,
    GRANT = 412,
    GRANTED = 413,
    GREATEST = 414,
    GROUP_P = 415,
    HANDLER = 416,
    HAVING = 417,
    HEADER_P = 418,
    HOLD = 419,
    HOUR_P = 420,
    IDENTITY_P = 421,
    IF_P = 422,
    ILIKE = 423,
    IMMEDIATE = 424,
    IMMUTABLE = 425,
    IMPLICIT_P = 426,
    IN_P = 427,
    INCLUDING = 428,
    INCREMENT = 429,
    INDEX = 430,
    INDEXES = 431,
    INHERIT = 432,
    INHERITS = 433,
    INITIALLY = 434,
    INLINE_P = 435,
    INNER_P = 436,
    INOUT = 437,
    INPUT_P = 438,
    INSENSITIVE = 439,
    INSERT = 440,
    INSTEAD = 441,
    INT_P = 442,
    INTEGER = 443,
    INTERSECT = 444,
    INTERVAL = 445,
    INTO = 446,
    INVOKER = 447,
    IS = 448,
    ISNULL = 449,
    ISOLATION = 450,
    JOIN = 451,
    KEY = 452,
    LABEL = 453,
    LANGUAGE = 454,
    LARGE_P = 455,
    LAST_P = 456,
    LATERAL_P = 457,
    LC_COLLATE_P = 458,
    LC_CTYPE_P = 459,
    LEADING = 460,
    LEAKPROOF = 461,
    LEAST = 462,
    LEFT = 463,
    LEVEL = 464,
    LIKE = 465,
    LIMIT = 466,
    LISTEN = 467,
    LOAD = 468,
    LOCAL = 469,
    LOCALTIME = 470,
    LOCALTIMESTAMP = 471,
    LOCATION = 472,
    LOCK_P = 473,
    MAPPING = 474,
    MATCH = 475,
    MATERIALIZED = 476,
    MAXVALUE = 477,
    MINUTE_P = 478,
    MINVALUE = 479,
    MODE = 480,
    MONTH_P = 481,
    MOVE = 482,
    NAME_P = 483,
    NAMES = 484,
    NATIONAL = 485,
    NATURAL = 486,
    NCHAR = 487,
    NEXT = 488,
    NO = 489,
    NONE = 490,
    NOT = 491,
    NOTHING = 492,
    NOTIFY = 493,
    NOTNULL = 494,
    NOWAIT = 495,
    NULL_P = 496,
    NULLIF = 497,
    NULLS_P = 498,
    NUMERIC = 499,
    OBJECT_P = 500,
    OF = 501,
    OFF = 502,
    OFFSET = 503,
    OIDS = 504,
    ON = 505,
    ONLY = 506,
    OPERATOR = 507,
    OPTION = 508,
    OPTIONS = 509,
    OR = 510,
    ORDER = 511,
    ORDINALITY = 512,
    OUT_P = 513,
    OUTER_P = 514,
    OVER = 515,
    OVERLAPS = 516,
    OVERLAY = 517,
    OWNED = 518,
    OWNER = 519,
    PARSER = 520,
    PARTIAL = 521,
    PARTITION = 522,
    PASSING = 523,
    PASSWORD = 524,
    PLACING = 525,
    PLANS = 526,
    POSITION = 527,
    PRECEDING = 528,
    PRECISION = 529,
    PRESERVE = 530,
    PREPARE = 531,
    PREPARED = 532,
    PRIMARY = 533,
    PRIOR = 534,
    PRIVILEGES = 535,
    PROCEDURAL = 536,
    PROCEDURE = 537,
    PROGRAM = 538,
    QUOTE = 539,
    RANGE = 540,
    READ = 541,
    REAL = 542,
    REASSIGN = 543,
    RECHECK = 544,
    RECURSIVE = 545,
    REF = 546,
    REFERENCES = 547,
    REFRESH = 548,
    REINDEX = 549,
    RELATIVE_P = 550,
    RELEASE = 551,
    RENAME = 552,
    REPEATABLE = 553,
    REPLACE = 554,
    REPLICA = 555,
    RESET = 556,
    RESTART = 557,
    RESTRICT = 558,
    RETURNING = 559,
    RETURNS = 560,
    REVOKE = 561,
    RIGHT = 562,
    ROLE = 563,
    ROLLBACK = 564,
    ROW = 565,
    ROWS = 566,
    RULE = 567,
    SAVEPOINT = 568,
    SCHEMA = 569,
    SCROLL = 570,
    SEARCH = 571,
    SECOND_P = 572,
    SECURITY = 573,
    SELECT = 574,
    SEQUENCE = 575,
    SEQUENCES = 576,
    SERIALIZABLE = 577,
    SERVER = 578,
    SESSION = 579,
    SESSION_USER = 580,
    SET = 581,
    SETOF = 582,
    SHARE = 583,
    SHOW = 584,
    SIMILAR = 585,
    SIMPLE = 586,
    SMALLINT = 587,
    SNAPSHOT = 588,
    SOME = 589,
    STABLE = 590,
    STANDALONE_P = 591,
    START = 592,
    STATEMENT = 593,
    STATISTICS = 594,
    STDIN = 595,
    STDOUT = 596,
    STORAGE = 597,
    STRICT_P = 598,
    STRIP_P = 599,
    SUBSTRING = 600,
    SYMMETRIC = 601,
    SYSID = 602,
    SYSTEM_P = 603,
    TABLE = 604,
    TABLES = 605,
    TABLESPACE = 606,
    TEMP = 607,
    TEMPLATE = 608,
    TEMPORARY = 609,
    TEXT_P = 610,
    THEN = 611,
    TIME = 612,
    TIMESTAMP = 613,
    TO = 614,
    TRAILING = 615,
    TRANSACTION = 616,
    TREAT = 617,
    TRIGGER = 618,
    TRIM = 619,
    TRUE_P = 620,
    TRUNCATE = 621,
    TRUSTED = 622,
    TYPE_P = 623,
    TYPES_P = 624,
    UNBOUNDED = 625,
    UNCOMMITTED = 626,
    UNENCRYPTED = 627,
    UNION = 628,
    UNIQUE = 629,
    UNKNOWN = 630,
    UNLISTEN = 631,
    UNLOGGED = 632,
    UNTIL = 633,
    UPDATE = 634,
    USER = 635,
    USING = 636,
    VACUUM = 637,
    VALID = 638,
    VALIDATE = 639,
    VALIDATOR = 640,
    VALUE_P = 641,
    VALUES = 642,
    VARCHAR = 643,
    VARIADIC = 644,
    VARYING = 645,
    VERBOSE = 646,
    VERSION_P = 647,
    VIEW = 648,
    VIEWS = 649,
    VOLATILE = 650,
    WHEN = 651,
    WHERE = 652,
    WHITESPACE_P = 653,
    WINDOW = 654,
    WITH = 655,
    WITHIN = 656,
    WITHOUT = 657,
    WORK = 658,
    WRAPPER = 659,
    WRITE = 660,
    XML_P = 661,
    XMLATTRIBUTES = 662,
    XMLCONCAT = 663,
    XMLELEMENT = 664,
    XMLEXISTS = 665,
    XMLFOREST = 666,
    XMLPARSE = 667,
    XMLPI = 668,
    XMLROOT = 669,
    XMLSERIALIZE = 670,
    YEAR_P = 671,
    YES_P = 672,
    ZONE = 673,
    NULLS_FIRST = 674,
    NULLS_LAST = 675,
    WITH_ORDINALITY = 676,
    WITH_TIME = 677,
    POSTFIXOP = 678,
    UMINUS = 679
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 180 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 744 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 772 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  727
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   80445

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  576
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2375
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4605

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   691,   691,   698,   705,   715,   716,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   746,   747,   748,   749,
     750,   751,   752,   753,   754,   755,   756,   757,   758,   759,
     760,   761,   762,   763,   764,   765,   766,   767,   768,   769,
     770,   771,   772,   773,   774,   775,   776,   777,   778,   779,
     780,   781,   782,   783,   784,   785,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   815,   816,   817,   818,   819,
     820,   821,   822,   823,   824,   825,   826,   827,   828,   829,
     830,   832,   842,   853,   854,   863,   864,   868,   869,   873,
     878,   882,   887,   892,   896,   900,   905,   909,   963,   965,
     969,   973,   977,   981,   995,  1013,  1024,  1025,  1029,  1037,
    1055,  1067,  1075,  1096,  1103,  1122,  1129,  1146,  1164,  1175,
    1176,  1188,  1195,  1212,  1225,  1235,  1253,  1271,  1272,  1276,
    1283,  1291,  1292,  1293,  1294,  1295,  1296,  1310,  1316,  1322,
    1331,  1339,  1347,  1351,  1359,  1367,  1374,  1383,  1384,  1392,
    1403,  1411,  1419,  1430,  1438,  1446,  1453,  1462,  1472,  1473,
    1477,  1478,  1481,  1483,  1487,  1488,  1489,  1490,  1494,  1495,
    1496,  1502,  1514,  1518,  1522,  1537,  1560,  1561,  1562,  1566,
    1567,  1568,  1572,  1573,  1577,  1581,  1582,  1589,  1596,  1606,
    1613,  1623,  1624,  1629,  1630,  1635,  1641,  1647,  1653,  1659,
    1669,  1679,  1680,  1684,  1685,  1693,  1708,  1714,  1720,  1726,
    1732,  1751,  1760,  1769,  1780,  1791,  1800,  1809,  1820,  1831,
    1840,  1849,  1858,  1867,  1876,  1885,  1896,  1910,  1911,  1916,
    1924,  1932,  1941,  1949,  1957,  1966,  1975,  1984,  1993,  2003,
    2016,  2031,  2040,  2048,  2063,  2071,  2081,  2091,  2098,  2105,
    2113,  2121,  2129,  2137,  2145,  2152,  2159,  2167,  2174,  2181,
    2189,  2197,  2205,  2213,  2221,  2229,  2239,  2246,  2254,  2262,
    2270,  2278,  2285,  2295,  2296,  2300,  2301,  2302,  2306,  2314,
    2318,  2319,  2323,  2330,  2337,  2344,  2354,  2357,  2358,  2362,
    2363,  2368,  2372,  2376,  2381,  2396,  2409,  2410,  2415,  2424,
    2434,  2444,  2470,  2476,  2506,  2535,  2557,  2558,  2562,  2563,
    2572,  2573,  2574,  2577,  2578,  2583,  2584,  2588,  2592,  2596,
    2600,  2604,  2608,  2612,  2616,  2620,  2624,  2628,  2632,  2636,
    2640,  2649,  2653,  2657,  2661,  2665,  2669,  2673,  2674,  2679,
    2683,  2690,  2697,  2698,  2699,  2700,  2701,  2705,  2709,  2717,
    2728,  2743,  2759,  2775,  2804,  2805,  2806,  2807,  2808,  2815,
    2822,  2823,  2827,  2828,  2832,  2833,  2837,  2841,  2848,  2852,
    2859,  2860,  2861,  2865,  2866,  2869,  2890,  2911,  2912,  2916,
    2924,  2925,  2926,  2957,  2964,  2971,  2982,  2993,  3003,  3012,
    3045,  3052,  3059,  3066,  3077,  3087,  3088,  3089,  3093,  3094,
    3095,  3096,  3097,  3098,  3107,  3115,  3119,  3132,  3147,  3161,
    3176,  3190,  3208,  3229,  3230,  3234,  3235,  3239,  3240,  3243,
    3249,  3253,  3261,  3266,  3272,  3273,  3277,  3282,  3289,  3290,
    3300,  3302,  3304,  3306,  3309,  3312,  3315,  3319,  3320,  3321,
    3322,  3323,  3326,  3327,  3332,  3333,  3334,  3335,  3338,  3339,
    3340,  3341,  3344,  3345,  3348,  3349,  3352,  3367,  3382,  3396,
    3397,  3398,  3410,  3425,  3438,  3439,  3451,  3471,  3482,  3494,
    3509,  3519,  3530,  3541,  3551,  3562,  3575,  3576,  3579,  3580,
    3583,  3587,  3591,  3595,  3599,  3603,  3607,  3611,  3615,  3619,
    3623,  3627,  3633,  3634,  3638,  3639,  3640,  3645,  3648,  3649,
    3661,  3673,  3688,  3689,  3697,  3698,  3702,  3703,  3707,  3708,
    3712,  3713,  3717,  3728,  3741,  3742,  3752,  3763,  3764,  3777,
    3784,  3801,  3809,  3820,  3823,  3827,  3831,  3835,  3847,  3857,
    3860,  3864,  3877,  3887,  3897,  3906,  3915,  3924,  3934,  3943,
    3953,  3963,  3973,  3982,  3991,  4000,  4009,  4018,  4027,  4036,
    4045,  4054,  4063,  4072,  4081,  4090,  4108,  4119,  4120,  4121,
    4122,  4126,  4127,  4131,  4132,  4142,  4153,  4173,  4181,  4193,
    4194,  4198,  4202,  4210,  4214,  4218,  4225,  4229,  4234,  4239,
    4246,  4253,  4258,  4268,  4282,  4283,  4288,  4289,  4293,  4294,
    4304,  4315,  4335,  4344,  4352,  4369,  4384,  4409,  4418,  4436,
    4448,  4449,  4450,  4460,  4468,  4485,  4504,  4524,  4549,  4550,
    4551,  4555,  4557,  4579,  4581,  4583,  4585,  4587,  4592,  4597,
    4607,  4608,  4612,  4613,  4617,  4618,  4622,  4623,  4624,  4628,
    4634,  4635,  4636,  4640,  4641,  4646,  4647,  4674,  4675,  4676,
    4677,  4678,  4679,  4684,  4695,  4718,  4728,  4742,  4744,  4749,
    4754,  4756,  4761,  4771,  4772,  4773,  4774,  4786,  4806,  4829,
    4839,  4850,  4860,  4870,  4881,  4890,  4897,  4904,  4913,  4922,
    4931,  4940,  4949,  4960,  4963,  4964,  4967,  4971,  4978,  4979,
    4980,  4981,  4982,  4985,  4988,  4989,  4997,  5004,  5005,  5008,
    5010,  5021,  5031,  5041,  5053,  5054,  5070,  5085,  5086,  5090,
    5100,  5111,  5120,  5130,  5139,  5140,  5143,  5144,  5147,  5148,
    5149,  5152,  5166,  5171,  5181,  5190,  5202,  5203,  5207,  5215,
    5227,  5238,  5252,  5263,  5286,  5296,  5314,  5325,  5336,  5347,
    5361,  5362,  5363,  5364,  5365,  5366,  5367,  5368,  5369,  5370,
    5371,  5372,  5373,  5374,  5375,  5376,  5377,  5381,  5382,  5385,
    5386,  5389,  5391,  5404,  5415,  5416,  5417,  5449,  5458,  5467,
    5476,  5485,  5494,  5503,  5513,  5522,  5531,  5540,  5549,  5558,
    5570,  5571,  5572,  5573,  5574,  5575,  5576,  5577,  5578,  5579,
    5580,  5581,  5582,  5583,  5584,  5585,  5586,  5587,  5588,  5589,
    5590,  5591,  5592,  5596,  5597,  5611,  5622,  5633,  5644,  5655,
    5668,  5669,  5673,  5674,  5675,  5676,  5677,  5678,  5679,  5680,
    5681,  5682,  5683,  5684,  5685,  5688,  5689,  5699,  5705,  5713,
    5721,  5729,  5737,  5745,  5753,  5761,  5769,  5777,  5785,  5793,
    5801,  5809,  5817,  5825,  5833,  5843,  5844,  5847,  5848,  5858,
    5874,  5888,  5914,  5916,  5918,  5920,  5927,  5936,  5937,  5940,
    5947,  5954,  5961,  5975,  5983,  5991,  5999,  6007,  6015,  6023,
    6031,  6039,  6047,  6055,  6063,  6071,  6079,  6087,  6095,  6107,
    6108,  6111,  6121,  6135,  6136,  6140,  6141,  6146,  6162,  6175,
    6185,  6197,  6198,  6201,  6202,  6212,  6222,  6223,  6227,  6231,
    6235,  6246,  6259,  6273,  6290,  6291,  6292,  6293,  6305,  6332,
    6333,  6337,  6338,  6342,  6343,  6347,  6348,  6351,  6352,  6360,
    6371,  6382,  6395,  6396,  6399,  6400,  6401,  6404,  6405,  6406,
    6409,  6410,  6411,  6427,  6439,  6452,  6467,  6468,  6471,  6472,
    6476,  6477,  6485,  6486,  6490,  6491,  6506,  6515,  6524,  6533,
    6542,  6554,  6555,  6556,  6557,  6558,  6564,  6568,  6583,  6584,
    6590,  6600,  6604,  6609,  6617,  6658,  6662,  6666,  6670,  6678,
    6679,  6684,  6685,  6692,  6696,  6700,  6704,  6708,  6712,  6716,
    6720,  6724,  6728,  6732,  6736,  6740,  6744,  6748,  6756,  6760,
    6764,  6768,  6774,  6775,  6782,  6783,  6786,  6798,  6802,  6817,
    6828,  6829,  6834,  6835,  6850,  6861,  6875,  6886,  6900,  6911,
    6925,  6933,  6935,  6937,  6942,  6944,  6957,  6966,  6967,  6971,
    6975,  6987,  6998,  7009,  7022,  7023,  7024,  7028,  7041,  7042,
    7056,  7064,  7074,  7087,  7088,  7091,  7092,  7103,  7112,  7129,
    7139,  7148,  7157,  7166,  7175,  7185,  7194,  7204,  7213,  7222,
    7232,  7242,  7251,  7260,  7270,  7280,  7290,  7300,  7310,  7320,
    7330,  7340,  7350,  7360,  7370,  7380,  7391,  7402,  7413,  7424,
    7434,  7445,  7456,  7466,  7476,  7484,  7493,  7502,  7511,  7520,
    7529,  7538,  7547,  7556,  7570,  7571,  7574,  7575,  7585,  7595,
    7604,  7613,  7622,  7631,  7641,  7651,  7661,  7671,  7680,  7689,
    7698,  7707,  7716,  7725,  7734,  7743,  7752,  7761,  7770,  7779,
    7788,  7797,  7814,  7823,  7831,  7839,  7847,  7855,  7864,  7872,
    7880,  7889,  7898,  7907,  7915,  7923,  7931,  7939,  7947,  7955,
    7963,  7980,  7997,  7998,  7999,  8004,  8010,  8019,  8020,  8021,
    8022,  8023,  8027,  8028,  8031,  8032,  8033,  8034,  8038,  8039,
    8040,  8045,  8056,  8078,  8088,  8089,  8092,  8101,  8107,  8126,
    8133,  8140,  8147,  8154,  8161,  8168,  8176,  8184,  8192,  8200,
    8208,  8215,  8222,  8231,  8232,  8233,  8237,  8240,  8243,  8246,
    8249,  8256,  8258,  8260,  8265,  8267,  8279,  8292,  8305,  8323,
    8344,  8345,  8346,  8347,  8357,  8373,  8383,  8384,  8388,  8392,
    8396,  8400,  8404,  8408,  8412,  8416,  8420,  8424,  8428,  8432,
    8436,  8440,  8444,  8448,  8458,  8459,  8470,  8477,  8488,  8499,
    8500,  8504,  8518,  8525,  8543,  8549,  8565,  8578,  8587,  8595,
    8603,  8612,  8623,  8634,  8644,  8645,  8656,  8666,  8676,  8686,
    8696,  8706,  8714,  8735,  8758,  8766,  8775,  8786,  8787,  8799,
    8815,  8831,  8845,  8865,  8890,  8891,  8895,  8896,  8897,  8898,
    8902,  8916,  8933,  8934,  8938,  8939,  8942,  8943,  8946,  8947,
    8951,  8952,  8965,  8972,  8982,  8989,  8999,  9000,  9001,  9002,
    9003,  9004,  9005,  9006,  9007,  9011,  9015,  9022,  9029,  9030,
    9034,  9035,  9036,  9046,  9056,  9057,  9061,  9062,  9063,  9064,
    9074,  9081,  9099,  9100,  9110,  9116,  9122,  9128,  9144,  9154,
    9160,  9166,  9175,  9177,  9182,  9193,  9194,  9205,  9219,  9220,
    9231,  9242,  9243,  9246,  9247,  9248,  9249,  9250,  9251,  9252,
    9253,  9256,  9257,  9268,  9286,  9287,  9291,  9292,  9296,  9304,
    9332,  9343,  9344,  9354,  9365,  9368,  9369,  9370,  9371,  9372,
    9375,  9376,  9377,  9425,  9426,  9430,  9431,  9446,  9447,  9454,
    9462,  9470,  9478,  9486,  9494,  9505,  9506,  9533,  9548,  9549,
    9568,  9572,  9576,  9591,  9598,  9608,  9609,  9612,  9624,  9625,
    9629,  9641,  9649,  9654,  9659,  9664,  9669,  9677,  9685,  9690,
    9695,  9702,  9703,  9706,  9707,  9708,  9715,  9716,  9717,  9718,
    9722,  9723,  9727,  9731,  9732,  9735,  9744,  9757,  9758,  9759,
    9760,  9764,  9765,  9769,  9771,  9787,  9789,  9794,  9797,  9802,
    9803,  9811,  9831,  9832,  9834,  9839,  9840,  9844,  9845,  9848,
    9849,  9854,  9855,  9859,  9860,  9864,  9865,  9869,  9870,  9874,
    9875,  9879,  9890,  9891,  9892,  9893,  9897,  9898,  9903,  9909,
    9927,  9928,  9932,  9933,  9939,  9944,  9951,  9959,  9994, 10019,
   10023, 10049, 10053, 10065, 10078, 10092, 10103, 10118, 10124, 10129,
   10135, 10142, 10143, 10151, 10155, 10159, 10165, 10172, 10177, 10178,
   10179, 10180, 10184, 10185, 10197, 10198, 10203, 10210, 10217, 10224,
   10235, 10236, 10249, 10253, 10260, 10281, 10291, 10303, 10308, 10309,
   10312, 10313, 10316, 10317, 10322, 10323, 10328, 10329, 10337, 10342,
   10343, 10347, 10351, 10357, 10387, 10392, 10399, 10404, 10410, 10415,
   10424, 10426, 10429, 10433, 10434, 10435, 10436, 10437, 10438, 10443,
   10473, 10474, 10475, 10476, 10487, 10493, 10501, 10502, 10508, 10513,
   10518, 10523, 10528, 10533, 10538, 10543, 10549, 10555, 10561, 10568,
   10590, 10599, 10603, 10611, 10615, 10623, 10635, 10656, 10660, 10666,
   10670, 10683, 10694, 10709, 10711, 10713, 10715, 10717, 10719, 10724,
   10725, 10729, 10730, 10737, 10746, 10754, 10763, 10774, 10782, 10783,
   10784, 10788, 10790, 10792, 10794, 10796, 10798, 10800, 10805, 10810,
   10816, 10824, 10829, 10836, 10843, 10847, 10851, 10881, 10882, 10884,
   10892, 10907, 10909, 10911, 10913, 10915, 10917, 10919, 10921, 10923,
   10925, 10927, 10930, 10932, 10934, 10937, 10939, 10941, 10944, 10946,
   10953, 10955, 10962, 10964, 10971, 10973, 10981, 10988, 10995, 11002,
   11019, 11026, 11033, 11040, 11047, 11063, 11070, 11077, 11084, 11091,
   11098, 11105, 11109, 11117, 11121, 11131, 11138, 11145, 11158, 11171,
   11190, 11211, 11221, 11228, 11244, 11249, 11267, 11269, 11271, 11273,
   11275, 11277, 11279, 11281, 11283, 11285, 11287, 11289, 11291, 11293,
   11295, 11297, 11299, 11303, 11308, 11312, 11316, 11321, 11338, 11339,
   11340, 11355, 11367, 11369, 11371, 11381, 11404, 11414, 11424, 11432,
   11443, 11447, 11453, 11460, 11467, 11477, 11484, 11512, 11547, 11558,
   11559, 11566, 11572, 11598, 11608, 11621, 11629, 11642, 11652, 11665,
   11675, 11688, 11692, 11696, 11700, 11704, 11708, 11712, 11714, 11718,
   11727, 11732, 11739, 11754, 11761, 11765, 11769, 11773, 11777, 11784,
   11792, 11800, 11804, 11808, 11812, 11816, 11820, 11826, 11830, 11839,
   11843, 11847, 11852, 11866, 11868, 11872, 11874, 11876, 11879, 11882,
   11885, 11886, 11889, 11897, 11907, 11908, 11911, 11912, 11913, 11918,
   11922, 11926, 11930, 11941, 11942, 11946, 11947, 11955, 11956, 11960,
   11961, 11966, 11974, 11976, 11990, 11993, 12020, 12021, 12024, 12025,
   12036, 12054, 12061, 12070, 12087, 12132, 12140, 12148, 12156, 12164,
   12185, 12186, 12187, 12190, 12191, 12192, 12195, 12196, 12199, 12200,
   12201, 12202, 12203, 12204, 12205, 12206, 12207, 12210, 12212, 12217,
   12219, 12224, 12226, 12228, 12230, 12232, 12234, 12246, 12250, 12257,
   12261, 12267, 12271, 12282, 12283, 12286, 12290, 12294, 12300, 12301,
   12306, 12310, 12317, 12318, 12319, 12320, 12321, 12322, 12323, 12324,
   12334, 12338, 12345, 12352, 12353, 12369, 12373, 12378, 12382, 12397,
   12402, 12406, 12409, 12412, 12413, 12414, 12417, 12424, 12434, 12448,
   12449, 12453, 12464, 12465, 12468, 12469, 12472, 12476, 12483, 12487,
   12491, 12498, 12508, 12509, 12513, 12514, 12517, 12518, 12529, 12530,
   12539, 12540, 12548, 12558, 12559, 12563, 12564, 12567, 12583, 12591,
   12599, 12621, 12622, 12633, 12637, 12664, 12666, 12671, 12674, 12677,
   12679, 12681, 12683, 12693, 12695, 12706, 12710, 12714, 12718, 12722,
   12731, 12738, 12770, 12774, 12780, 12797, 12801, 12805, 12811, 12812,
   12813, 12815, 12817, 12821, 12822, 12823, 12839, 12840, 12841, 12846,
   12847, 12848, 12853, 12854, 12855, 12856, 12862, 12863, 12864, 12865,
   12866, 12886, 12887, 12888, 12889, 12890, 12891, 12892, 12893, 12894,
   12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902, 12903, 12904,
   12905, 12906, 12907, 12908, 12909, 12910, 12911, 12912, 12913, 12914,
   12915, 12916, 12917, 12918, 12919, 12920, 12921, 12922, 12923, 12924,
   12925, 12926, 12927, 12928, 12929, 12930, 12931, 12932, 12933, 12934,
   12935, 12936, 12937, 12938, 12939, 12940, 12941, 12942, 12943, 12944,
   12945, 12946, 12947, 12948, 12949, 12950, 12951, 12952, 12953, 12954,
   12955, 12956, 12957, 12958, 12959, 12960, 12961, 12962, 12963, 12964,
   12965, 12966, 12967, 12968, 12969, 12970, 12971, 12972, 12973, 12974,
   12975, 12976, 12977, 12978, 12979, 12980, 12981, 12982, 12983, 12984,
   12985, 12986, 12987, 12988, 12989, 12990, 12991, 12992, 12993, 12994,
   12995, 12996, 12997, 12998, 12999, 13000, 13001, 13002, 13003, 13004,
   13005, 13006, 13007, 13008, 13009, 13010, 13011, 13012, 13013, 13014,
   13015, 13016, 13017, 13018, 13019, 13020, 13021, 13022, 13023, 13024,
   13025, 13026, 13027, 13028, 13029, 13030, 13031, 13032, 13033, 13034,
   13035, 13036, 13037, 13038, 13039, 13040, 13041, 13042, 13043, 13044,
   13045, 13046, 13047, 13048, 13049, 13050, 13051, 13052, 13053, 13054,
   13055, 13056, 13057, 13058, 13059, 13060, 13061, 13062, 13063, 13064,
   13065, 13066, 13067, 13068, 13069, 13070, 13071, 13072, 13073, 13074,
   13075, 13076, 13077, 13078, 13079, 13080, 13081, 13082, 13083, 13084,
   13085, 13086, 13087, 13088, 13089, 13090, 13091, 13092, 13093, 13094,
   13095, 13096, 13097, 13098, 13099, 13100, 13101, 13102, 13103, 13104,
   13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112, 13113, 13114,
   13115, 13116, 13117, 13118, 13119, 13120, 13121, 13122, 13123, 13124,
   13125, 13126, 13127, 13128, 13129, 13130, 13131, 13132, 13133, 13134,
   13135, 13136, 13137, 13138, 13139, 13140, 13141, 13142, 13143, 13144,
   13158, 13159, 13160, 13161, 13162, 13163, 13164, 13165, 13166, 13167,
   13168, 13169, 13170, 13171, 13172, 13173, 13174, 13175, 13176, 13177,
   13178, 13179, 13180, 13181, 13182, 13183, 13184, 13185, 13186, 13187,
   13188, 13189, 13190, 13191, 13192, 13193, 13194, 13195, 13196, 13197,
   13198, 13199, 13200, 13201, 13202, 13203, 13204, 13218, 13219, 13220,
   13221, 13222, 13223, 13224, 13225, 13226, 13227, 13228, 13229, 13230,
   13231, 13232, 13233, 13234, 13235, 13236, 13237, 13238, 13239, 13249,
   13250, 13251, 13252, 13253, 13254, 13255, 13256, 13257, 13258, 13259,
   13260, 13261, 13262, 13263, 13264, 13265, 13266, 13267, 13268, 13269,
   13270, 13271, 13272, 13273, 13274, 13275, 13276, 13277, 13278, 13279,
   13280, 13281, 13282, 13283, 13284, 13285, 13286, 13287, 13288, 13289,
   13290, 13291, 13292, 13293, 13294, 13295, 13296, 13297, 13298, 13299,
   13300, 13301, 13302, 13303, 13304, 13305, 13306, 13307, 13308, 13309,
   13310, 13311, 13312, 13313, 13314, 13315, 13316, 13317, 13318, 13319,
   13320, 13321, 13322, 13323, 13324, 13325
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "for_locking_strength",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "opt_alias_clause",
  "func_alias_clause", "join_type", "join_outer", "join_qual",
  "relation_expr", "relation_expr_list", "relation_expr_opt_alias",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4176

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4176)))

#define YYTABLE_NINF -2283

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2283)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    7062,    -9, 11311, -4176, -4176,    -9, -4176, 55965,   -18,   129,
    1190,   172, 11144, 56381, 64285,   595,   302, 11673,    -9, 64285,
    1231, 41821, 53053, 64285,   380,   426, 41821, 64285, 64701,   554,
     796,   877, 65117, 56797, 51805,  1223, 64285,   879,   334, 65533,
   57213,   802, 57629,   426, 38927,    97,   757, 65949,  1508,  1253,
     925, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,   -18, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,   200,
   -4176,   813,   206,  1512,   649,   843, -4176, -4176, -4176, 47645,
   64285, 64285, 64285,  1121, 64285,  1044, 64285,   190, 47645, 48061,
   58045,  1210,  1099, 35512, -4176, 45565, 64285, 64285, 66365, 64285,
    1218, 54301, 64285,  1240, 64285, 64285, 45981, 66781,  1440,  1384,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, 64285, 11731,   380, -4176, -4176, 64285,
    1351, 47645, 64285,  1277, 64285,  1422, 64285, -4176, 64285,  1432,
   67197,   232,  1399, 48061,  1551, 35942,  1443, 48061, 67613, 64285,
   64285, -4176, -4176,  1491, 64285, 64285, -4176,  1625, 48477,  1716,
    1653,  1739,  1776,   808, -4176, 58461, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, 46397,   302, -4176, -4176, 48893, 64285,
    1813, -4176, -4176, 68029, -4176,  1650, -4176,   365, 49309, 49725,
    1944,  1646, 36372,  1976, 50141, 68445, -4176, -4176, 68861, -4176,
   69277,  1733, 69693, -4176, 50557, -4176,  1911, 70109, -4176,  1620,
    1391,  1875, 32121, -4176, -4176, -4176,   -18, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,   297,  1598,   219,   217,   326,
   -4176, -4176,   220,   248,   249,   297,  2070,  2070, -4176, 64285,
   -4176, -4176,  1598,    29,  1681,  1681,  1681,  1874,   871, -4176,
    1681, -4176, -4176, -4176, -4176, 57629, -4176,  1707,   380,  1749,
    2143,  1809, 64285, -4176, 64285, -4176, 64285, 64285, -4176, -4176,
    2160,  1803,  2011,  1792, -4176, -4176, -4176,  2006,  2016,  2020,
     114,   380,  1921, -4176,  2146, -4176,  2054, 21371,   380, 58877,
   70525,   191, 46397,   380, 59293,  1892,  1463,  2074, -4176, -4176,
   -4176,   628, -4176,  2277,  1904,  2147,  1792,  1384, 33390, -4176,
    1932,  1273, 57629, -4176, -4176, -4176,   324,  2187, 21805, -4176,
   64285,  1920, -4176,  1945,  1937,  1951,  1512, -4176,  7062, 64285,
    1025,  1025,  2332,  1025,  1558,  1597, -4176,  1760, -4176,  2237,
    2207, 57629,   757,   221, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,  1968,  1273, -4176,   260,
   -4176,  1314,  1967,  1415,  1628, -4176, -4176,   205, 64285,  2089,
     366,   -12,  2025, 59709,  2722,  1988, -4176,   782, -4176, -4176,
   -4176, -4176,  2264,  2293,  4455,   293, 60125, -4176, 64285, 64285,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2001,
   -4176, -4176,  2013,  2300,  1118,  2215,   102,  2338,  4957,  1401,
   60541, 64285,  2308,  2346,  5210,  1699,   444,  2253,   976,  2300,
    2347,  1383,  2369,  5448, 64285, -4176,  2304,  2414,   744, -4176,
     277, -4176,  2151,  2281,   821, 47645,  2122, -4176, -4176, 64285,
   -4176, -4176, -4176,  2175, -4176,   411, 47645, -4176,  2324,  2183,
   36802, -4176, 64285, -4176, -4176, -4176, -4176, -4176,  2271, 64285,
   -4176, -4176,  2384, 64285, -4176,  1681,  2306,  2168,  2558, 79217,
      88, 64285,  2225,  2593, 64285,  2393,  2225,  2233, 70941, -4176,
   -4176,  2225, -4176, -4176, 64285, 64285,  2208,  1339,  2225,  2407,
    2612,  2625,  2303,  2410,   710,  1111,   168,  2533,  2225,  2289,
   64285, 71357, 64285,  2294, 64285,  2613, 47645, 64285, -4176,  2411,
   -4176, -4176,  1038, -4176, -4176, -4176, -4176,  2553,  1968,   409,
    2559,  2270,  2582, -4176, -4176,  2322, -4176,  2597,  1988,  2603,
   -4176,  2299, 71773, -4176, 72189, 72605,  2605,  2001, 48061,  2606,
    2299,  2608,  2494,  2610,   409,  2611, -4176,   759,  2614,  2497,
    2617,  1631,  2299, 46813,  2619,   170, -4176, 23541, -4176,  2399,
   -4176,   757, -4176,  1105, -4176, 41405, -4176,  1875,  1598, -4176,
   64285,  1598, 64285,  1598, 64285,  1598, 64285,  1598, 64285, 64285,
   64285,  1598, -4176, -4176, -4176, 64285,  2319, 64285, 64285, -4176,
   -4176, -4176, 53469, 48061, 53885, -4176, -4176,   112,   380, -4176,
   -4176, 79217,  2725, 48061,  2613,  2609,  2609,  2609, -4176, -4176,
   -4176,  2549, 64285,  2616,  2618, 53469, 48061, -4176, 73021, 46397,
    2509,  2328, -4176, -4176, -4176, -4176, -4176,  1525,  2755,   308,
    2762, 23541,  2333,   198,   198,  2335,  2629, -4176, -4176, -4176,
     263,  2341,  2342, -4176,   202,   202,  2505,  2345,  2348, -4176,
     264,  2349,  2777,  2784,   266,  2355,  2356,  2358,  1880,   198,
   23541, -4176,  2359,   202,  2361,  2362,  2363,  2795,  2365, -4176,
    2797,  2370,   282,   283,  2371,  2373, -4176,  2345, -4176,   179,
    2374,  2375,  2376,  2377,  2379,  2380,  2382,  2383, 23541, 23541,
   -4176, 20503,  1273,   380, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176,   151, -4176,   270,  4817, -4176,  2404, -4176, -4176,  2563,
   23541, -4176, -4176,  2636,  2385, -4176,   272, -4176, -4176, -4176,
    1273, -4176, -4176,   233,  2388, -4176,  1827, -4176, -4176, -4176,
   -4176, -4176, -4176, 44317,  2798, -4176,   371,   380,   277,   873,
    2734, 40573, 40989, -4176, -4176,  2621, -4176, 64285, -4176, -4176,
   23541, 38511, -4176,  1273,   255, -4176, -4176, -4176,  1510, -4176,
   -4176, -4176,   -18, -4176, 10921, -4176,  1689,  1920, 64285, 64285,
    2801, -4176, -4176, -4176,  1945, -4176, -4176,  1512,  1512, 23541,
    1512,   178,  1070, 22239, 23975,  2689,  2590,   212,  1359,  2693,
   -4176,  2595,  1558,  1597, 57629, 64285, 73437,  2519, -4176, 39343,
    1495,  1273,  2490,  2491,  2538, 42653,  2415,  2495,  2500,  2551,
    2504,  2507, 73853, -4176, -4176, -4176, -4176,  1182,   892,  1018,
    2508,   243,   169,  2794, -4176,   987,  2557, -4176, -4176, -4176,
    2541, 64285,  2741,  6114,  2627,   293,  2562, -4176, -4176,  2675,
    2523,  2524,  2643,   293,   235, 74269, -4176, -4176, -4176, -4176,
   -4176, -4176,  4008, 19259, -4176,  2527,  2511,  2536, 64285, 50973,
    1756,  2645,    66,  1863,   199, 64285,  2716,  2653, 64285,  2469,
    2547,  2555,  2742,  2474,  1632,  2839,  2476, -4176, -4176, -4176,
    1785,  1915,  2655, -4176,  2748,  2800,  6566,  2543,  2552, 78407,
    1321, 37232,  2835,  1407,  2580, -4176,  1407, 64285,  2583,  2584,
   64285,   293, -4176,  2896,   293,   293,  1211,  2897,  2588,   377,
    1567,  2225,  2476,  2567,  2634, -4176,  2591,  2594,   839, -4176,
    2695, -4176, -4176,   -26,  2615, 57629,   187,  1595,  2476,  2598,
    2601,  2474,  2474, 64285, 64285, 64285, 64285, 64285,   208,  2925,
    2927,  2620,   188,  2654,  2532, -4176,  1407, 44733,  2622, -4176,
    1407, 64285,  2626,  1743,  2476,   981,  1365, -4176, -4176, -4176,
    1384, -4176, 64285, -4176, 64285,  1968, 79217,  2717, -4176,  2569,
   -4176,  1988,   293, -4176, 64285, 64285,  2001,  1043,   803,  2727,
   64285,  2782,  2587, -4176,   226, 39750, -4176,  2208,  2544, -4176,
   -4176,  2599, -4176,  2599,  2599,  2554,  2554,  2556, -4176, -4176,
   -4176,  1880,  2599,  2554, -4176, 80027, -4176,  1375,  1461, -4176,
    2957,  2961, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176,   731,  1599, -4176, 64285, 42653, -4176,  2973, -4176, -4176,
   79217,  2745,  2861, -4176, 64285,  2761,  2565, -4176,  2895,  2623,
   -4176, -4176,   927, -4176,  2867, 48061,   262,   380,  2630, 64285,
    2786, 64285, 64285, 64285, 64285, -4176, -4176,  2760,   819,   171,
   -4176, 44733, -4176, 64285,  2234,  2773,  2979,    57,  1681, 64285,
    2864, -4176, 64285,  2576,  2982,  2815, -4176,  1734, -4176,  2702,
   -4176, 47645,   409, -4176, -4176, -4176, -4176, 79217, 64285, 74685,
   47645,   409, 48061, 48061,  2883,   170,  2889,  2644,  2891,  2647,
   37232,   409,   182, 48061, 64285, 64285, 64285, -4176, 64285, -4176,
   -4176, -4176, -4176, 64285, 64285, 48061, 44733,  2899,  2900,   409,
   64285, 64285, -4176, 10921,  1744, 64285,  1875, 45149, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, 64285, -4176, 64285, -4176,
   64285, -4176, 64285, -4176, 64285, -4176, -4176, -4176, 64285, -4176,
   64285,  1786, -4176, -4176,  1788,   150, 64285, 64285,   186, 47645,
   64285,  2791, 64285, 64285, 64285, 64285, 64285,  2672,  2388,   -45,
   -4176,   463, 57629,  2799, -4176, -4176,  1805,  1508,   872, 64285,
   -4176, -4176, -4176, -4176, -4176, -4176, 53885, 53053,  2892,   100,
   64285, -4176, -4176,  2171, 23541,  1273, 20937, -4176, -4176, -4176,
    2607, 10921,  2650, 23541, -4176, -4176, 23541,  2628,  2070,  2070,
   23541, -4176, -4176, -4176, -4176,   958,  2070, -4176, 23541, 23541,
    2070,  2070,  2599,  2599, -4176,  3289, 23541, -4176, 37232, 23541,
   27013, 18409, 23541,  2684,  2635,  2070, -4176,  2070, -4176, 23541,
   20069, -4176, 23541,  2826, 28303, 23541,   873,  2827, 23541,   873,
    3045,  3045,  2890,  5187,  2632,  1273, -4176,  2733,  2070, -4176,
    2070,   847, -4176,   225, 79217, 23541, 42653,  2705,   192, 64285,
   23541,  2641,  1686, -4176, 23541,   215, -4176,  2642, 23541,  2721,
   23541, 23541, 23541, 23541, 23541, 23541, 23541, 23541, 23541, -4176,
   29149,   245,  2921,  2939,   530,  1420, 60957,  2933, 21371, 17974,
   -4176,   256, -4176, -4176, -4176, 64285,  2798, -4176, -4176,  2726,
   -4176, -4176, -4176, -4176, -4176,   274, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,  2646, -4176, -4176, -4176, -4176,  2646, -4176,
    2652,  3140, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2924,  2926,
     409, 64285,   324, 54717, -4176, 21805, -4176,  1806, -4176,  2658,
   -4176,  2902, -4176,  2656, -4176,  8325,  2902, -4176, -4176, 27441,
    2767,  2905,  2853, -4176, -4176, -4176,  2665, 10921, 24409, 24409,
   -4176,  1752, 10921,  1829, -4176, -4176, -4176, -4176, -4176, -4176,
    1192, -4176, 64285,  2799,  2689,  1359,  2728,   816, 64285, -4176,
   33813,  2849, -4176,  3062, -4176, 80027, -4176,  2676, -4176, 79622,
   77181, -4176, -4176,   713, -4176,   424,  2753,  2757,  2804, 48061,
   64285, 64285, -4176, 42653, 48061, 64285, 64285, 48061, 64285, 64285,
   -4176,  3039,  1089, 53053,  2805, 52221, -4176, -4176,  2685, 64285,
    2739,  2928,  2929,   -23, -4176, -4176, 75101, -4176,  2882, 48061,
   64285, 64285, 23541,  2888, 64285, 64285, -4176,   316,  2771,  2772,
   -4176, 64285,  2775, 47645,  2701, 64285, 64285, 64285,  2776,   660,
   47645,  2747, 37662, 64285, 64285, 64285, 64285,  2829, 64285, 64285,
    2948,   134, 57629,   183,  1801,  2476,  2908, -4176,   699, -4176,
   48061, 64285,  2903, -4176, -4176, -4176, 61373,  3112,  2819, -4176,
   -4176, 75517, -4176, -4176, -4176,  1815, -4176, 48061, 48061, 64285,
    6681, 64285,   -14, -4176, -4176, 79217, -4176, 64285, 64285, 64285,
   64285, 55133, 75933, 76349,  1082,  1112, 64285, 55549, -4176, 64285,
   -4176, -4176, 43069, 48061, 64285,   341, 42653, -4176, 64285,  2906,
     795, -4176, 64285,  5875, -4176, -4176,  2802,  2803, 64285,   184,
    1836,  2476, 64285, 64285,  2718,  1834,  2807,  2842, -4176, 64285,
   70525, -4176, 48061,   897, -4176,  2862, 48061, 64285,  9517, -4176,
   -4176,   293, -4176, -4176, -4176, -4176, -4176, 64285, 64285,   293,
   64285,   293, 64285,  1395, -4176, 48061, 64285, -4176, -4176, -4176,
   64285,  6959, 64285, 64285, 64285, 64285, 48061, 64285, -4176, -4176,
    1378,  1284,   842,  1249,  2863, 64285,  2995, 64285, 76765, 48061,
   64285, 64285, 64285,  1291, -4176, -4176, -4176,  2840, -4176, 48061,
     897, -4176,  7495, 64285, 64285,  2812,  2813,   121,  2878, -4176,
   -4176, -4176, -4176, -4176, -4176,  2972,  3143, 64285, -4176,  2984,
    2985,  2808,  2809,  2986,   840, 64285, -4176, -4176, -4176, -4176,
   64285,  2987,   840,  2934,   599, -4176, -4176,  2225, -4176,  2752,
    1857, -4176, -4176, 23541,  3154, 79217,  2751,  2758,  2828,  2832,
    2834, -4176,  2759,  2837,  2070, -4176, -4176,  1710, -4176, -4176,
    1858, -4176,  2778,   819,  1611, -4176, 42653, 64285,   128,   838,
    3065, 51389,  1965,  3056, 64285,  2811, 64285,  1965, 64285, -4176,
    1767, 53053, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176,  3059, -4176,   380,  2208,  2208,  2208,  2208, -4176, -4176,
   -4176, -4176,  2959,  1819, -4176,  2774,  2208, 64285,  2893,  1965,
    2779,  2830,  2234,  3077,  1042, 64285, 51389,  1770,  2814,  3182,
    1681,   380,  2967, -4176, 19664,  3937,  2968, 46397,  3055,  3057,
    3073, -4176,  1968, -4176,  3191, -4176,  3089,   409,  1988, -4176,
    2299, -4176, 64285, -4176, 64285, 64285, 64285, 64285,  2001, -4176,
   -4176,  2299,  2975,   409,   409, -4176,  2976,   409,  2299,  2909,
    3092, 46397, -4176,   170, -4176, -4176, 23541,  1681, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,  1909, -4176, 64285, -4176,
    3068,  3069,  3071,  2816,  2817,  2841, 64285,  2818, -4176,  2816,
     293,  2816,  2388,  2388,  2816,  2817, 47229,  3225,  3090,   690,
   -4176,   739,  1117,  3024, -4176, -4176, -4176, -4176, 79217, -4176,
   -4176, -4176, -4176, -4176, 64285,  2851,   299,  3003,  2820, 47229,
    3207,   409, -4176, 47645, -4176, -4176, -4176,  2898,  2910, 47645,
    3019,  2874, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  3075,
   64285,  1914, -4176, -4176,  1648, -4176,  1673, 23541, 23541,   140,
   -4176,  9076,  1916, 23541,  2831,  2833,  1918, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  2843,  3120, -4176,  2846,  1922,  1938,
    2847,  2848, -4176, -4176,  2806,  2850,  9556,  2852, 27013, 27013,
    1135, -4176, -4176, 27013,  2854, -4176,  1953,  8650,  2836,  2855,
    2859, -4176,  2856,  2857,  9881, 22673, 23541, 22673, 22673, 10237,
    2836,  2865,  1957, 42653,  3011, 10289,  1963, -4176, 23541, 42653,
    4489, 23541, -4176, 23541, 64285,  2866,  2869, -4176, -4176,  3289,
   -4176,  2868, -4176, 27013, 27013, -4176,  4436, 20503, -4176, -4176,
    3136, -4176, -4176,  1437, -4176,  2860, -4176, -4176,  6086,   207,
   23541,  2641, 23541,  2931, 37232,  4007, 23541,  3966,  2124,  2124,
     422,   422,   194,   194,   194,  1624,  1420, -4176, -4176, -4176,
    2871,  2877,  2879,  3038,  2365, 23541, -4176,  1924,  1933, 64285,
    2336,  2946,  3837, -4176, -4176, 30429,  2907, -4176, 23541, 23541,
   23541,  2873, -4176,  3286, 10921,   667, -4176,  3303, -4176,  1384,
    2070,   847, 41405, -4176, -4176, 23541, -4176, -4176, -4176,  1945,
   -4176, -4176, -4176, -4176, -4176, 64285,  1508, 23541, -4176, -4176,
    1098,  1735,   619,  3078,  2066,  2066,  1752,  3079, -4176, -4176,
    2943, -4176, 23541,  1902, -4176,  1943, -4176, -4176, -4176, -4176,
    2388, -4176, -4176, -4176, 30429,  2935,  2949, 32967,  3022, -4176,
   -4176, 64285,   307, -4176, -4176, -4176,  2912, -4176, -4176, 77181,
    1599, -4176, 79622, -4176, 79622, -4176,  1599,  3290, -4176, 77181,
    1635, 48061, 64285, 64285, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  3126, -4176, 48061, 48061,  3091, 64285,
    3086,  3094, 23541,   797, 64285,  2904,  2911,   998,  3167, 64285,
   -4176,  3213,   409, -4176, -4176,  2993, -4176, 10921, -4176, -4176,
   -4176, -4176, -4176, 48061, 64285, -4176, 46397, -4176,  1968, 79217,
   -4176, -4176, -4176, 64285,  2950, 64285, -4176, 64285, 64285, 64285,
    2001, -4176, -4176, -4176, -4176,   827, -4176, -4176, 64285, 64285,
     621,  2994,  2997, 64285, -4176,   844,  2695,  7555, 64285, 64285,
   64285,  3174, -4176, -4176, -4176, -4176,  3121, -4176, -4176, 77181,
   -4176,  2299,  1176,  3004,  2476, -4176,  3113, -4176,   993, -4176,
   -4176, -4176, -4176, -4176,  3231,   409,  3234,   409, 64285, 64285,
   64285, 64285, -4176, -4176, -4176, -4176, -4176, 42653, 42653, 42653,
    1969, -4176, -4176,   380, -4176, -4176, -4176, -4176, -4176, -4176,
    3195, -4176,  1974, -4176,  1468, -4176, -4176, -4176, -4176, -4176,
   -4176, 48061, 64285,  8044, 64285, 64285, 64285,  1763, -4176,   930,
   79217, -4176, 78812, 48061, 64285, -4176, -4176, -4176,  3160,  3103,
   -4176,   850,  3105, 48061,  2999, -4176,  3023, -4176, -4176,  3027,
    1930,  2476,  3000,  2634, -4176, -4176, -4176, -4176, -4176, -4176,
    2978, -4176, -4176,  1247,   185,  1977,  2476,  3028, -4176,  3029,
   -4176, -4176, -4176,  3170,  3171,  3172,  3034,  3037,  3083,  3040,
    3041,  3084, -4176,  3042,  3088,  3044,  3093,  3046,   409, 79217,
    3175,   380,  3080,  3273,   409, -4176,  3051, -4176, -4176,  3375,
   -4176, 64285, -4176,  3054,  1999,  2476, -4176, -4176, 48061, 64285,
   -4176, -4176, -4176,   840, 79217,  3221,   840,   840, 64285, 64285,
     840, -4176, -4176, -4176,  3222,  3223,   840, -4176, -4176, -4176,
   -4176,  2306,  2981, 35082, -4176,  3415,  5290,  2988,  2758,  2983,
    2070,   193,   173,    98,  3102,  2070,  3197,  2989, -4176, -4176,
   42653, 35082,  1870,  3210,  3001,  3001,  3001,  3001,  3001,  3001,
    3001, -4176,  2350,   136,  2225, 46397, 64285, 46397, -4176,   838,
    3113, 64285, 64285,  2991,  2992, -4176, -4176, -4176, -4176, 48061,
     656, 48061,  2070, -4176, -4176,  3061, -4176, 64285,  1681,  3387,
    2625,   262,  3134,  1758,  3338,  2814, -4176, -4176, -4176, -4176,
   64285, 64285,   819,   380, -4176,  3007,  2996, -4176, 64285, 64285,
   64285, 64285, 64285,  2851,  3005,  3012, 79217,    59,  3199,  3190,
    2474,  3420,  1508,  2814,  3096, 64285, -4176,  1985,   135, -4176,
     380, 46397, 77586, -4176,  3606, -4176, -4176,   735,  3291, -4176,
   -4176,  1508,   409, 79217, 64285, -4176,   409,   170,  3072,   409,
    3081,   409,   409, 64285, -4176, -4176, 64285, -4176, 64285, 44733,
     409, -4176, 10921, -4176, -4176,  3144,  3146,  3149, 64285,  2816,
   47645, -4176,  3025, 48061,  1261, -4176, -4176,  3211, -4176, -4176,
   -4176, -4176, -4176,  3333,  3336, -4176, -4176, -4176,   786, -4176,
   48061, 53469,   267, 48061, -4176,  1968, -4176, -4176,  1988,   293,
   -4176, 64285,  3278, -4176, -4176, -4176,  3047,  1993, 10515, 23541,
   -4176,  3346, 79217, -4176,  5595, -4176, -4176, -4176, -4176, 23541,
   -4176, -4176, -4176, -4176, -4176, 23541, -4176, 23541,  3321, -4176,
    3464,  3464, 79217, 27013,  1526,  2361, 27013, 27013, 27013, 27013,
   27013, 27013, 27013, 27013, 27013, 29583,  1031, -4176, -4176, 23541,
   23541,  3329,  3321, -4176, -4176,  1398,  1398, 79217,  3043,  2836,
    3060,  3063, 23541, -4176, -4176,  2022, 28726,  3066, 42653, -4176,
   23541,  8771,  2024,  3087, 10404,  1273,  5726, -4176,  3430,   380,
   23541,  1410,  2015, 23541,  2030, 23541,  3326, -4176, -4176, -4176,
    3074, -4176, -4176, 79217, 23541, 27013, 27013,  8194, -4176,  9083,
   23541,  3070,  9417, 20503, -4176,  3236,  3108, 34236, -4176,   426,
     426,   426,   426, -4176, 64285, 64285, 64285, 30852,  3341, 30006,
   61789,  3082,  1068, -4176, 61789, 62205, -4176,  3097, -4176,  3076,
    1273, 23541,  3349,   686,   686,  3236, -4176, 23541, 23107,  3098,
   -4176,   277,  3099, -4176, -4176,  8082, -4176, -4176,  3100, -4176,
    3095, -4176,  1735, -4176, -4176, -4176, -4176, -4176,  3260, -4176,
   -4176, -4176,  3082, 24843,  3022, -4176,  2037, -4176, -4176, 21371,
   -4176, -4176,  2049, 33813,  2935, 21805,  1273,  2050,  1655, -4176,
   -4176, 77181, -4176,  3145, -4176, -4176, -4176,  3001,  2299,  2299,
     769,  2816,  3368,   769,  5758, -4176, -4176, 31275, 64285, 64285,
   -4176, 64285,  2055,  1527, 64285, -4176, 64285, -4176, -4176, -4176,
   -4176,  3486, -4176, 64285, -4176, -4176,  3139,  3142, -4176, 64285,
   64285, 64285, 64285, -4176, -4176,  1967, -4176, -4176, 48061, 64285,
   -4176, -4176, -4176,   213,  2021,  2476, -4176,  3165, -4176, -4176,
    3343, -4176,  3479,  3178, 64285,  3104, -4176,  1527,   946,  2474,
     668, -4176, -4176,  3162, 64285, -4176, 64285, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, 43069, -4176, -4176, 64285,
   -4176, 42653, 35082, 42653, -4176,  1298,   231,  2069,  2476, -4176,
    3179, -4176,  3180,  3183,  3219,   831,   764,  3184,  3185,  3220,
    3109,  3110,  3111, -4176, -4176,   297,   380, -4176, -4176,   380,
    2299,   380, 64285, 64285, 64285, 64285,  2474,  3497,  3198, 64285,
   64285, 64285, 64285, 64285,  3403,   683,  1715, 48061, 64285, 64285,
   48061, 64285, 64285, 64285, 64285, 64285, 64285, 64285, -4176,  3485,
    3417,  1853,  3457,  3186, 64285, -4176, 64285,  2695, 64285, 64285,
   -4176, -4176, -4176,  3118,   840, -4176, -4176,  3363,  3364, -4176,
     840,   840, -4176,   226, 42653, -4176,  2789,  3095,  1785,  1915,
   -4176, -4176, -4176, -4176, -4176, -4176,  2752, -4176, -4176,  2070,
    1931,  3123, -4176,  3124, -4176, -4176, -4176, -4176, -4176, -4176,
    3125, -4176,   847, -4176, -4176, 64285,  3001, -4176,  1228,  1233,
    1287,  1329, 62621, 63037, 63453,  3130, 64285, 64285, 27013, -4176,
    1347,   845, -4176,  3376, 64285,  3161, -4176, -4176, -4176,  3292,
   64285, -4176, -4176, -4176, -4176, -4176,  3141, -4176,  3237, 51389,
    2299, 48061, 48061,  2299, -4176, 79217,  3147,  2814, 48061,   262,
    1413, 71357,  3176, -4176,  3138,  3429, -4176,  3148,  3150, -4176,
   -4176, 64285,  3113,  2062,  3187,    70,  1620, -4176, 52637,  1770,
    3401, -4176, -4176, -4176,  3511,  3233, -4176,  1508,  2851,  3233,
     380,  2739, -4176, 77181, 23541, 23541, -4176,  3151, -4176,  3152,
    4020, -4176,  2208, -4176, -4176, -4176, -4176, -4176, -4176,  3227,
   64285, -4176, -4176,  3155,   409, -4176, -4176, 64285, -4176, 64285,
   -4176, -4176,   409,   409, -4176,  3266, -4176, 64285, 64285, 64285,
    2816, -4176,   293, -4176,  3436, 47229, -4176, -4176, -4176, -4176,
   -4176,  3498,   100,  3443, -4176, -4176,  3405,  3407,  3409,  3410,
     870, -4176, -4176, 23541, 10921, -4176,  3159, -4176, 10921,  6000,
   10921,  3329, -4176,  1674,  3452, -4176,  1268,  3169,  1674,   777,
     777,   478,   478,   218,   218,   218,  3464,  1031, 10921, 10921,
   -4176, -4176, -4176, -4176,  3173, -4176, -4176, -4176,  2836, -4176,
   25277,  3315,  3559, -4176, -4176, -4176,  3214,  3215,  3177, -4176,
   23541, 25711,  3168, 80027, -4176, -4176,   847,  1623, 27013, 27013,
    2224, -4176,   783, 23541, 79217,  2075,  2224,  2150,  2291, 23541,
   23541,  9767,   421, 23541,  6532,  3181, 23541, 77991, -4176, -4176,
   64285, 64285, 64285, 64285, -4176, -4176, -4176, 61789, 62205,  3188,
   18835,  1068,  3189, 64285, -4176, -4176,  3192, 30429,  3413,  3352,
   -4176, 30429,  3352,  1672,  3352,  3421, -4176, 34659, -4176, -4176,
    3193, -4176, -4176, 17974,  1538, 10921,  3572,  3459, 23541,  3194,
    3196,  3201, 10921, 23541, -4176,   380,   380, -4176, -4176, 37232,
   -4176, -4176,  3377, 10921, -4176,  1508, 64285,  1273,  2385,  3202,
   64285, -4176,  3022, -4176, -4176,  3254,  2077, -4176,   297, -4176,
   -4176, -4176, -4176,  3268, 53053,  3478, -4176, 23541,  2084, -4176,
    3232,  3568,   304,  2093,  2105,  1527, -4176,  3161, -4176,  1480,
    3463,   222, -4176,   409, -4176, 79217, -4176, 64285, 64285, -4176,
   -4176, -4176, -4176,  2415, -4176, -4176, 64285, 64285, 64285, 64285,
   -4176, 48061, 64285, -4176, 42653,  2350,  3398, -4176, -4176,  3404,
     297, 64285, -4176, 79217,   409,   409, -4176, -4176, -4176, -4176,
    3224,  3601,  3302, 64285, 64285, 64285, 64285, 48061, 64285, 64285,
    2070,  2070, 79217,  3217, -4176,  2070,  2070,  3218, -4176, 48061,
   64285, 64285, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176,  3259, -4176, 48061, 64285, -4176,  3305, -4176, -4176,
   -4176, 64285, 64285, 64285, 64285,  3526, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, 64285, -4176, -4176,
     380,   380, 79217,   409,   409, -4176, -4176, -4176,  3469, -4176,
     840,   840, -4176, -4176,   386,  2126, -4176, 31698, -4176, -4176,
    2593,   380,  2593,  1797, -4176, -4176,  2593, -4176,  2593, -4176,
    1527,  3230,  1015,  3514, -4176, -4176, -4176, -4176,  3518,   297,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, 23541, -4176,  1159,  1674, -4176,
   -4176, -4176, -4176,  3161,  1681,  3294, 47645,   312, -4176,  3499,
     128, 51389,  1150, 64285, -4176,  2299,  2299,  3295, 64285,  3641,
   -4176,   550, 64285,  3552,  3281, -4176,   380, -4176, -4176,  2814,
    2474, 64285, 51389,  2851,  2130, -4176, -4176, -4176,  3279,  3190,
    3242,  1770,  1379, 64285, -4176,  3280, -4176, -4176,  3529,  3251,
   -4176, 10921, 10921,   380, 17409,  3606, -4176, 64285,  3509,   409,
   -4176,   409,   409, -4176, -4176, 64285,  2816,  2816,  2816, -4176,
    3437, -4176, -4176,   409, 47229,   870,   870,   870,   870, -4176,
   -4176, -4176, 10921, -4176, -4176, -4176, 27013,  3539, -4176,  3256,
   79217, -4176,  3257,  2148,  2153, 28303,  3408, -4176, -4176, -4176,
    6567,  3310, 10921,  3362,  3263,  3267, -4176,  1053,  1053,   783,
    2157, -4176, 27013, 27013,  2224,  2224, 23541,  2224, -4176, -4176,
    6902,  3438, -4176, -4176, -4176, -4176, -4176, -4176, -4176, 43485,
   61789,  3271, 64285,  1068, 30429, -4176, -4176,  2481, -4176, 30429,
    3507, -4176, 30429, 64285,  3272, 64285,   667, 23541, 23541,  3311,
   -4176, -4176, -4176,  3236, -4176,   847,  3274, 64285, -4176, -4176,
     757, -4176, -4176, -4176, -4176, -4176, 47229,  3465, 47229,  1527,
    7445,  3161, 31275, 38092, 64285, 63869, 63869,  3431,  3161,  3294,
   -4176, -4176, -4176, -4176, -4176, -4176,  3285, -4176, -4176, -4176,
    3365, -4176, -4176,    -2,  2799,  2161, -4176, -4176, -4176, -4176,
   -4176,  3485, -4176, -4176, 35082, 48061, 64285, -4176,  3366, -4176,
   -4176, -4176, -4176, -4176, 32544, 37232, -4176,   831,  3293,  3296,
     764, -4176, -4176, -4176,  2474,   720,  2799, 64285,  1274,    24,
    3327,  2816,  3581, -4176, -4176, -4176,  3485, -4176, -4176,   840,
   -4176, -4176, -4176,  2225,  3620, -4176, 42653, -4176, 43901, -4176,
   -4176, -4176,   380, -4176,   380,  3490, 64285, 40157,   380,   380,
   -4176, 47645,  3702,  3702, 64285, -4176, -4176,  7524,  3493, -4176,
    3294,  3515,  3561, -4176,  3301, 64285,  3456,  3304,  3306,   445,
     445,  3113, 64285,  2162,  1508,   262, 51389,  3113, -4176,  1315,
    3309,  3605, -4176,  3710, -4176,  3005,  3312, -4176, -4176, 52637,
    3488,  3233, 64285,  3190,  3439, -4176,  3442, -4176,   252, -4176,
   64285, 31275, -4176, 79622, -4176,  2163, -4176, -4176,  2907, 64285,
      96, -4176, -4176, -4176, -4176, -4176, -4176,   267, -4176, -4176,
   -4176, -4176,  1077, 27013, 79217,  2186, 23541, -4176, 23541, -4176,
    3700, -4176, -4176, -4176,   567, -4176, -4176, -4176,  1053,  1053,
    2224, -4176,  3706,  3236, -4176,  2193,  3724, -4176, 64285,  2199,
   -4176, 23541,  3322, -4176, -4176, 30429,  2481,  2201, 64285,  2220,
   79217,  3320,  2836, 10921, 64285, -4176,  3325, -4176, -4176, -4176,
   -4176,  1261,   769,   267,  3568,  3294, -4176,  3323, -4176, -4176,
   64285, -4176,   951,   951, 64285,  3294, -4176, -4176, 64285,  3412,
   -4176, -4176, 42653,  3383, -4176,   801,  2799, 64285, 79217,  1988,
      99, -4176, 79217, 79217, -4176, -4176,  3414, -4176, -4176, 64285,
   64285, 64285, 64285, 64285,   409, -4176,  2981,   380, -4176, -4176,
    2221, -4176, -4176, -4176, 64285,  3138, -4176,  3138, -4176, -4176,
    3702,   286, -4176, -4176, -4176,  1134,  3532, -4176,   969,  3517,
    3418,  3331, -4176, 47645,  3767,  3450, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,  3633,  2814,  3280, -4176, -4176,
   -4176, -4176, 23541,  3496,  1508,  1770,  3401, -4176, -4176, -4176,
    2227,  3233, -4176, -4176,  3715,  3527,  3719, -4176,  2228, -4176,
   -4176,  4020, 17409,  3666, -4176,  3399, 64285, -4176, -4176, -4176,
    1077,  2235, -4176,  2239,  2244,  3492,  3400, -4176, 23541,    77,
    3097, 43485,  3351, -4176,  2256, -4176, 10921, 64285, -4176, -4176,
   -4176,  2261, -4176, -4176,  3345, -4176,  3757, -4176, -4176,  3638,
   -4176, 63869,  3394, 37232, -4176,  1735,  1735,  1681, -4176,  1527,
   -4176, 64285, -4176, 23541, -4176,  3441, -4176, -4176,  2262, -4176,
      91,  3504,  3648,  2263,  2267, 64285,  2817,  3396,  2817, -4176,
    2816, -4176, -4176, -4176, -4176, 43901,  3138, -4176, -4176, -4176,
    3677,  3623, -4176, -4176, -4176, -4176,   379, -4176,  3551,  3554,
   64285, -4176,  3370, -4176,  2268, 64285, 64285,  3777,  3778, -4176,
    7986, 47645,  3280,  3190,  1770,  2350, -4176, -4176,  3557, -4176,
    3558,  2814, 31275,  3606, -4176,   785, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,  2836, 26145, 26145,  3379, -4176, -4176, 64285,
   -4176,  2273, -4176, 64285,  3378, 47229,   951,  3382, -4176,  3384,
   -4176, -4176,  3515,  1527,  2799, 10921, 64285, 47645,  3771, -4176,
   -4176, -4176,  3504, -4176, -4176,  2799, 64285, -4176,  3510, -4176,
     799,   799,  3714, -4176,  3444, -4176, -4176,  3388, -4176,  3819,
    3113, -4176,   831,  1508, -4176,  3390, -4176,  3233,  3190, -4176,
   -4176,  3233, -4176, -4176, -4176, -4176,  1517, 27875,  3519,  1016,
    8917, -4176, -4176, -4176, -4176,  2288, -4176, -4176, -4176,   267,
    1735, 23541,  1527, -4176,  3517, -4176,  2799,  1988, 64285, -4176,
   -4176, -4176,  3281, -4176,  3810, -4176,   241, -4176, -4176, -4176,
   -4176, -4176,  3217,  3280, 42237, -4176,  3233,  2907, -4176,  1995,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176,  3800, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,  8055, -4176, -4176, -4176,
   -4176,  3696, -4176, -4176, -4176, -4176, -4176,  2290, -4176, -4176,
   -4176, -4176, -4176, -4176,  2107, -4176, -4176,  2180,  1951, 26579,
   -4176,  1527,  3549, -4176, 42237, -4176,  1995, -4176, 47645, -4176,
   -4176,  3397, 42237,  2297, -4176
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1409,  1205,   555,  1293,  1292,  1205,   245,     0,  1295,     0,
    1205,   372,   967,     0,     0,     0,     0,   555,  1205,     0,
    1409,     0,     0,     0,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1205,     0,     0,  1429,     0,
       0,     0,     0,  1422,     0,  1297,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1295,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1396,
    1383,  1431,  1395,  1408,     0,  1398,  1204,  1203,  1189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1215,
    1956,  1971,  1972,  1973,  1974,  1975,  1976,  1977,  1978,   343,
    1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,
    2230,  2231,  2232,  2233,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  2234,  2235,  1996,  1997,  1998,  1999,  2000,  2236,  2001,
    2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,
    2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,  2237,
    2238,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,
    2040,  2041,  2042,  2043,  2044,  2045,  2239,  2046,  2047,  2048,
    2240,  2049,  2050,  2051,  2241,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2242,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2243,
    2075,  2076,  2077,  2078,  2244,  2245,  2246,  2079,  2080,  2081,
    2082,  2083,  2084,  2085,  2086,  2087,  2088,  2247,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,
    2101,  2102,  2103,  2104,  2105,  2248,  2249,  2106,  2107,  2250,
    2108,  2109,  2110,  2251,  2111,  2252,  2112,  2113,  2114,  2115,
    2116,  2117,  2118,  2119,  2253,  2120,  2254,  2121,  2122,  2123,
    2124,  2125,  2126,  2127,  2128,  2255,  2129,  2256,  2132,  2130,
    2131,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2257,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2258,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2259,  2174,  2175,  2176,  2260,  2177,
    2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,
    2261,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2262,
    2263,  2196,  2264,  2197,  2265,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2266,  2267,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2268,  2269,  2270,  2271,
    2272,  2273,  2274,  2275,  2276,  2227,  2228,  2229,   342,  1374,
    1927,  1957,  1958,  1294,  1275,   555,     0,  1192,   371,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,     0,
       0,   395,   394,     0,     0,     0,   939,   400,     0,     0,
       0,     0,     0,   543,  1336,  2130,  1334,  1375,   246,   249,
     250,   247,   248,  1949,     0,  1046,  1047,  1049,     0,     0,
    1059,   779,   780,     0,   778,     0,   782,     0,     0,     0,
     774,     0,     0,     0,     0,     0,   781,   771,     0,   770,
       0,     0,     0,   777,     0,   772,     0,     0,  1193,  1333,
     401,  1409,     0,  1311,  1312,  1313,  1295,  1302,  1314,  1307,
    1309,  1308,  1310,  1306,  1948,  1972,   878,   878,   878,   878,
     875,   876,   878,   878,   878,  2147,     0,     0,   857,     0,
     859,  1953,   878,   883,   456,   456,   456,     0,   882,   887,
     456,  1186,  1224,  1932,  1421,     0,   858,  1185,  2196,  1325,
       0,     0,     0,  1063,     0,  1064,     0,  2162,  1197,   230,
    2172,  2262,  2196,   229,   224,   225,   198,  1976,     0,     0,
     882,     0,  1194,  1195,   841,  1428,  1426,  1914,  1994,  2007,
    2092,   221,  2158,  2163,  2172,  2262,  2196,  2226,   177,   187,
     182,     0,   239,  2172,  2262,  2196,   235,  1215,     0,  1399,
    1516,  1923,     0,  1188,  1187,  1296,     0,  1299,     0,  1478,
    2143,  1403,  1405,  1301,  1396,     0,     0,     1,  1409,  1290,
    1425,  1425,     0,  1425,     0,  1388,  1396,  1391,  1395,     0,
       0,     0,     0,  1956,  2277,  2278,  2279,  2280,  2281,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,
    2293,  2294,  2295,  2296,  2297,  2298,     0,     0,  1933,  1957,
    1961,     0,   789,     0,   124,  1928,   927,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,  1962,     0,  1950,  1963,
    1964,  1965,     0,  2064,     0,     0,     0,  1826,  1998,  2049,
    1836,  1834,  1835,  1828,  1829,  1830,  1831,  1832,  1833,     0,
    1044,  1827,     0,   146,   124,     0,     0,  2064,   517,     0,
       0,     0,     0,  2064,     0,     0,     0,     0,     0,   146,
    2095,   124,  2064,     0,     0,  1209,     0,     0,     0,  1211,
    1214,  1190,  1278,     0,  1923,     0,     0,   820,   810,     0,
     821,   811,   816,     0,   823,     0,     0,   813,     0,     0,
       0,   824,     0,   812,   814,   826,   815,   822,     0,     0,
     817,   818,     0,     0,  1201,   456,   349,     0,     0,     0,
       0,     0,   124,  1265,     0,  2064,   124,     0,     0,   399,
     398,   124,   397,   396,  1998,  2049,     0,   966,   124,  2064,
       0,   170,   625,   558,     0,     0,   703,  2095,   124,     0,
       0,     0,     0,     0,     0,   942,     0,     0,   542,   555,
    1337,  1335,     0,  1050,   223,   222,  1048,  2064,     0,   317,
       0,     0,  2064,  1252,   776,     0,   775,  2064,     0,  2064,
    1951,   161,     0,   773,  1998,  2049,  2064,     0,     0,  2064,
     153,  2064,     0,  2064,   317,  2064,   559,     0,  2064,     0,
    2064,  2095,   155,     0,  2064,   317,   787,     0,  1330,     0,
    1304,  2266,  1319,     0,  1315,  1322,  1318,  1409,   878,   877,
       0,   878,     0,   878,     0,   878,     0,   878,     0,     0,
       0,   878,  1954,  1955,   860,     0,   884,     0,     0,   891,
     890,   889,     0,     0,     0,   892,  1520,  1352,     0,  1183,
    1200,     0,     0,     0,   942,  1066,  1066,  1066,  1196,   228,
     226,     0,     0,     0,     0,     0,     0,  1202,     0,     0,
       0,     0,  1936,  1938,  1939,  1837,  1904,     0,  2231,  2232,
    2233,  1895,     0,  2234,  2235,  2236,  2279,  1745,  1732,  1741,
    1746,  1733,  1735,  1742,  2237,  2238,  2033,  2239,  2240,  1946,
    2241,  2242,  2244,  2245,  2246,  2247,  1737,  1739,  2248,  2249,
       0,  1947,  2251,  2252,  2116,  2254,  2255,  2257,  2258,  1743,
    2260,  2261,  2262,  2263,  2264,  2265,  1945,     0,  1744,  2267,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,     0,     0,
    1920,     0,  1714,     0,  1560,  1561,  1583,  1584,  1562,  1589,
    1590,  1602,  1563,     0,  1919,  1627,  1794,  1713,  1728,  1719,
       0,  1712,  1708,  1411,  1913,  1915,     0,  1709,  1935,  1937,
    1896,   190,   241,     0,   242,  1921,  2172,   178,   220,   192,
     219,   193,   191,     0,  1996,   179,     0,     0,   180,     0,
       0,     0,     0,   238,   236,     0,  1191,     0,  1518,  1517,
       0,     0,  1902,  1924,   796,  1288,  1289,  1287,     0,  1284,
    1286,  1298,  1295,  1909,  1908,  1910,     0,  1404,     0,     0,
       0,  1386,  1385,     3,  1301,  1423,  1424,     0,     0,     0,
       0,     0,     0,     0,     0,  1468,  1439,  1440,  1442,  1465,
    1469,  1477,     0,  1392,     0,     0,  1522,     0,  1479,     0,
       0,  1934,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,   123,  1250,   232,  1248,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,   159,   160,   570,
     555,     0,  2064,     0,     0,     0,     0,  1006,  1013,     0,
       0,     0,     0,     0,     0,     0,  1007,  1005,  1008,   234,
    1017,  1030,  1033,     0,   917,     0,     0,     0,     0,     0,
    1115,     0,     0,  1115,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   255,   267,   312,   534,
       0,     0,     0,   537,     0,  2064,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,   521,   533,     0,     0,     0,     0,     0,   530,
       0,   124,   259,     0,   510,   518,     0,     0,     0,   634,
     633,  1255,  1254,     0,     0,     0,  1115,     0,   251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   335,   336,     0,     0,     0,   128,
       0,     0,     0,     0,   261,     0,     0,  1210,  1207,  1208,
       0,  1213,     0,  1274,     0,     0,     0,     0,   828,     0,
     825,     0,     0,   819,  1998,  2049,     0,     0,     0,     0,
       0,     0,   374,   348,     0,     0,   700,     0,     0,  1959,
    1571,  1600,  1578,  1600,  1600,  1567,  1567,  1580,  1568,  1569,
    1607,     0,  1600,  1567,  1572,     0,  1570,  1610,  1610,  1595,
       0,  1552,  1553,  1554,  1555,  1581,  1582,  1556,  1587,  1588,
    1557,  1624,  1567,  1960,     0,     0,   711,     0,  1227,  1264,
       0,     0,     0,   564,     0,  2064,     0,   126,   745,     0,
     701,   400,     0,   126,     0,     0,   164,     0,   629,     0,
       0,     0,     0,     0,     0,   649,   648,     0,     0,     0,
     702,     0,   126,     0,   517,  2064,     0,   456,   456,     0,
       0,   941,   944,     0,     0,     0,  1378,  1380,  1379,     0,
    1377,     0,   317,   315,   316,   698,  1058,     0,     0,     0,
       0,   317,     0,     0,  2064,   317,  2064,     0,  2064,     0,
       0,   317,   317,     0,     0,     0,     0,   630,     0,   786,
     784,   783,   785,     0,     0,     0,     0,     0,  2064,   317,
       0,     0,   767,  1847,     0,     0,  1409,     0,   209,   210,
     208,  1320,   211,  1321,  1317,  1303,     0,   868,     0,   872,
       0,   863,     0,   869,     0,   864,   861,   862,     0,   867,
       0,     0,   457,   459,     0,     0,  2018,  2032,     0,  2055,
    2083,  2084,  2163,  2168,     0,  2191,  2200,     0,   893,   922,
     888,     0,     0,  1362,  1184,  1853,     0,  1409,     0,     0,
    1065,  1062,  1061,  1060,   227,   199,     0,     0,     0,   924,
    2162,  1199,   840,   555,     0,  1710,     0,  1717,  1718,  1599,
    1586,  1894,     0,     0,  1594,  1593,     0,     0,     0,     0,
       0,  1576,  1575,  1574,  1716,  1861,     0,  1573,     0,     0,
       0,     0,  1600,  1600,  1598,  1647,     0,  1577,     0,     0,
    1874,     0,  1880,     0,     0,     0,  1606,     0,  1604,     0,
       0,  1683,     0,     0,     0,     0,     0,     0,     0,     0,
    1631,  1632,  1714,  1847,     0,  1715,  1942,     0,     0,  1592,
       0,  1624,  1918,  1837,     0,     0,     0,     0,  1907,     0,
    1845,     0,     0,  1661,  1843,     0,  1663,     0,     0,     0,
    1836,  1834,  1835,  1828,  1829,  1830,  1831,  1832,  1833,  1841,
    1644,     0,     0,  1796,     0,  1643,     0,  1481,     0,     0,
    1940,  1897,   243,   244,   240,     0,     0,   195,   194,     0,
     213,   217,   218,   189,   216,     0,   212,   197,  1785,  1784,
     196,   188,   185,   183,   200,   202,   203,   186,   184,   237,
       0,     0,  1966,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,
    1899,  1898,  1930,  1967,  1968,  1969,  1970,  1903,     0,     0,
     317,  1282,     0,  1279,  1912,     0,  1406,     0,  1925,     0,
    1291,  1402,  1401,  1432,  1433,   959,  1400,  1459,  1460,     0,
       0,     0,     0,  1474,  1472,  1450,  1443,  1449,     0,     0,
    1447,     0,  1451,  1627,  1467,  1390,  1437,  1438,  1441,  1389,
       0,  1470,     0,  1362,  1468,  1442,  1349,     0,     0,  1523,
       0,   981,   983,     0,   982,     0,   985,     0,   994,     0,
       0,   980,   999,     0,   988,   986,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,  2191,
     231,  1246,     0,     0,     0,     0,   926,   925,     0,     0,
     946,     0,     0,     0,  1260,   445,     0,   314,     0,     0,
       0,     0,     0,     0,     0,     0,   696,   693,     0,     0,
     692,     0,   568,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   604,     0,  1115,     0,   637,     0,  1015,     0,  1014,
       0,     0,     0,  1016,  1011,  1012,  2163,  2172,  2196,   233,
    1032,     0,  1031,  1029,   969,     0,   970,     0,     0,     0,
       0,     0,  2042,   269,   282,     0,  1114,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   303,     0,
     306,   305,     0,     0,     0,     0,     0,   310,     0,     0,
       0,   309,     0,     0,   535,   536,     0,     0,     0,  1115,
       0,   263,     0,     0,     0,     0,     0,     0,  1045,     0,
       0,   149,     0,   145,   148,     0,     0,     0,   517,   520,
     532,     0,   524,   525,   522,   526,   527,     0,     0,     0,
       0,     0,     0,     0,   519,     0,     0,   627,   626,   632,
       0,     0,     0,     0,     0,     0,     0,     0,  1068,  1067,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,   152,   640,   641,     0,   642,     0,
     150,   151,     0,     0,     0,     0,     0,     0,     0,   207,
    1206,  1212,  1277,  1931,  1276,     0,     0,     0,   827,     0,
       0,     0,     0,     0,     0,     0,   829,   830,   831,   832,
       0,     0,     0,     0,     0,   351,   352,   124,   350,  1959,
       0,   724,   699,     0,  1552,     0,  1548,  1544,  1613,  1614,
    1615,  1612,  1625,  1611,     0,  1558,  1616,  1567,  1564,   712,
       0,   714,   717,     0,  1225,   418,     0,     0,   561,   604,
       0,   403,   157,     0,     0,     0,     0,   122,   168,   170,
     401,     0,   169,   171,   173,   174,   175,   172,   176,   624,
     628,     0,   557,     0,     0,     0,     0,     0,   650,   654,
     653,   657,   655,     0,   651,     0,     0,  1540,     0,   144,
       0,   507,   516,     0,     0,     0,   403,   487,   328,     0,
     456,     0,     0,   943,     0,     0,     0,     0,     0,     0,
       0,  1376,     0,  1036,     0,  1253,  2064,   317,     0,  1034,
     162,  1952,     0,   768,     0,     0,     0,     0,     0,  1038,
     764,   154,     0,   317,   317,   560,     0,   317,   156,     0,
       0,     0,   552,   317,   788,  1332,     0,   456,  1305,  1316,
     865,   874,   873,   871,   870,   866,     0,   885,     0,   455,
       0,     0,     0,   899,   900,     0,     0,   898,   915,   901,
       0,   903,   895,   894,   904,   905,     0,     0,   924,     0,
    1359,     0,  1357,     0,  1521,  1361,  1350,  1324,     0,  1323,
    1327,  1329,  1328,  1326,     0,   501,     0,     0,   882,     0,
       0,   317,  1198,     0,   842,   843,   849,     0,     0,     0,
       0,     0,   850,   846,   847,   848,   851,   852,   853,     0,
       0,     0,  1905,  1857,     0,  1858,     0,     0,     0,  1893,
    1889,     0,     0,     0,     0,     0,     0,  1862,  1865,  1866,
    1867,  1864,  1868,  1863,     0,     0,  1869,     0,     0,     0,
       0,     0,  1597,  1596,     0,     0,     0,     0,     0,     0,
       0,  1686,  1719,     0,     0,  1821,     0,  1847,  1879,     0,
       0,  1608,     0,     0,     0,     0,     0,     0,     0,  1847,
    1885,     0,     0,     0,     0,  1783,     0,  1780,     0,     0,
       0,     0,  1904,     0,     0,     0,     0,  1943,  1628,  1645,
    1917,     0,  1906,     0,     0,  1629,  1652,     0,  1886,  1679,
       0,  1684,  1667,     0,  1660,     0,  1665,  1669,  1648,  1907,
    1846,     0,  1844,     0,     0,  1646,     0,  1641,  1639,  1640,
    1633,  1634,  1635,  1636,  1637,  1638,  1642,  1825,  1823,  1824,
       0,     0,     0,  1804,     0,     0,  1664,  2057,  2092,     0,
    1422,  1422,  1422,  1410,  1420,     0,  1535,  1916,     0,     0,
       0,     0,  1720,     0,  1851,  1431,  1849,  1933,  1922,     0,
       0,  1624,     0,  1519,  1900,     0,   794,   795,   793,  1301,
    1285,  1281,  1280,  1911,  1300,     0,  1409,     0,   957,   958,
       0,   962,  2258,  2160,     0,     0,     0,     0,  1452,  1475,
       0,  1466,     0,  1936,  1453,  1935,  1454,  1457,  1458,  1448,
    1476,  1471,  1394,  1393,     0,  1538,     0,     0,  1346,  1339,
    1524,     0,  1481,  1364,  1366,  1367,     0,  1904,   984,     0,
    1567,   995,     0,   979,     0,   978,  1567,     0,   996,     0,
    1567,     0,     0,     0,  1143,  1070,  1119,   792,  1144,  1071,
    1120,  1145,  1072,  1247,     0,  1249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     675,  2064,   317,  1258,  1146,     0,  1073,   313,  1259,  1121,
    1263,   695,   694,     0,     0,  1122,     0,   569,     0,     0,
     574,   575,   576,     0,     0,     0,   577,     0,  1998,  2049,
       0,   582,   589,   594,   584,     0,   595,   590,     0,     0,
       0,     0,     0,     0,   601,   608,     0,     0,     0,     0,
       0,     0,  1009,  1010,  1147,  1076,     0,  1123,   968,     0,
    1077,   158,     0,     0,   256,   270,   610,   675,  1117,   289,
     302,   297,   298,   296,  2064,   317,  2064,   317,     0,     0,
       0,     0,   299,   294,   295,   291,   304,  1975,  2034,  2173,
       0,   614,   616,     0,   621,   307,  1091,   324,   323,   322,
       0,   311,     0,   329,   332,   308,   287,   290,   288,   284,
     268,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,  1040,     0,     0,     0,   147,  1105,   137,     0,     0,
     133,     0,     0,     0,     0,   127,     0,  1153,  1081,     0,
       0,   260,     0,   513,   523,   528,  1085,   531,  1133,   529,
     511,  1159,  1082,     0,  1115,     0,   252,     0,  1083,     0,
    1127,  1155,  1107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1266,     0,     0,     0,     0,     0,   317,     0,
       0,     0,  1117,  2064,   317,  1154,     0,  1112,  1141,     0,
     337,     0,  1106,     0,     0,   262,  1087,  1135,     0,     0,
     205,   204,   206,     0,     0,     0,     0,     0,     0,     0,
       0,   834,   803,   833,     0,     0,     0,   797,   373,   346,
     347,   349,   356,     0,   723,     0,     0,  1549,  1545,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1565,   713,
       0,     0,     0,     0,  1245,  1245,  1245,  1245,  1245,  1245,
    1245,  1226,  1256,     0,   124,     0,     0,     0,   563,   603,
     610,     0,     0,     0,   402,   406,   410,   411,   412,     0,
       0,     0,     0,   138,   125,     0,   753,     0,   456,     0,
     170,   163,     0,     0,     0,   328,   710,   708,   707,   709,
       0,     0,     0,   728,   706,     0,  1539,  1541,     0,     0,
       0,     0,     0,   501,   405,     0,   459,     0,     0,   491,
       0,     0,     0,   328,     0,     0,   973,     0,   991,   974,
       0,     0,     0,  1020,  1025,  1021,  1001,     0,   540,  1381,
    1382,     0,   317,     0,     0,   605,   317,   317,     0,   317,
       0,   317,   317,     0,  1181,   631,     0,   683,     0,     0,
     317,   766,  1848,   886,   458,     0,     0,     0,     0,   897,
       0,   538,   902,     0,   914,   909,   911,     0,   918,  1360,
    1353,  1355,  1354,     0,     0,  1351,  1854,   765,     0,   506,
       0,     0,   317,     0,   919,     0,   844,   845,     0,     0,
     854,     0,     0,  1427,  1855,  1856,     0,     0,     0,     0,
    1890,     0,     0,  1758,     0,  1734,  1736,  1566,  1748,     0,
    1579,  1759,  1760,  1738,  1740,     0,  1838,     0,     0,  1749,
    1688,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1701,  1700,  1750,  1820,     0,
       0,  1877,  1878,  1751,  1609,  1610,  1610,     0,     0,  1884,
       0,     0,     0,  1756,  1761,     0,     0,     0,     0,  1767,
       0,  1788,     0,     0,     0,  1711,  1848,  1601,  1602,     0,
       0,     0,     0,     0,     0,     0,     0,  1685,  1668,  1662,
       0,  1666,  1670,     0,     0,     0,     0,  1654,  1680,  1650,
       0,     0,  1656,     0,  1681,     0,     0,     0,  1727,  1422,
    1422,  1422,  1422,  1419,     0,     0,     0,     0,  2160,     0,
    1502,  1480,  1482,  1489,  1502,  1507,  1729,  1533,  1730,     0,
    1923,     0,  1462,  1431,  1431,  1431,  1726,     0,     0,     0,
    1430,   181,     0,   214,   201,     0,  1283,  1926,     0,  1434,
       0,  1839,   962,   960,   961,  1436,  1456,  1455,     0,  1446,
    1473,  1444,  1348,     0,  1346,  1341,     0,  1342,  1904,     0,
    1338,  1371,     0,     0,  1538,     0,  1370,     0,  1567,   976,
     977,     0,  1000,     0,  1142,  1069,  1118,  1245,   929,   930,
       0,   928,     0,     0,     0,   444,   945,     0,     0,     0,
     675,     0,     0,   448,     0,  1261,     0,  1160,  1104,   571,
     572,     0,   583,     0,   592,   591,     0,     0,   579,     0,
       0,     0,     0,   578,   597,   544,   598,   600,     0,     0,
     599,   602,   607,  1115,     0,   638,  1093,     0,  1139,  1003,
       0,   971,     0,     0,     0,     0,   418,   283,     0,     0,
       0,   271,   281,     0,     0,   286,     0,   279,   300,   292,
     301,   293,   618,   619,   617,   613,     0,   620,   622,     0,
     326,     0,     0,     0,  1149,     0,  1115,     0,   264,  1089,
       0,  1137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1150,  1124,     0,     0,   130,   129,     0,
     136,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   338,   319,
       0,   731,     0,     0,     0,   340,     0,     0,     0,     0,
    1148,  1078,   798,     0,     0,   799,   807,     0,     0,   800,
       0,     0,   809,     0,     0,   345,   353,  2116,  1828,  1829,
     721,   726,   718,   720,   722,   719,     0,   725,   675,     0,
       0,     0,  1550,     0,  1618,  1619,  1620,  1621,  1622,  1623,
       0,  1617,  1624,   715,   716,     0,  1245,  1244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   430,
       0,     0,   424,     0,     0,  1025,   417,   420,   421,     0,
       0,   564,   567,   565,   566,   596,     0,   437,     0,     0,
     140,     0,     0,   141,   139,     0,     0,   328,     0,   166,
     401,     0,     0,   556,   656,   659,   652,     0,   727,   729,
     704,     0,   610,     0,   508,     0,  1333,   497,     0,   487,
     483,   485,   484,   486,     0,   493,   327,     0,   501,   493,
       0,   946,   972,     0,     0,     0,  1018,  1022,  1019,     0,
       0,   987,     0,  1002,   965,  1176,  1177,  1174,  1175,     0,
       0,  1373,  1037,     0,   317,  1035,   769,     0,   760,     0,
     762,  1039,   317,   317,   643,     0,   553,     0,     0,     0,
     896,   916,     0,   912,     0,     0,   879,   921,  1358,  1356,
     499,     0,   924,     0,   880,   923,     0,     0,     0,     0,
       0,  1859,  1585,     0,  1892,  1888,     0,  1731,  1860,     0,
    1872,  1871,  1687,  1873,     0,  1706,     0,     0,  1698,  1696,
    1697,  1690,  1691,  1692,  1693,  1694,  1695,  1699,  1882,  1881,
    1875,  1876,  1605,  1603,     0,  1753,  1754,  1755,  1883,  1762,
       0,  1989,  1789,  1766,  1782,  1781,     0,     0,     0,  1769,
       0,     0,  1778,     0,  1822,  1591,  1624,  1630,     0,     0,
    1653,  1887,  1671,     0,     0,     0,  1649,     0,     0,     0,
       0,  1658,  1838,     0,     0,     0,     0,  1807,  1802,  1803,
       0,     0,     0,     0,  1413,  1412,  1418,  1502,  1507,     0,
    1396,     0,  1489,     0,  1501,  1487,  1500,     0,     0,  1513,
    1511,     0,  1513,     0,  1513,     0,  1484,     0,  1503,  1485,
    1500,  1532,  1525,     0,  1924,  1534,     0,  1464,     0,     0,
       0,     0,  1852,     0,  1850,  1721,     0,  1901,  1407,     0,
    1435,  1445,  2014,  1536,  1347,     0,     0,  1344,  1345,     0,
       0,  1365,  1346,  1368,   997,     0,     0,   989,     0,   935,
     936,   934,   937,     0,     0,     0,   675,     0,     0,   464,
       0,   953,   953,     0,     0,   450,   496,  1025,   678,     0,
       0,     0,   676,   317,  1074,     0,   593,     0,     0,   588,
     586,   585,   587,   545,  1158,  1075,     0,     0,     0,     0,
    1004,     0,     0,  1092,     0,   415,     0,   276,  1116,     0,
       0,     0,   275,     0,   317,   317,   615,   325,   330,   331,
     334,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   754,   737,     0,     0,   755,   756,     0,
       0,     0,  1042,  1043,  1041,   134,   131,   132,   135,  1102,
    1086,  1134,   514,   512,     0,     0,  1084,     0,  1128,  1099,
    1095,     0,     0,     0,     0,     0,  1157,  1111,  1132,  1156,
    1109,  1130,  1108,  1129,  1110,  1131,  1103,     0,  1543,   734,
       0,     0,     0,   317,   317,   645,  1088,  1136,     0,   801,
       0,     0,   802,   804,   376,     0,   379,   386,   357,   362,
    1265,     0,  1265,     0,   359,   363,  1265,   358,  1265,   355,
     697,     0,     0,     0,  1546,  1551,  1626,  1559,   674,     0,
    1236,  1235,  1234,  1238,  1237,  1240,  1239,  1231,  1230,  1243,
    1242,  1229,  1228,  1233,  1232,     0,   422,     0,   428,   432,
     433,   431,   423,  1025,   456,   495,     0,     0,   687,     0,
     562,   403,   434,     0,   407,   143,   142,     0,     0,     0,
     170,     0,     0,   661,   665,   705,     0,  1542,   639,   328,
       0,     0,   403,   501,     0,   408,   413,   414,     0,   491,
       0,   487,     0,     0,   498,  1223,   502,   503,     0,     0,
     975,   992,   993,     0,     0,  1025,  1024,     0,   547,   317,
     606,   317,   317,  1182,   684,     0,   908,   907,   906,   539,
       0,   910,   500,   317,     0,     0,     0,     0,     0,   856,
     835,   855,  1891,  1747,  1757,  1870,     0,     0,  1707,     0,
       0,  1752,  2268,     0,     0,     0,     0,  1786,  1787,  1768,
       0,  2107,  1773,     0,     0,     0,  1944,  1677,  1675,  1672,
       0,  1673,     0,     0,  1655,  1651,     0,  1657,  1682,  1793,
       0,  1809,  1806,  1417,  1416,  1415,  1414,  1488,  1486,     0,
    1491,  1498,     0,  1483,     0,  1512,  1508,     0,  1509,     0,
       0,  1510,     0,     0,  1498,     0,  1431,     0,     0,  1798,
    1724,  1725,  1722,  1431,  1941,  1624,     0,     0,  1340,  1343,
       0,  1372,  1363,   990,   998,  1251,     0,     0,     0,   446,
       0,  1025,     0,     0,     0,   956,   956,     0,  1025,   495,
     680,   679,   682,   677,   681,  1262,     0,   580,   581,  1094,
       0,  1140,  1100,     0,  1362,     0,   611,   272,   273,   274,
     277,   319,   285,   278,     0,     0,     0,  1090,     0,  1138,
    1097,  1151,  1079,  1125,     0,     0,   743,     0,     0,     0,
       0,  1152,  1080,  1126,     0,     0,  1362,     0,     0,     0,
       0,  1271,     0,   318,   733,   732,   319,   339,  1113,     0,
     805,   806,   377,   124,     0,   354,     0,   384,     0,   382,
     381,   383,     0,   370,     0,     0,     0,     0,     0,     0,
    1547,     0,  1056,  1056,     0,   675,  1241,     0,     0,   419,
     495,   463,     0,   425,     0,     0,     0,     0,     0,     0,
       0,   610,     0,     0,     0,   165,   403,   610,   660,     0,
       0,     0,   730,     0,   509,   405,     0,  1331,   404,     0,
       0,   493,     0,   491,     0,   488,     0,   492,     0,  1216,
       0,     0,  1023,     0,  1027,     0,   986,   963,  1535,     0,
     551,  1057,   761,   763,   644,   913,   920,   317,   836,   837,
     838,   839,  1702,     0,     0,     0,     0,  1763,     0,  1764,
    1791,  1790,  1770,  1774,     0,  1771,  1772,  1674,  1678,  1676,
    1659,  1795,     0,  1431,  1528,     0,  1531,  1490,     0,     0,
    1492,     0,     0,  1494,  1496,     0,     0,     0,     0,     0,
    1927,     0,  1461,  1463,     0,  1397,     0,   215,  1840,  1537,
    1369,   914,     0,   317,   953,   495,   465,  2116,   466,   952,
       0,   954,   959,   959,     0,   495,   675,   573,     0,     0,
     257,   609,     0,   321,   333,     0,  1362,     0,     0,     0,
     750,   738,     0,     0,   757,   515,     0,   253,  1096,     0,
       0,     0,     0,     0,   317,   808,   356,     0,   380,   389,
       0,   387,   360,   365,     0,   369,   367,   366,   361,   364,
    1056,     0,  1053,  1052,   673,     0,   454,   426,     0,   474,
       0,     0,   688,     0,     0,     0,   443,   442,   439,   438,
     440,   441,   436,   435,   635,   747,   328,  1223,   623,   662,
     663,   658,     0,     0,     0,   487,   483,   409,   418,   392,
       0,   493,   489,   490,     0,     0,     0,  1273,     0,   947,
    1026,     0,     0,     0,   546,     0,     0,   550,   541,   881,
    1703,     0,  1704,     0,     0,     0,  1776,  1775,     0,  1812,
    1533,     0,     0,  1527,     0,  1499,  1515,     0,  1495,  1493,
    1504,     0,  1506,  1721,  1797,  1799,     0,  1723,   931,     0,
     932,   956,   469,     0,   955,   962,   962,   456,   675,   447,
    1101,     0,   612,     0,   280,     0,   265,  1098,     0,   741,
       0,   752,   750,     0,     0,     0,  1267,     0,  1268,  1269,
    1272,   341,   344,   375,   385,     0,   368,  1051,  1055,  1054,
       0,     0,   427,   460,   461,   462,     0,   429,   470,   471,
       0,   685,     0,   690,     0,     0,     0,     0,     0,  1217,
       0,     0,  1223,   491,   487,   416,   482,   390,     0,  1220,
       0,   328,     0,  1025,  1028,  1180,   549,   548,  1705,  1779,
    1765,  1792,  1777,  1808,     0,     0,     0,  1526,  1529,     0,
    1497,     0,  1505,     0,     0,     0,   959,     0,   675,     0,
     950,   949,   463,   449,  1362,   320,     0,     0,     0,   748,
     751,   739,   752,   759,   758,  1362,     0,   388,     0,   453,
       0,     0,     0,   472,     0,   473,   494,     0,   689,     0,
     610,   746,     0,     0,   664,     0,  1218,   493,   491,  1221,
    1222,   493,   948,   964,  1179,  1178,  1409,  2230,  2014,  2202,
       0,  1810,  1813,  1811,  1805,     0,  1514,  1800,  1801,   317,
     962,     0,   451,   467,   474,   258,  1362,     0,     0,   740,
     254,  1270,   665,   479,     0,   478,     0,   476,   475,   686,
     691,   636,   736,  1223,   668,   393,   493,  1535,  1162,  1409,
    1161,  1163,  1171,  1168,  1170,  1169,  1167,     0,  1817,  1816,
    1815,  1819,  1818,  1530,   933,   951,     0,   675,   266,   742,
     749,     0,   477,   481,   480,  1219,   670,     0,   666,   669,
     671,   672,   391,   938,     0,  1172,  1166,  1396,  1383,     0,
     468,   452,     0,   646,     0,  1164,  1409,  1814,     0,   667,
    1165,     0,   668,     0,   647
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4176, -4176, -4176,  3115, -4176,  -791,   407,  2479,  -503, -4176,
   -4176, -4176,  1126, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
    3052, -4176, -4176,  1662, -2104, -4176, -4176,   130,  3020, -1105,
     101,  2692,  1353, -4176,  -956, -4176, -4176,  -524,   137, -4176,
    3030,   415, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
    -623,  1824,  1191,  -722, -3702, -4176, -4176, -1228, -2783, -4176,
     600, -4176, -4176,  1759, -4176, -4176, -4176,  1045,   520,  -402,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176,  -219, -4176, -4176,
    -540,   146,    42, -2105,  -267, -4176, -4176,   461,  -268, -1118,
   -4176, -3117, -4176,    35, -4176, -4176, -4176,  -247, -1199,  1281,
   -4176,  -611,  -959,  1587,  -596, -4176,  -135, -4176,  -656,  -539,
    -536,  -610,  -431, -3280, -3686, -3318, -2983,  1289,   152, -4176,
   -2766,   155, -4176, -4176,   156,   157, -4176, -1298, -1296, -1239,
   -4176,  -716, -4176, -4176, -4176, -2566, -4176, -4176, -4176, -4176,
      61, -4176, -4176, -4176, -4176,   486, -4176, -4176, -4176, -4176,
   -4176, -4176, -2324,  1709,  1711, -4176, -4176, -2773, -4176,  -782,
   -4176,   633, -2595,  1203, -4176, -4176, -4176,  2424, -4176, -4176,
   -4176, -4176, -4176, -4176, -1390, -4176, -4176,   161, -4176,  1720,
    1002, -4176, -4176, -4176,  -647,  -715,  -708, -4176, -2538, -4176,
   -4176, -4176, -4176,  -217, -4176, -4176, -4176, -4176, -4176, -4176,
    -837, -4176,  1059, -2738, -4176, -4176,  1075, -4176, -4176, -4176,
   -4176, -4176,  -601,  -155,  2445, -4176,  -488,  -573, -4176, -4176,
   -4176,  -150, -4176, -4176, -4176, -4176, -4176, -4176,  -900,   -58,
   -1361, -4176, -4176, -4176, -4176, -1958, -4176, -4176, -4176, -1599,
   -4176,  3875,  2102,  1978,   162, -4176,    -3,    54,  2901,  -967,
   -2258,   417,  -308, -4176, -1541, -4176, -4176, -4176, -2194, -4176,
   -4176, -4176, -4176, -3067,   164, -4176,  2894, -4176,   465, -4176,
   -3906, -3480, -3784, -3282, -3003, -4176, -4176,  -928, -4176, -4176,
   -4176, -1203,  2014, -1653, -4176, -1778,   466,  1354,  -804, -2383,
   -3325,  -593, -2827, -4176, -3215,  -412, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,  -923,  -529, -4176, -4176,  3337, -4176, -3808,
   -4176, -4176, -4176, -4176,  1232, -4176, -4176, -1201,  1142, -4176,
   -4176, -4176, -4176, -4176,  -591,  -680, -4176, -4176, -4176,   165,
   -4176, -4176, -4176, -4176,  1781,  -795,  -631,  3212,   167, -3516,
   -4176, -4176, -4176, -4176, -2650, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -1623, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176,  2086,  2090,    79,   -48, -4176, -4176, -1082, -4176,  -493,
   -4176,  2389, -4176, -4176, -4176, -4176,  1416,   175,   499, -4176,
       3, -4176, -4176,   291, -2965,     4, -4176, -4176, -4176, -4176,
   -1829,     5, -4176,   775, -4176, -4176, -2440, -4176,   177,    50,
   -4176, -4176,     1,     0,   -36,   -33,   -29,     2,  3209,  2756,
   -4176, -4176, -4176,   -22,  1636, -4176,  -729,  -154, -4176,  1423,
    -537,  2056,  2736,  2740, -4176,  1417,  2088, -1706, -1702, -4176,
   -4176, -4176,  -523,  2061, -4176,  2743, -4176, -4176, -4176,  1396,
    1406, -2961,   846, -2963, -2923,   355,   347, -1234,  -252,   176,
    3239,  2749,   855,  -387, -4176, -4176,  -385, -3944,   804, -4176,
   -3781, -1999,  -796,  1816, -1364, -4176, -4176,  -965, 11392, -4176,
   -4176, -4176, 12405, 12813, -4176, -4176, 13061, 13146, -4176,  -830,
     898, 13763,  5095, -1015, -1628,  -660, 11616, -2087, -1031, -2336,
   -4176, -3046, -2185, -4176, -4176, -4176,  -207,   912,   436, -4176,
   -4176, -4176, -4176, -4176, -4176,  -487, -4176,  -489, -4176, -4176,
   -4176,  -475, -4175, -1294, -4176,  -186, -4176, 11319,  1465, -4176,
    -893, -2363, -2375, -2861, -1510, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -1244, -2851,  -221,  1532, -4176, -4176,  1627, -4176,
   -4176, -4176, -1114,  -737, -2269,  1539, -1741, -4176,  -717, -4176,
     832,  2272,  -676,   103, -1138,  6070,  -438, -1930, -1057, -1310,
   -4176,  -170, -4176,    26,   -10,   -35,  -558,     6,  3462,  1812,
    -559, -1135,  8025, 10186, 11174, -2683
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1224,  2172,  2043,  2863,  2864,
      53,    54,  1303,    55,    56,    57,    58,    59,    60,    61,
    1240,    62,    63,   900,  1456,  2182,    64,  1910,   699,   700,
     701,  1733,  1734,  2110,  1735,  1723,  1139,  1542,  1259,   674,
     675,  1226,  1260,    66,    67,  1133,  1714,    68,    69,    70,
    1286,  1287,  1234,  1495,  3768,  4374,  2691,  2021,  2901,  2692,
    2693,    71,  1354,  1355,    72,    73,  2811,  1394,  2137,  3335,
    3336,  3799,   529,  2134,  4073,  4074,  3785,  3786,  4080,  4260,
    4261,  2183,  1452,  2895,  3429,  2854,  3864,  2855,  3865,  2856,
    3866,  2842,  3386,  3387,  3388,  2857,  3842,  4292,  2858,  1925,
    4402,  2217,  1564,  1562,  4279,  3658,  3659,  4458,  4407,  4408,
    4409,  4537,  3871,  2899,  3435,  3874,  4103,  2590,   613,  1476,
    2969,   614,  2219,   560,   615,  2184,    79,  1323,  1324,  1325,
    2051,  3340,  2952,    80,   919,  3204,  4150,  4327,  4328,    81,
     208,    82,  1460,    83,    84,  2168,  2848,    85,  1942,  2607,
      86,    87,  2634,  2635,  2636,    88,    89,  3226,  4025,  1288,
    2680,  2681,  2682,  2683,  3247,    90,  1458,  1330,  2191,    91,
      92,    93,    94,    95,  2097,    96,    97,  2185,  1468,  2203,
    2204,  3854,  4119,  4301,  4121,  4577,  4578,  4095,  3183,  3672,
      99,   100,  3837,  3838,  4414,   101,  1940,   102,   103,   104,
    1436,  2160,  2161,  3341,  1396,  2140,  2141,  3417,  3418,   105,
    2771,   106,  3723,  3724,   561,  4417,  4381,  4471,   107,   108,
    3727,  3728,   109,   110,   111,   112,   113,   607,   965,   966,
    1216,   114,  1830,   115,   873,  2802,   116,  1030,  2340,  3910,
     117,   638,   979,   980,  2186,   119,   647,  2318,   649,  1577,
    2954,  2955,  3486,  2287,   784,   120,   121,  2298,  2321,   122,
    1227,  1916,  1917,  3653,  2187,   562,  1482,  2222,  2585,  4318,
    3660,  4005,  4222,  2511,  3135,   124,   563,  1264,  1985,  2225,
    2907,  1888,  1889,  1890,  3450,  1891,  2909,  1892,  1210,  1893,
    2914,  2915,  2916,  3446,  3454,  4144,  4145,   125,  1262,  1983,
     126,   127,   128,  1300,   809,   129,   575,   576,   130,  4272,
     131,   931,   132,   666,  1591,   133,   134,  1998,  3233,   135,
     136,   137,  4550,  4584,  4585,  4586,  3459,  4506,   138,  4552,
    1009,   140,   141,   142,   178,   839,   840,   841,  2188,  4139,
     144,   145,  2164,  2841,  3368,   146,   147,  1911,  2575,   148,
     149,   150,   151,  1440,   152,   153,   154,   155,  1373,   156,
    1168,  1169,   157,   158,   524,   717,  1172,  1180,   159,   617,
     973,   974,   975,  1544,   160,  1012,  2309,   618,   968,   162,
     619,  2538,  3146,  3147,  3150,   620,  2535,   165,  1583,  2303,
    2306,   621,  2542,  2543,  2544,  2545,  2546,  3152,   622,   640,
     922,  2230,   623,  1102,   170,   171,   172,   726,   721,   722,
     174,  1707,  2473,   655,  1187,   687,   734,  3120,  1843,  1844,
    1868,  1869,  1196,  1197,  1856,  1860,  1861,  2524,  2517,  1849,
    3617,  3979,  1864,  1865,  1199,  1200,  1201,  1873,   175,  2476,
    3101,  3102,  3103,  3594,  3595,  3609,  3605,  3966,  4193,  3104,
    1007,  1207,  3105,  4184,  4185,  4343,  3612,  3112,  3144,  2885,
    2886,  2887,  1894,  2147,  1421,  1103,  1422,  2158,  1104,  1627,
    1424,  1105,  1106,  1107,  1427,  1108,  1109,  1110,  1111,  1610,
    1669,  1112,  1113,  1646,  2155,  2156,  1533,  2380,  1115,  1116,
    1117,  3107,  1118,  3552,  3934,  3923,  2406,  2407,  1730,  3548,
    3047,  1703,  2463,  4205,  4354,  4355,  3088,  3578,  3951,  4183,
    4446,  4511,  4512,  1119,  2460,  1699,   811,  1120,  3343,  1701,
    2400,  2485,  2486,  1586,  1608,  2346,  2364,  2365,  2377,  3008,
    2384,  2389,  3031,  3032,  2401,  2429,  1121,  2349,  2350,  2991,
    1612,  1122,  1162,  1163,  1605,  2424,  1175,  1176,   719,  1123,
    1124,  1125,  1578,   710,  4189,   519,   774,  2707,  1821,   843,
     652,  1126,  1127,  1128,  1129,   940,   941,  1293,   520,   768,
     788,  2684,   521,   522,   770,  1826
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,   810,  1202,   766,
    1501,   530,   725,  1134,   653,   925,   896,   735,   785,  1541,
     169,   712,   173,  1305,  1511,  1208,  1822,   642,  2288,  1924,
    1211,   679,   642,   999,  1000,  1001,   950,  1329,  1561,  1005,
    1359,  1837,  1505,  2417,  2531,  1371,   962,   641,   724,  1827,
     923,  2144,   641,   976,   559,  2017,  2483,   518,  1598,  1450,
    1986,  2972,  2112,   947,   567,  1148,  2853,  3210,  1648,  1470,
    1994,  2157,  2003,  1397,  1534,  2871,   648,  3395,   606,  1292,
    1822,  2208,  3242,  1420,  3244,  2064,  2768,  3453,   680,  1621,
    1622,  1438,  3413,  3364,  2503,  1443,  2345,  1827,   882,   616,
    1447,  3151,  1840,  2709,  2958,  3115,  3655,  1453,  1637,  3695,
     729,  2553,  2555,  2078,  2079,  3113,  3114,  1472,   970,  3227,
    3439,  3877,   771,   773,  1492,  3885,   777,  3427,   779,  3630,
    3345,  3661,  2740,   925,   673,  2074,  2259,    65,  3591,  3106,
     737,   706,  3608,  3055,   738,   933,    74,   828,  3345,  3869,
    1979,  1993,    75,  2526,   787,    76,    77,    78,  1902,  2529,
     814,    98,   118,  1863,   123,   139,  3157,   143,  1141,   698,
    3835,   831,  2223,   736,  2807,   161,  2211,   167,  2212,  3634,
    3530,  3606,  4006,  4131, -1595,  3369,  3370,  3371,  3372,  3373,
    3374,  1261,  4197,  2790,  4199,  1322,   573,  1195,  3106,  1469,
   -1384,  1338,   624, -1600,  4323,  1674, -1387, -1567,  1664,  1667,
    1364,  1198,  3565,  1614,  1615,  1585,   528, -2051,   709, -1986,
   -2085,  1493,  4223,  1228,  2004,  2090, -1959,  2422,   624,  3012,
    1677,   573,  1517,  1493, -1959,  4319,  2552, -1595,  3444,  1634,
    1434,   981,  2422,  1532,  2866,  2085,  4380, -1826, -2106, -2133,
     715,  1996,  1996,  1996, -1826,  1996, -1600,  2439,  2320,  1543,
    1679, -1934,  2989,  2072,  1392, -1960,  1026,  2457, -2282, -1580,
    3389, -1607,  1932, -1960,  2458,   573, -2282,   573,  3156,   573,
    2845,  1996,  2285, -1384,  1581,  4273,   782, -1610, -1610, -1387,
    3108,  3010,  3011,   794,  1138,  2629,  3026,  1289,  2205,  1996,
    2162,   818,   624,  2215,  4314,  2280,   624,   573,  3431,   996,
     833,  3211,  4315, -1600,  -789,  2929,  3861,  2931,  1493,  1930,
    4398,  3357,  1847,  4250,  4229,  1229, -2054,  4013,   887,  4233,
    4325,  1386,  4557,  1151,  1828,   624,  3061,  3062,  3354,  1712,
    4105,  2601,  1974, -2105,  4573,  2180,  2382,  4468,   985,  3108,
       3,     4,   176,  1371,  1191,  2297,   685, -1384,  2588,   810,
    2382,   877,  4444, -1387,  4254,  1665,  1308,  2584,  2630,   630,
    4004,   630,   630,   523,  1720,  1289,   573,   824,  2000,   525,
     624,  -124,   835,  2440,  1237,   573,  -124,  2441,  4445,   631,
    1512,   631,   631,  1711,   177,  1503,  3355,  1152,  2631,  1309,
     630,   630,  1713,  1648,   925,  1933,   810,  4469,   928,  2616,
    2466,  1848,  1022,  2589,  4597,  2152,   925,  4351,   938,  2181,
     631,   631,  -946,  1193,  4251,  2442,  1215,  1975,  2283,  2001,
    1724,  2632,  2289,  1674,  2291,  1736,  1736,  2294,  1503,  1529,
    1621,  1622,  2846, -1842,  2687,  1579,  4106,  4311,  1637,   686,
   -1842,  2970,  4009,  2119, -1567,  1588,  2206,  4399,  1677,  2475,
    1493,   935,  4397,  2123,  2505,   997,  4316,  4286,  1599,  1230,
     925,  2281,   836,  1494,  1721,  1165,   880,  1166,   630,  2299,
     883,  4326,  4574,  1934,  1545,  1494,  1238,  4480,  1679,  3012,
    2152,  2342,  2791,  2216,  2688,  2016,  -378,   906,   631,  2005,
    2282,   574,  1231,  2035, -1384,  1602,  3862,  1379,   891,  2286,
   -1387,  2006,   898,   837,  3709,  4287,   874,  3648,  1343,  2633,
    2847,  2144,  4288,   908,  1435,  3211,  4502, -1567,  2059,  1967,
    2061,  1232,  3390,   716,  2560,  1299,  2348,  1973,  2423,   783,
    1503,  2420,  2638,  2704,  3289,  2443,  2073,  2091,  2069,  4289,
   -2105,  1827,  1582,  3075,  1004,  2382,  1344,  1829,  3445, -1826,
    2142,  1410,  2007,   838,   924,   577,  2135,  2136,   977,  3345,
    1494,  2115,  3686,  1614,  1615,  2111,   725,  4456,  2689,  2459,
    2116,   888,  1634,  1203,   925,  1722,   872,  1668,  1609,  1233,
    3713,  4133,   925,   925,  2086,  2049,  2300,  1827,  2052,  2053,
   -1384,  2276,  1931,  4583,  1435,  4014, -1387,  2207,    48,  2381,
    1531,   169,   724,   173, -2105, -1595,  2602,   568,  4100,  1718,
    1965,  4290,  1503,  2404,  3849,  3608,  1698,   842,  3352, -2105,
    2263,   978,   875,   983, -1600,   987,  3963, -1384,  1620, -1384,
    3967,   991,  3665, -1387,  2165, -1387,   636,   637,  1010,  3858,
    3024,   641,   969,   641,  3176,   641, -2051, -1959, -1986, -2085,
    3915,   641,   992,   993,  3957,  1874,  2120,  2284,  4515,  1982,
    4147,  1027,  3876,  2031,   810,  1375,  2295,  3992,  1131,  1875,
   -1567,  1140,   924,  1142,  1643,  1643,  1381, -2106, -2133,   994,
    1160,   972, -1934,   737,  1161,  1582, -1960,   738,  1609, -2282,
    1626,  2234, -1607,  3940,  1644,  1644,  1670,  3485,  1709,  1345,
    2490,  2341,  1494,  2344,   936,  1167,  3809,  1370,  1645,  1647,
    1290,  1291,  2690,  2352,   636,   637,   736,  2356,   169,   168,
     173,   163,   164,   166,  4361,  2368,  2369,  4497,  1160,  1004,
    1297,  1298,  1161,  3624, -1600,  1239,  1483,  3153,  2386,  2388,
    2732,  2809,  2733,   636,   637, -1842,  2614,   739,  4481,  2402,
    1380,  3106,  2639,  3106,  3698, -2054,  3409,  4072,  1822,  1017,
    2233,  1932,  2038,  2301,  3159,   654,  3160,  1223,  3646,  2239,
    1150,  4419,  3206,  2243,  1461,  1035,  4215,  4291,  3012,  2249,
    2250,  2302,  1135,  4225,  1674,  1170,  2215,  1346,  1290,  1291,
    1237,  4336,  2372,  2373,  -124,  -124,  2642,  2262,  4504,  2526,
    3800,  1158,  4546,  4309,  3138,  1391,  3401,   660,  2518,  1677,
    1137,   641,  1462,  2959,  1145,  2483,  2483,  2483,  2705,  2148,
    3752,  1006,  1184,  1519,   740,  3322,  1448,  1449,  3325,  3326,
    2464,  3106,  3329,  3455,   573,   573,  2567, -1567,  3332,  1679,
    4533,  1695,  1696,  1697,  1698,   573,  1480,  1918, -1567,  2697,
    1620, -1567,  1215,  3123, -1567,    65,   569,  2218,  3327,  3328,
   -1457,  1520,  2961,  2655,    74,   573,  1979,  2126,  2418,  3637,
      75,  2694,  3490,    76,    77,    78,  1507,  1509,  1006,    98,
     118,  2643,   123,   139,  3888,   143,  2149,  2292,  2293,  1296,
    2717,  3199,  1238,   161,  3699,   167,  4496,  3021,  3022,  3023,
    3024,  1225,  3108,  4186,  3108,  2127,   570,  1206,  3725,  2536,
    3456,   673,  1333,   732,  3649,  1665,  3513,  2199,  1920,  3518,
    3519,  3520,  3521,  3522,  3523,  3524,  3525,  3526,  3527,  3200,
    4365,  4366,   732,   730,  2240,  2148,  1921,   571,  3265,   572,
    3831,  1728,  1918,   924,  2150,  2251,  3661,  2151,  2810,  1243,
    3424,  2357,   916,   573,  3402,   924,  2465,  2258,  1919,  2557,
    3014,  4505,  2718,  2064,   662,  1463, -2283,   169,   976,   173,
    1485,  2248,  3753,  2508,  4337,  3720,  4116,  1151,  3567,  3568,
    1729,  1446,  3108,  4427,  1348,  1368,  4433,  4187,  1584,  2629,
    1349,   641,   731,  4190,  2200,  2629,  3207,  3700,  4194,  2615,
    3701,  4196,  2149,  1474,  1477,  1478,  3726,   661,  2960,   924,
    3491,  2908,  2719,  1920,  1521,  4423,  4226,  4575,   741,  3015,
    1547,  2843,  1549,  4534,  1551,  3342,  1553,  1607,  1555,  1556,
    1557,  1921,  3012,  2268,  2698,  1559,  4246,  1185,  2152,  1927,
    3266,  1152,   663,  3342,  3457,  1641,  2358,  1624,  3453,  4165,
    2235,  1035,  2509,  1464,  3012,   725,  1022,  2962,  2128,   732,
    2150, -1931,  2630,  2151,  2720,  1922,  4123,   684,  2630,  1265,
    2067,  2801,  1486,  3721,  2382,  2382,  3832,  1651,  3012,  2382,
    3650,  3277,  3201,  1666,  1926,  3661,  1350,  4127,  -603,  4026,
    1936,  1662,  4535,  1671,  2016,  1135,   797,  3118,  2498,  2375,
    1937,  3909,  1522,  3228,  3458,   810,  1710,  4277,  3999,  3651,
     917,  1927,  4403,  2359,  1833,  4536,  3618,  4375,  1135,  2382,
    2382,  1465,  1487,   924,  3451,    38,  1726,  1727,  3652,  2763,
    1186,   924,   924,  1035,  4498,  4359,  3012,  2153,  2949,  1369,
    2558,  1466,  3598,  2559,  1841,  1842,  2129,  1846,   738,   738,
    1503,   738,  4559,   707,  2152,    42,  2721,  2154,  2764,  4091,
    1922,  1923,   641,  3722,  4520,   918,  2892,   641,   641,  4545,
    3202,  2360,  3696,  4547,  2361,  2201,   733,   736,   736,  3158,
     736,  4425,  2828,   718,  3267,  2560,  2530,  4092,  2202,  2656,
    3991, -2283, -2283,    46,  3019,  3020,  3021,  3022,  3023,  3024,
    1693,  1694,  1695,  1696,  1697,  1698,    47,  2175,  4503,  3375,
    2011,  3599,  1488,  2633,  3014,   664,   665,  3268,  4582,  2633,
    1003,  2314,  4362,   573,  4348,  4404,  2124,   624,   573,  3668,
    1351,  1503,  4368,  3624,  2762,  2105,  3014,  1279,  3983,  3600,
    3976,  1938,  2537,   727,  1928,  1160,  3269,     3,     4,  1161,
    1740,  3106,  3378,  2153,  3601,  3106,  1923,  1850,  3045,  2722,
   -2283,   641,  1489,  1352,  3052,  2362,  3602,  2723,  2106,   641,
    2724,  4400,  4109,   742,  1939,  2080,  2081,  2082,  2083,  4560,
    1302,  3828,   573,  2125,  3229,  4186,  4234,  1467,  3903,  3603,
    4405,  1960,  1353,  4331,  1851,  3015,  2054,  3013,  1877,  2779,
    2926,  1004,  1503,  3669,   610,  1349,   992,   993,  2068,  3230,
    2176,  2232,  2098,  4110,   810,  2932,  2121,  2122,  3014,  1912,
    2238,  3810,  2131,    14,   573,  2734,  3813,   641,  4294,  1913,
     641,   641,  2927,  2737,  4298,  2739,  2812,  2381,  2381,  2819,
    3130,  3345,  2381,  1490,  1914,  3742,  1852,  2876,  2877,  2878,
    2879,    38,  4460,  4461,   728,    19,  3779,  2654,  3670,  2884,
    3671,  1990,  3782,  3783,  2363,  3604,  2159,  4378,  2008,  2588,
    1206,  4383,  4384,  3917,  2138,  3918,  3661,  3015,  2009,  1850,
    3815,    42,  2381,  2381,  2668,  4098,  2753,  2576,  1853,   785,
    3382,   776,  2754,  2194,  2195,  2196,  2197,   778,   641,  3481,
    2045,  1350,  3108,  2048,  3643,  1304,  3108,  3126,  1035,  -146,
    2179,  3012,  3857,  2620,  2670,  2731,  1851,  2963,  2922,    46,
    2651,  1674,  3817,  2055,  3179,  2056,  2098,  3383,  3558,  3222,
    1225,  3171,    47,  1225,  -146,  2669,  3221,  2189,  2746,  1854,
    2084,  3384,   810,  3829,  2987,   795,  1677,  2253,  3019,  3020,
    3021,  3022,  3023,  3024,  2102,  2483,  2257,   526,  2241,  2577,
    2572,  3937,  3938,  2264,  3342,  2671,  3501,  2114,    48,  2785,
    3019,  3020,  3021,  3022,  3023,  3024,  1679,  4134,  1915,   835,
    2054,  2098,   796,  1225,  2064,   542,  2964,  1225,  2755,  4135,
     681,  1191,  3223,  3039,  3019,  3020,  3021,  3022,  3023,  3024,
    3287,  2071,  2966,  4418,  3919,  2925,  3830,  4565,  1223,   820,
    1853,   800,   801,   802,    30,   803,   804,   805,   806,   807,
     808,  2934,  2935,  3385,  3064,  2937,   169,  3891,   173,  3892,
    2725,  2941,  1536,  3290,   821,  1537,  2765,   542,  2759,  3475,
      38,   176,  3066,   544,  3067,  1302,   826,  4275,  3016,  3017,
    3018,  3711,  3019,  3020,  3021,  3022,  3023,  3024,   835,   542,
    1193,  1854,  1664,  3288,  2951,  2766,  2210,  3068,  1212,   836,
      42,  2760,  2220,  4324,   176,  2036,  4010,   169,  2313,   173,
    2310,  2311,  2312,   177,  2317,  2828,  2270,  2725,  2271,  2974,
    2272,  2715,  2273,  3014,  2274,   544,  3453,  1194,  2275,  2903,
    2761,  1213,  -505,  1682,  1683,  2366,   972,  2055,    46,  2056,
     837,  2425,   611,  3106,  3712,  4299,   177,   544,  3106,  -401,
    3182,    47,  3668,  3106,  1674,  1674,  3106,  4372,  2267,   834,
    1214,  3514,  2756,  3515,  2354,  2355,  4157,  2037,  4501,  4011,
    2316,  2107,  2367,  4300,  4136,  1279,  2370,  2371,   836,  1686,
    1677,  3484,  3015,  2108,  2339,  1326,  3106,   612,   925,  3432,
     838,  2392,  3436,  2393,  4249,  2757,  1135,  1135,  3069,  1217,
    1358,  2428,  1035,  3070,  -146,  3012,  2833,  2109,  4369,  1679,
    1679,   551,  2315,   552,  2415,  2162,  2416,  3198,  1327,   837,
    1191,  3485,   925,  2918,  2758,  1192,  3669,  1160,    33,  -146,
     876,  1161,  1218,   879,  2505,  2491,  1451,  4541,  2041,  2382,
    1435,  2044,  2382,  2382,  2382,  2382,  2382,  2382,  2382,  2382,
    2382,  2382,  -401,  2040,  3807,  2834,  4108,  2940,  4211, -1430,
    4213,  1219,   897,   551, -1430,   552,  4115,  4017,  4018,   838,
     630,   889,  2382,   890,  4548,    27,  3119,  4126,  2304,  1896,
    4437,  3670,  3516,  3671,  3511,   551,   810,   552,   557,  1193,
     631,  2094,  3517,  2608,  3108,  2101,  1736,  1643,  1526,  3108,
     785,  2382,  2382,  1223,  3108,   881,   209,  3108,  3531,  2024,
    1451,   527,  1897,  1328,   624,   884,  1147,  1644,  1527,   608,
    1643,  2430,  3071,  2431,  3190,  3106,  1194,   904, -1430,  2474,
    3480,  1645,  3072,  3191,  2835,  2836,   682,  3108,  2488,   914,
    1644,  1898,  4070,  4071,  1996,  3599,  2432,    38,  2837,  4162,
    4463,    38,  1997,  3016,  3017,  3018,    38,  3019,  3020,  3021,
    3022,  3023,  3024,   535,  3683, -1430,  -504,  1693,  1694,  1695,
    1696,  1697,  1698,  3600,  3212,  4178,  4179,    42,  3121,  3106,
    2177,    42,  3754,  1643,  2564,  1143,    42,  3014,  3969,  2568,
    3185,  3666,  2571,  3770,   913,  2838,  3232,   169,  2539,  2209,
    3602,  2060,  3755,  1644,  2525,  2525,  1716,  2610,  2611,  2612,
     730,  3252,  1220,  3771,  2594,    46,  2622,  1647,  2624,    46,
    2626,  2627, -1431,   892,    46,   893,  3253, -1431,    47,  2075,
    2578,  1170,  2581,  3544,  3270,  3081,  3272,    47,  2018,  2025,
    4522,  3414,  2433,   542,   624,  1221,  3015,  2434,  3936,    33,
    3423,  1996,  2435,   925,  2499,  2644,  2502,  1632,  1633,  2002,
    1306,  2342,  -940,  3235,    48,  3237,  2018,  1831,    48,   731,
    1832,   915,  2650,  4549,  1222,  1356,  3108,  1360,   610,  1606,
    2483,    48,  2839,  1339,  2840,  2483,  1142,  2019,  2717,  2020,
    2483, -1431,  1160,  3309, -1934,  1135,  1161,    14,  2685,  3604,
     930,   544,  2381,  2018,  2859,  2381,  2381,  2381,  2381,  2381,
    2381,  2381,  2381,  2381,  2381,  2019,  1340,  2020,  3323,  2735,
    1341,  3697,  3702,  2016,  3493,  3106,   909,  2716, -1431,    19,
    3108,  2727,  3687,   934,  3215,  3542,   732,   942,  3168,  3169,
    3532,  3533,  2872,  1035,   948,  1342,  3012,  3262,  1223,  4591,
    2741,  2016,  2019,  4085,  2020,  1620,   910,  1215,  4086,   943,
    2718,  2751,  2342,  3559,  2381,  2381,  3308,   925,   909,   957,
    3497,  2436,  3315,  3391,  2775,  3714,   967,  2104,  3743,  2795,
    3263,  2437,  2527,  2528,  2782,   911,  3163,  2804,  2016,  2881,
    3136,  1620,  2805,  1903,  2882,   624,  4330,   641,   910,   624,
    3258,  4087,  3189,  2984,  2382,   641,  3645,   641,  2266,  3264,
    2719,  1620,  2408,  1903,  2018,  2411,  3106,  3016,  3017,  3018,
    2656,  3019,  3020,  3021,  3022,  3023,  3024,  3411,  2985,   912,
     963,  4255,  2676,  2986,  2803,  2640,  2694,   998,  3710,   551,
    3365,   552,  2803,   639,  1002,  2882,  1834,  3463,   639,  1835,
     554,  2703,  1673,   733,  2228,  1674,  2229,  2860,  2637, -1452,
   -1452,   556,  2720,  2019,  1451,  2020,  1620,  1008,  1903,  3538,
    2706,   912,  2018,  2975,  3133,  3134,  3108,  2894,  1035,  2978,
    1677,  3012,  3356,  3358,  3359,  3280,  1678,  4082,    30,  4084,
    2897,  3496,  2898,  4088,  3038,  4089,  3040,  3041,  3942,  2016,
    2827,  2265,  4295,  2875,  2266,  1011,  2928,  2018,  2930,  3935,
    1679,  1013,  2323,  2828,    38,  4230,  3506,  4519,  1019,  3787,
    3462,  2019,  1014,  2020,  3465,  3466,  1021,  3468,  3014,  3470,
    3471,  2904, -1456, -1456,   169,  2893,  3512,   924,  3476,  3663,
    3664,  1020,  2873,  2277,    42,  2279,  2278,  4247,  2278,  3867,
    1022,  4143,  1673,    27,  2721,  1674,  2019,  2016,  2020,  2324,
    2908,  3534,  2307,  2504,  3284,  2308,  2505,  3108,  1592,  1593,
    3494,   924,  2648, -1455, -1455,  2649,  3342,  3407,   810,  1023,
    1677,  2956,    46,  3498,  2382,  2382,  1678,  3015,  2325,  1024,
    1025,  2711,  2016,  2861,  2712,    47,  3089,  1585,  3090,  2868,
    1028,  2018,  2982,  1311,  2956,  3091,   925,  3092,   925,  2326,
    1679,  3291,  1680,  1029,  2814,  2829,  1681,  2815,  2830,  1035,
    2327,  3400,  3012,  3403,  1031,  3109,  4158,  4159,  4160,  4161,
    1146,    48,  2862,  3319,    38,  1153,   641,  1682,  1683,  3943,
    2328,  3392,  1154,  3394,  3131,  2329,  1371,  1149,  2018,  1312,
    2019,  3802,  2020,  3803,  1684,  3688, -2192,  2722,  1171,  3896,
    3897,  3898,  1155,  3014,    42,  2723,  2943,  2381,  2724,  2278,
    2018,  2983,   925,  2993,  2266,  2997,  2266,  4207,  2266,  3001,
    1178,  1159,  2266,  1686,  3109,  4320,  2016,  1188,  3968,  1190,
    3971,  2330,  2018,  3614,  1181,  3002,  1687,  2019,  2266,  2020,
    1189,  1179,    46,  3715,  3619,  3620,  3621,  3448,  1182,  1204,
    3028,   725,  2331,  2266,  3044,    47,  1681,  2266,  1205,  2019,
    3049,  2020,  3015,  3050,  1209,  1215,  3245,  4376,  1313,  3246,
    3375,  3250,  3492,  2016,  3251,  1236,  3376,  1682,  1683, -2192,
    2018,  2019,  3442,  2020,  1263,  3443,  3377,  1662,  1268,  1241,
    3502,    48, -1173,  2266, -1173,  2016,  1267,  1299,  3016,  3017,
    3018,  2428,  3019,  3020,  3021,  3022,  3023,  3024,  3094,  3095,
    3096,  1301,   194,  3378,  1689,  3379,  1314,  2016,  1315,  3539,
    3084,  3549,  3540,  1686,  3550,  1307, -2192,  3561,  2063,  2019,
    2266,  2020,  1302,  1310,  3635,  3100,  1687,  3636, -2192,  2332,
    1334,  1335,   924, -2192,  3014,  2333,  3639,  3644, -2192,  3640,
    2559,  2334,  3667, -2192,  1357,  2278, -2192,  1317, -2192,  3859,
    1827,   725,  2278,  1347,  1361,  2016,   169,  2313,   173,  2310,
    2311,  2312,  3941,  1366,  3994,  2308,  3122,  2559,   641,  1367,
    2335,  4001,  2336,  2342,  4002, -2192,  3164,  2381,  2381,  3380,
    4007,  1374,  1372,  2278,  3100,  3775,  1319,   724,  1378,  2337,
    3137,  3137,  4008,  3015,  4595,  2278,  4596, -2192, -2283, -2283,
    4270,  1693,  1694,  1695,  1696,  1697,  1698,  3194,  1376,  3195,
    3196,  3197,  1943,  4075,  2338,  3598,  4076,  4128,  3187,  1382,
    4129,  1321,  3093,  3016,  3017,  3018,  1383,  3019,  3020,  3021,
    3022,  3023,  3024,  1390, -2192,  4167,  3381,  1388,  4168,  1393,
    4169,  3382, -2192,  2266,  4177,  1944,   924,  2308,  4231,  4296,
    4321,  4232,  2278,  4322,  1395,   982,   984,   986,  1945,  3847,
     988,   989,   990,  4058,  4059,  3886,  4061,  1181,  1398, -1384,
     995,  1946,  2382,  4332,  1439,  1223,  2308,  3131,  3383,  1442,
    4340,  2382,  4124,  4341,  3599,  4525,  4345,  1444,  4350,  2505,
   -2192,  3421,  3384,  1454,  1435,  3131,  4530,  3924,  2382,  2382,
    1455,  1693,  1694,  1695,  1696,  1697,  1698,  4352,  4394,  1947,
    3421,  4395,  3600,  -167,  4426,  4431,  3254,  1715,  4432,  4143,
    1948,  1457,  4438,  3248,  1459,  2308,  4439,  3601,  3273,  3050,
    1471,  4440,  1473,  1311,  2266,   654,  1481,  1479,  1491,  3602,
    1949,  1432,   194,  4450,  1496,  1950,  2505,  4568,  4452,  4467,
    4473,  3421,  2308,  2308,  4474,  4488,  1497,  2308,  4489, -2192,
    4516,  3278,  3603,  2505,  3016,  3017,  3018,  1498,  3019,  3020,
    3021,  3022,  3023,  3024,  3385,  4563,  1499,  4593,  3421,  1312,
    4594,  4191,  1500, -2192,  4604, -2192, -2192,  4594,  1502,  1503,
    1510,  1513,  3890,  1514,  1515,  1516,  1518,  1524,  1535,  1523,
    3893,  3894,  1525,  3320,  1530,  1560,  1587,  1590,  1594,  1603,
   -1571,  3311,  1951,  1596,  1604,  1597,  3899, -1578,  1585,  1613,
   -2192,  1616,  1244, -2192, -2192, -2192,  1617,  1618,  1619,  1623,
     785,    48, -1568,  2803,  1625,  1628,  2803,  2803,  3604, -1569,
    2803,  1629,  1630,  1952,  1631,  1636,  2803,  1638,  1639,  1640,
   -1572,  1641, -1570,  3344,  1245,  1702,  1642,  1649,  1313,  1650,
    1652,  1653,  1654,  1655,  1673,  1656,  1657,  1674,  1658,  1659,
    1731,  3344,   194,  1432,  1704,  1708,  4245,  1706,  1715,  1719,
    1739,  4079,  1839,  3788,  1675,   924,  1192,   924,  1194,   641,
    1870,  1872,  1677,  3845,  3846,  1880,  3351,  3353,  1678,  1899,
    1900,  3360,  1901,  1903,  1904,  1953,  1314,   641,  1315,  1905,
    1246,  1954,  4192,  1907,  1955,  1906,  1908,  1929,  2063,  2382,
    1935,  1941,  1679,  3419,  3789,  3472,  1962,  1966,  3473,  4016,
    1968,  1969,  1970,  1971,  1972,  2381,  1987,  1989,  3404,  4113,
    1956,  1988,  1247,  2009,  4170,  1999,  1957,  1317,  3790,  2010,
    3447,   924,   169,  3438,  2098,  2012,  2013,  4031,  2015,  1958,
    2016,  2381,  2381,  3791,  2014,  2022,  2023,  3792,  3483,  2026,
    2027,   169,  3461,  3499,  2032,  1211,  4046,  3109,  1248,  3109,
    3867,  3575,  2039,  2033,  1959,  2028,  1319,  3793,  3495,  2042,
    3794,  3787,  2046,  2047,  2050,  2057, -2194,  2058,  2062,  1279,
    2065,  4015,  3795,  2066,  3396,  3397,  1546,  2076,  1249,  1548,
    2077,  1550,  2087,  1552,  2088,  1554,  2070,  2117,  2092,  1558,
    3406,  1321,  2093,  2118,  1680,  2132,  4066,  2130,  1681,  2089,
    2143,  2099,  4032,  4033,  3415,  2103,  1250,  2133,  2145,  1609,
    1620,  2146,  1626,  2163,  3425,  2166,  2167,  2170,   537,  1682,
    1683,  2171,  2178,  2193,  2174,   641,  2198,  3109,  3441,  2213,
    2214,  2221,  2224,  2226,  2227,  -516,  1684,  2231,  2242,  1251,
   -1396,  1895,  1328,    33,  2244,  2245,  2246,  1252,  2247, -2194,
    3796,  2296, -1396,  1253,  2260,  2261,  2290, -1396,  3797,  2305,
    1254,  2390,  1685,  2347,  2319,  1686,  2348,   725,  1255,  3556,
    4344,  4067,  4068,  2391,  2403,  2409,  1674,  1256,  1687,  2414,
    4344,  1688,  2421,   725,  2353,  1257,  3131,  3580,  3581,  3582,
    3583,  4081,  2413,  3798,  1135,  1895, -2194,  2427,  2444, -1396,
    2446,  2461,  2462,  1662,  4202,  2475,  2492,  2489, -2194,  2493,
    2496,   731,  2497, -2194,  2506,  2519,  2507,  3587, -2194,  3590,
    3986, -1396,  2520, -2194,  2521,  2522, -2194,  2548, -2194,  2534,
    2549,  1432,  2561,  2551,  2574,  4390,  2562,  1258,  2563,  2579,
    2584,  2582,  4259,  2593,  1585,  2586,  2587,  4265,  4267,  2598,
    2603,  2604,  2381,  4023,  2606, -2194,  1689,  2609, -1396,  2613,
    2617,  3679,  3680,  3681,  3682,  2625, -1396,  2628,  1673,  2641,
    1143,  1674,  1147,  2646,  2702,  2696,  2714, -2194,  2710,  2726,
    2767,  2701,  2770,  2781,  2792,  2793,  2713,  4151,  1675,  4152,
    4153,  2788,  2789,  3684,  2794,  2813,  1677,  2796,  2797,  2800,
    2806,  4156,  1678,  2808,  2817,  2820,  4055,  2822,  1432,  2798,
    2799,  2823,  2821,  2824, -2194,  2825,  2826,  3584,  3585,  3586,
    2851,  2831, -2194,  2865,  2867,  2880,  1679,  1895,  2874,  4451,
    2883,  2890,  2891,  2902,  2900,  2889,  2888,  2905,  2917,  2919,
    2921,  2920,  2923,  4101,  2924,  2933,  2936,  1432,   925,  1690,
    1691,  1692,  2938,  1693,  1694,  1695,  1696,  1697,  1698,  2939,
    2945,  2946,  3344,  2947,  2957,  2948,  3005,  4201,  2320,  2965,
   -2194,  2968,  1432,  2971,  4206,  2973,  2505,  1531,  2950,  2977,
    1004,  2976,  3756, -1396,  2979,  3759,  3736,  2980,  2995,  3737,
    2996,  3738,  2999,  4210,  2981,  4334,  2266,  3034,   641,  3046,
    2998,  3735,  4256,  3000,  3003,  3004,  3060,  3006,  3065,  3009,
    3080,  3027,  3033,  3035,  3036,   654,  3073,  1673,  3087,  3117,
    1674,   641,  3043,  3058,  3111,  4396,  3059,  3083,  1680,  1432,
    3116,  4379,  1681,  3085,  2803,  3086,  -986,  4382,  3826, -2194,
    2803,  2803,  3140,  2138,  1160,  1677,  3149,  1181,  1161, -1458,
    3139,  1678,  3143,  1682,  1683,  3155,  3145,  3167,  3161,  3172,
    3177,  3170,  3181, -2194,  3173, -2194, -2194,  3178,  3184,  4386,
    1684,  4388,  3186,  3208,  3193,  1679,  3209,  3219,  3812,  3814,
    3816,  3818,  3220,  3224,   992,   993,  3234,  3225,  1585,  3236,
    3249,  3275,  3276,  3850,  3279,  3801,  1685,  3281,  3286,  1686,
   -2194,  3285,  3282, -2194, -2194, -2194,  3283,  3292,  3293,  3294,
    3295,  3296,  1687,  3297,  3811,  1688,  3298,  3299,  3302,  3300,
    3301,  3303,  3304,  3305,  3309,  3307,  3312,  3306,  3314,  4581,
    3316,  3310,  2085,  3318,  3324,  3330,  3331,  3334,  3346,  2152,
    3350,  3366,  3349,  3361,  3367,  3408,  3362,  3109,  3398,  3405,
    3878,  3109,  3399,  3410,  3412,  4329,  3421,   169,  3875,  4259,
    3434,  3428,  1585,   810,  3420,  4443,  1585,  1585,  3433,  3430,
    2956,  3437,  3460,  3467,  4339,  3440,  4310,  1680,  3477,  4581,
    3478,  1681,  3469,  3479,  3487,  3482,  3488,  4581,  3808,  3489,
    1689,  3500,  3505,  3030,  4218,  3012,  3029,  4235,  3563,  3551,
    3535,  1606,  1682,  1683,   650,   651,  1432,  3834,  1667,   657,
    3911,  4360,   732,  3589,   668,   676,   650,  3536,   683,  1684,
    3537,   676,   676,  3543,   711,  3576,   714,  3572,   641,  3616,
    3564,  3631,  3613,  3647,  3851,  3654,  4240,  3675,  3611,   925,
    3677,  2487,  3597,  3678,  3689,  1685,  3690,  3691,  1686,  3692,
    3703,  3629,  4391,  3719,  3731,  3625,  3626,  3628,  3716,  3717,
    3694,  1687,  3718,  3729,  3730,  3744,  3732,  3733,  3734,  3745,
    3751,  3767,  3769,  3698,  3772,  3778,  3780,  3781,  3804,  3805,
    3843,  3452,  3806,  1690,  1691,  1692,  3825,  1693,  1694,  1695,
    1696,  1697,  1698,  3833,  3836,  2494,  3853,  3841,  2278,  3870,
    3852,  2495,  3872,  3848,  3873,  3855,  3887,  3860,  3884,  3895,
    3856,  3883,  3889,  3900,  3902,  3904,  3913,  3100,  3905,  4569,
    3906,  3100,  3907,  3908,  3916,  3920,  3925,  3926,  3933,  3964,
    3921,  3965,  3927,  3928,  3929,  3984,  3985,  3972,  3949,  1689,
    3977,  3978,  3993,  3987,  3959,  3990,  3960,  3996,  3962,  3975,
    3998,  3980,  4003,  3981,  4004,   169,  3988,  2910,  3982,  4027,
    4012,   767,   772,   772,   775,  4028,   772,  4034,   781,  4035,
     767,  3997,   711,  4036,  3995,   812,  1244,  4047,  4050,  4054,
     711,  4062,  4069,   711,  4057,  4090,  4104,   772,  4093,   711,
    4094,  4107,  4114,  4118,   641,  4102,  4112,  4120,  4132,  4130,
    4138,  4140,  4041,  3953,  3954,  3955,  3956,  4141,  1245,  4149,
    4155,  4163,  4164,  4166,  4051,  4060,  4173,  2550,  4174,  4171,
    4175,  1895,  2556,  4195,  4176,  4182,  4029,  4188,  4198,  4063,
    4204,  4208,  1690,  1691,  1692,  4212,  1693,  1694,  1695,  1696,
    1697,  1698,  4227,  4224,  4228,  4237,   641,  4252,  4253,  4242,
    4257,  4264,  4243,  4271,  3832,  4278,  4280,  4281,  4283,  4303,
    4284,  4304,  4308,  4285,  1246,  4302,  4044,  4045,  4335,  4306,
    4312,  4048,  4049,  4313,  4338,  4342,  4462,  4353,  4347,  4363,
    4064,  4065,  4357,  4371,  4373,  4385,  4401,  4406,  4411,  4410,
    2803,  2803,  4413,  4415,  4416,  4428,  1247,   924,  4421,  4430,
    4429,  4083,  4435,  4441,  4436,  4453,  4442,  4449,  4454,  3109,
    4455,  4457,  4466,  4470,  3109,  4380,  4476,  4564,  4478,  3109,
    4479,  4482,  3109,  4125,  4484,  2911,  4487,  1432,  4492,  4493,
    4499,  4500,  1248,   641,  3577,  4096,  4514,   810,  4521,  4528,
    4532,  4523,  4480,  4481,  4540,  4539,  4544,  4572,  4589,  4558,
    4592,  4598,  3109,  4602,  4459,   641,   925, -2207,  2100,  1266,
    2869,  1332,  1249,  1183,  1738,  3124,  4122,  2700,  3131,  3231,
    1331,  3708,  2780,  3784,  4392,  4477,  3333,  4258,  4305,   810,
    3844,  4307,  4099,  4293,  3175,  2944,  4524,  4216,  4567,  2956,
    4485,  4538,  4483,  4142,  4239,  4424,  3180,  3840,  2849,  3706,
    2850,  3243,  2190,  2832,  3416,  4571,  4599,  4603,  4282,  3363,
    3347,  4542,  4241,  2173,  4472,  3911,  3911,  3911,  3911,  4529,
    4244,   656,  3901,  4358,  2554,  1580,  3879,    33,  1589,  3880,
    4434,  1252,   926,  3162,  3313,  4551,  4600,  1253,  2500,  1156,
   -2207,   785,  3128,  2501,  1254,  3863,  2269,  3989,  3641,  1177,
    3129,  2533,  1981,  1867,  1836,  2532,  1866,  2516,  3154,  3141,
    3142,  1256,  1871,  3958,  4349,  3592,  4219,  4221,  4221,  1257,
    3970,  1164,  3588,  1876,  4448,  4447,  3555,  1432,  3642,  4333,
    2818,  2956,  3545,  2956,  3100,  4518,  4517, -2207,  2910,  3100,
    4513,  3109,  3100,  3078,  1673,  3132,  2990,  1674,  3076, -2207,
    2477,  3638,     0,     0, -2207,     0,   844,  1244,     0, -2207,
    4148,   711,     0,   767, -2207,     0,   772, -2207,   775, -2207,
     772,  1258,  1677,     0,     0,  2913,  3452,   812,  1678,     0,
     901,     0,     0,     0,     0,  1673,     0,   772,  1674,  1245,
       0,     0,     0,     0,  3344,  3109, -2207,     0,     0,     0,
       0,     0,  1679,     0,     0,  1675,  1895,  4209,     0,     0,
     767,     0,     0,  1677,     0,   775,     0,     0, -2207,  1678,
     767,  2910,     0,     0,   812,     0,     0,     0,  1244,  2803,
     641,     0,     0,     0,     0,     0,     0,     0,   924,   772,
    1244,     0,  4262,  1679,  4263,  1246,     0,     0,  4268,  4269,
       0,     0,  4317,     0,     0, -2207,     0,     0,     0,     0,
    1245,     0,     0, -2207,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,     0,     0,  1247,     0,     0,
       0,     0,     0,  4412,   169,  4297,     0,   711,     0,     0,
    1432,     0,     0,     0,     0,     0,     0,     0,   711,  1018,
       0,     0,     0,     0,  1680,     0,  2911,     0,  1681,     0,
       0, -2207,     0,  1248,     0,     0,  1246,     0,     0,  1130,
       0,   711,   676,     0,     0,     0,   676,     0,  1246,  1682,
    1683,     0,  4364,     0,     0,     0,     0,     0,     0,     0,
     711,  3109,     0,  1249,   711,  1680,  1684,   810,  1247,  1681,
    1130,     0,     0,     0,     0,     0,   654,     0,     0,     0,
    1247,   711,  4387,     0,  4389,  3100,     0,  4274,     0,     0,
    1682,  1683,     0,   711,     0,  1686,     0,     0,     0,     0,
   -2207,     0,     0,     0,  1248,     0,     0,  1684,  1687,  2911,
       0,     0,     0,     0,     0,     0,  1248,     0,     0,     0,
       0,     0,     0,     0, -2207,  1135, -2207, -2207,    33,     0,
       0,     0,  2912,  1685,  1249,   711,  1686,  4393,  1253,     0,
       0,  4495,     0,     0,     0,  1254,  1249,     0,   711,  1687,
     772,   772,  3109,  1981,     0,     0,     0,     0,     0,     0,
       0, -2207,  1256,     0, -2207, -2207, -2207,     0,     0,     0,
    1257,     0,   676,   676,     0,     0,     0,     0,     0,     0,
    2487,  2487,  2487,     0,     0,     0,  1689,  4527,     0,     0,
       0,     0,     0,  4221,   169,  4422,     0,   767,     0,    33,
       0,  1980,     0,  1252,     0,     0,     0,     0,   767,  1253,
       0,    33,   812,     0,     0,  1252,  1254,  4367,     0,     0,
       0,  1253,  1258,     0,  1981,   772,  2913,  1689,  1254,     0,
       0,     0,     0,  1256,     0,     0,  1981,     0,     0,     0,
     711,  1257,     0,     0,     0,  1256,   772,   772,  4491,     0,
       0,  1895,     0,  1257,  2556,     0,  2556,     0,     0,     0,
       0,  1895,   711,   711,   711,     0,   772,     0,   767,     0,
       0,     0,     0,     0,     0,   924,     0,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  1258,   772,     0,   772,   772,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,  4531,  2913,
    2956,  1432,     0,     0,     0,     0,     0,     0,  4601,  1130,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,     0,     0,  1673,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
    1563,  1895,     0,     0,   711,     0,   650,     0,     0,     0,
    4570,     0,  1677,  1269,     0,     0,     0,     0,  1678,  1270,
       0,     0,     0,     0,  1595,     0,     0,   711,     0,     0,
    1601,     0,     0,   169,  4543,     0,     0,  1673,     0,     0,
    1674,     0,  1679,  1130,     0,     0,   169,  4556,   173,  4553,
    4554,  4555,     0,  4588,     0,     0,     0,  1675,     0,  1271,
       0,     0,  1432,     0,  1432,  1677,     0,     0,     0,     0,
       0,  1678,  1130,     0,  4580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4587,
    4556,   173,  4553,  4554,  4555,  1679,     0,     0,     0,     0,
    1130,  1130,     0,  1130,  3063,     0,     0,     0,  1272,     0,
    4579,     0,     0,     0,     0,  1273,     0,     0,  1274,     0,
       0,  1432,  1130,     0,  4580,     0,     0,     0,     0,     0,
       0,     0,  4580,     0,     0,     0,   169,  4556,   173,  4553,
    4554,  4555,     0,     0, -2283,     0,  1432,     0,  1681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
    4579,     0,  1130,     0,     0,  2556,     0,     0,  4579,  1682,
    1683,     0,  1275,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2556,     0,     0, -2283,     0,     0,     0,
       0,  1130,     0,     0,     0,  1130,  1130,  1680,     0,     0,
       0,  1681,     0,     0,     0,     0,   711,   711,  1879,     0,
       0,     0,     0,     0,     0,  1686,     0,     0,     0,     0,
       0,     0,  1682,  1683,   676,     0,     0,     0,  1687,  1276,
       0,  1277,     0,     0,     0,     0,     0,     0,     0,  1684,
       0,  1278,     0,     0,     0,     0,     0,     0,  1432,  1279,
       0,     0,     0,     0,     0,     0,     0,   676,     0,  1280,
       0,     0,     0,     0,  2556,  1685,     0,     0,  1686,     0,
     711,  1995,     0,     0,     0,  1432,     0,   711,     0,     0,
     772,  1687,     0,     0,  1688,     0,     0,     0,     0,     0,
       0,     0,  1281,     0,     0,  1282,  1283,     0,     0,     0,
       0,     0,     0,   812,     0,     0, -2283,     0,     0,   711,
       0,     0,   711,     0,     0,     0,     0,     0,     0,     0,
       0,  1284,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,  1432,   772,   772,   772,   772,   711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1689,
    1672,     0,     0,   711,  1432,  1673,     0,     0,  1674,     0,
       0,     0,     0,     0,  2113,     0,   711,     0,     0,  1285,
       0,     0,     0,     0,     0,  1675,   772,   772,  1676,  1432,
       0,     0,   772,  1677,     0,     0,     0,     0,     0,  1678,
       0,     0,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1679,     0,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   772,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,
    1697,  1698,     0,   772,   772,   772,   772,     0,     0,  3053,
    2487,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,   711,     0,     0,  2113,     0,     0,     0,     0,     0,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
     775,     0,   767,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   812,  1895,     0,  1269,     0,   772,     0,     0,
       0,  1270,     0,     0,     0,  1680,   772,     0,     0,  1681,
       0,     0,   772,   772,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,  1311,     0,     0,     0,
    1682,  1683,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1271,  1563,     0,     0,     0,     0,  1684,     0,   772,
       0,   767,     0,     0,     0,   711,   711,     0,   772,     0,
       0,     0,     0,     0,   711,     0,     0,     0,     0,     0,
       0,   711,  1312,  1685,     0,     0,  1686,     0,   650,   650,
       0,     0,  2322,     0,  2556,     0,  1130,     0,  1130,  1687,
    1272,     0,  1688,     0,     0,  1130,     0,  1273,  1130,     0,
    1274,     0,  1130,     0,     0,     0,     0,     0,     0,     0,
    1130,  1130,     0,     0,     0,     0,     0,     0,  1130,     0,
     812,  1130,  1130,  1130,  1130,     0,     0,     0,     0,     0,
       0,  1130,  1130,     0,  1130,     0,  1130,  1130,     0,     0,
    1130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1313,     0,     0,  1275,     0,     0,  1130,     0,     0,
       0,   772,  1130,     0,     0,     0,  1130,  1689,     0,     0,
    1130,     0,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,     0,  1130,     0,     0,     0,     0,     0,   711,     0,
    1130,  1130,     0,     0,     0,     0,     0,   711,     0,  1314,
       0,  1315,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1316,     0,  1277,     0,  1673,     0,     0,  1674,     0,
       0,     0,     0,  1278,     0,     0,     0,     0,     0,     0,
       0,  1279,     0,     0,     0,  1675,     0,  1432,     0,     0,
    1317,  1280,     0,  1677,     0,     0,     0,     0,  1269,  1678,
       0,     0,     0,     0,  1270,     0,     0,     0,     0,     0,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,     0,  1679,  1318,  1895,     0,  1282,  1283,  1319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1271,     0,     0,     0,     0,     0,
       0,     0,     0,  1320,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,  1321,   711,     0,  1130,  1673,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1130,     0,     0,     0,     0,     0,     0,  1675,     0,
    1130,  1130,     0,  1272,     0,     0,  1677,     0,     0,     0,
    1273,     0,  1678,  1274,   711,     0,     0,     0,     0,     0,
    2540,  1285,  2547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1680,  1679,     0,     0,  1681,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
     775,     0,     0,     0,     0,   650,  1432,   650,     0,     0,
    1682,  1683,     0,     0,     0,     0,     0,  1275,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,  1684,     0,     0,
       0,     0,     0,     0,     0,   767,     0,   772,   772,   772,
       0,     0,   767,     0,   812,     0,   772,     0,   772,     0,
     772,   772,     0,  1685,   711,  2487,  1686,     0,     0,     0,
    2487,     0,     0,     0,     0,  2487,     0,     0,     0,  1687,
       0,     0,  1688,   676,  1276,     0,  1277,     0,     0,     0,
       0,     0,     0,  1995,     0,     0,  1278,     0,  1680,     0,
    2658,     0,  1681,     0,  1279,  2667,  1269,     0,     0,     0,
       0,   711,  1270,     0,  1280,     0,     0,     0,     0,     0,
       0,     0,     0,  1682,  1683,     0,     0,  1432,     0,     0,
     711,     0,     0,     0,  2708,  2708,     0,     0,     0,     0,
    1684,   775,   676,     0,     0,     0,     0,  1336,     0,     0,
    1282,  1283,  1271,     0,     0,  1432,     0,  1689,     0,   772,
       0,     0,     0,     0,  2708,     0,  1685,     0,     0,  1686,
       0,     0,     0,     0,  1432,     0,  1337,     0,     0,     0,
       0,     0,  1687,     0,     0,  1688,     0,  2769,     0,  2772,
    2774,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1272,     0,     0,     0,     0,     0,     0,  1273,     0,
       0,  1274,     0,     0,     0,     0,     0,     0,     0,   772,
       0,     0,     0,     0,  1432,     0,     0,   772,     0,     0,
       0,     0,   772,     0,  1285,     0,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,  1130,  1674,     0,     0,     0,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
    1689,     0,     0,  1675,  2412,  1275,     0,     0,     0,     0,
       0,  1677,     0,  1995,     0,     0,  2708,  1678,   711,     0,
    2870,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1679,     0,     0,     0,     0,     0,     0,     0,  2769,
       0,     0,     0,     0,     0,     0,     0,   772,  2896,     0,
       0,     0,  1276,     0,  1277,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1278,     0,  4146,     0,     0,     0,
       0,     0,  1279,     0,   772,     0,   772,  2708,   772,  2708,
       0,     0,  1280,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,     0,     0,     0,     0,  3348,  1130,     0,
       0,     0,  1432,     0,  1673,     0,     0,  1674,     0,     0,
    1563,     0,     0,     0,     0,  1362,     0,     0,  1282,  1283,
       0,     0,     0,     0,  1675,     0,     0,     0,     0,     0,
       0,     0,  1677,  1680,     0,     0,  1673,  1681,  1678,  1674,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   767,  1675,     0,  1682,  1683,
       0,   767,  1679,     0,  1677,     0,     0,     0,     0,     0,
    1678,     0,   772,     0,     0,  1684,     0,     0,     0,  1130,
    1130,     0,     0,     0,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,     0,  1679,     0,     0,     0,     0,     0,
       0,  1685,  1285,     0,  1686,     0,     0,     0,     0,     0,
    1130,  1130,     0,     0,     0,  1130,  2556,  1687,     0,     0,
    1688,     0,     0,     0,     0,     0,     0,  1130,  1130,  1130,
    1130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1130,     0,     0,  1130,     0,  1130,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,  1130,  1130,     0,     0,  1130,
       0,     0,     0,  1269,  1680,     0,     0,     0,  1681,  1270,
       0,     0,  1130,     0,  1130,     0,   812,     0,  1130,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
    1683,     0,     0,     0,     0,  1689,  1680,  1130,     0,     0,
    1681,   711,     0,     0,     0,     0,  1684,  3110,     0,  1271,
    1130,  1130,  1130,     0,     0,     0,     0,     0,     0,     0,
       0,  1682,  1683,     0,     0,  2556,     0,  1130,     0,     0,
       0,     0,  1685,     0,     0,  1686,     0,     0,  1684,  1130,
       0,     0,     0,     0,  1431,     0,  1432,     0,  1687,     0,
       0,  1688,     0,     0,  1130,     0,     0,     0,  1272,     0,
       0,     0,     0,     0,  1685,  1273,  3110,  1686,  1274,  3148,
       0,     0,     0,  2547,     0,     0,     0,     0,  1673,     0,
    1687,  1674,  1432,  1688,     0,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,  1675,     0,
       0,     0,  3507,     0,     0,     0,  1677,     0,     0,     0,
       0,     0,  1678,     0,  1130,     0,  2708,     0,     0,     0,
    1432,  1563,  1275,     0,  1432,  1432,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,     0,   772,
     772,   772,     0,   566,     0,     0,     0,     0,  1689,   609,
       0,     0,     0,     0,  1673,     0,     0,  1674,   659,     0,
       0,     0,     0,     0,     0,     0,  1431,     0,     0,  1276,
       0,  1277,     0,     0,     0,     0,     0,   723,     0,     0,
       0,  1278,  1677,     0,     0,     0,     0,     0,  1678,  1279,
       0,     0,  1269,     0,  4146,     0,     0,     0,  1270,  1280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1690,
    1691,  1692,  1679,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  3554,     0,     0,     0,     0,  1680,     0,
       0,     0,  1681,     0,     0,  1282,  1283,     0,  1271,     0,
       0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,
    1698,     0,     0,  1682,  1683,  3656,     0,     0,     0,     0,
       0,  1284,     0,     0,     0,     0,     0,     0,     0,     0,
    1684,     0,     0,     0,  3074,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1272,     0,     0,
       0,     0,     0,     0,  1273,     0,  1685,  1274,     0,  1686,
       0,  1725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1687,     0, -2283,  1688,   780,     0,  1681,  1285,
    2708,  2708,     0,     0,     0,     0,   815,   816,     0,   819,
       0,     0,   825,     0,   827,     0,     0,     0,     0,  1682,
    1683,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1275,     0,     0,     0,     0, -2283,     0,     0,     0,
       0,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
       0,     0,     0,   711,   711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1686,     0,     0,     0,   711,
    1689,     0,     0,     0,     0,     0,     0,     0,  1687,     0,
       0,     0,  1563,   711,     0,     0,     0,     0,  1276,     0,
    1277,  1563,  2708,   711,     0,     0,     0,     0,  1431,     0,
    1278,     0,     0,     0,     0,     0,     0,   711,  1279,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1280,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1431,   772,     0,     0,   772,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1963,   767,     0,  1282,  1283, -2283,     0,     0,     0,
       0,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,   711,     0,     0,     0,  3914,     0,     0,
    1964,     0,     0,   772,     0,     0,     0,     0,     0,     0,
       0,  1130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1130,     0,     0,     0,     0,     0,  1130,     0,  1130,
       0,  1431,     0,     0,     0,  1130,     0,     0,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,     0,     0,
    1431,  1130,  1130,     0,     0,     0,     0,     0,  1285,     0,
       0,     0,     0,     0,  1130,     0,     0,     0,  1130,     0,
    1431,     0,  1130,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,  1130,     0,     0,  1130,     0,  1130,     0,     0,
       0,     0,     0,     0,     0,  1431,  1130,  1130,  1130,     0,
    1673,     0,  1130,  1674,     0,  1130,     0,     0,     0,  3579,
       0,     0,     0,     0,     0,     0,   711,   711,   711,   767,
    1675,  3110,  3596,     0,     0,     0,  3596,  3610,  1677,     0,
       0,     0,     0,  1130,  1678,  1673,     0,     0,  1674,  1130,
    1130,     0,     0,     0,  1269,     0,     0,     0,     0,     0,
    1270,     0,  1431,     0,     0,  1675,     0,     0,  1679,     0,
       0,     0,   878,  1677,     0,  1130,     0,     0,     0,  1678,
     886,  1130,     0,     0,     0,  2547,     0,  1130,     0,   902,
     903,     0,     0,     0,   905,     0,     0,     0,     0,     0,
    1271,     0,     0,  1679,     0,   921,     0,     0,     0,  3662,
    1563,  1563,     0,  2113,     0,     0,     0,     0,     0,   929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   772,   772,   772,   772,   952,     0,     0,   954,     0,
     956,     0,   959,     0,     0,     0,     0,     0,     0,  1272,
       0,     0,     0,     0,     0,     0,  1273,     0,     0,  1274,
       0,     0,     0,     0,     0,     0,     0,     0,  3705,  1269,
    1680,     0,     0,     0,  1681,  1270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1682,  1683,     0,     0,     0,
       0,     0,  1015,     0,  1016,  1680,     0,     0,     0,  1681,
       0,     0,  1684,  1275,     0,  1271,     0,  2708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1682,  1683,     0,     0,     0,     0,     0,     0,  1685,  1431,
       0,  1686,     0,     0,     0,     0,  3773,  1684,     0,     0,
       0,     0,     0,     0,  1687,     0,     0,  1688,     0,     0,
     723,     0,     0,     0,  1272,     0,     0,     0,     0,     0,
    1276,  1273,  1277,  1685,  1274,     0,  1686,     0,     0,     0,
       0,     0,  1278,     0,     0,     0,     0,     0,     0,  1687,
    1279,     0,  1688,     0,     0,     0,     0,   711,     0,     0,
    1280,     0,     0,     0,     0,     0,     0,     0,   772,     0,
    1130,     0,     0,     0,     0,     0,   711,     0,  1235,     0,
       0,     0,  3839,     0,     0,     0,     0,     0,  1275,     0,
       0,  1995,  1689,  2029,     0,     0,  1282,  1283,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2769,     0,     0,     0,     0,     0,     0,
    3868,     0,  2030,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,  1365,     0,  1130,  1130,     0,     0,
    1673,     0,     0,  1674,     0,  1276,     0,  1277,     0,  1377,
       0,     0,     0,     0,     0,     0,     0,  1278,     0,  2708,
    1675,  2708,  1387,     0,     0,  1279,     0,     0,  1677,  1389,
       0,     0,     0,     0,  1678,  1280,     0,     0,     0,     0,
    1285,  1437,     0,     0,  1441,  1690,  1691,  1692,     0,  1693,
    1694,  1695,  1696,  1697,  1698,  1130,     0,     0,  1679,  3948,
       0,     0,     0,     0,     0,     0,     0,  1269,  2653,     0,
    1431,  1282,  1283,  1270,  1431,  1431,     0,  1484,     0,     0,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,  1130,     0,  4172,     0,     0,  1284,     0,     0,
       0,     0,  1130,  1130,     0,     0,     0,     0,     0,     0,
    1130,  1130,     0,  1271,     0,  1130,     0,     0,     0,     0,
       0,  1130,  1130,     0,     0,  1130,     0,     0,  1130,  3952,
       0,     0,   711,   711,   711,   711,     0,     0,     0,  3596,
    3610,     0,  3596,     0,     0,  3961,     0,     0,     0,  3110,
       0,     0,  -121,  3110,     0,  1285,     0,     0,     0,  3974,
    1680,     0,  1272,     0,  1681,  1130,     1,     0,     0,  1273,
    1130,     0,  1274,     0,     0,  1130,     2,     0,     3,     4,
    1431,   812,     0,     0,     0,  1682,  1683,     0,  3148,     0,
       0,     0,  2547,     5,     0,     0,     0,     0,     0,     0,
       0,     0,  1684,     0,     0,     0,   650,     0,     0,  1130,
       0,     0,     0,     6,     0,     7,     8,     0,     0,     0,
       0,     9,     0,    10,     0,     0,  1275,     0,  1685,  2708,
    2708,  1686,     0,    11,     0,    12,     0,     0,     0,     0,
       0,     0,     0,     0,  1687,     0,     0,  1688,     0,     0,
       0,    13,     0,  4030,    14,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    15,     0,    16,     0,
       0,     0,    17,     0,     0,     0,     0,     0,    18,     0,
       0,     0,     0,  1276,     0,  1277,    19,     0,    20,     0,
       0,     0,     0,     0,    21,  1278,     0,     0,     0,     0,
       0,     0,     0,  1279,     0,   772,     0,     0,     0,    22,
       0,     0,     0,  1280,     0,     0,     0,     0,     0,   772,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
    1431,     0,     0,     0,     0,     0,     0,     0,   723,  1838,
       0,     0,     0,     0,     0,     0,  2744,     0,     0,  1282,
    1283,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    23,    24,     0,     0,     0,     0,
      25,     0,     0,     0,     0,  2745,     0,  1130,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,   767,     0,
      27,     0,     0,  1995,     0,     0,     0,     0,     0,     0,
    1563,  1961,     0,     0,     0,     0,     0,     0,     0,  1431,
       0,     0,     0,   772,  1995,  1690,  1691,  1692,     0,  1693,
    1694,  1695,  1696,  1697,  1698,     0,     0,     0,    28,  4181,
       0,     0,     0,  1285,     0,     0,     0,     0,     0,   711,
      29,     0,     0,     0,     0,    30,    31,     0,    32,     0,
       0,     0,     0,    33,     0,     0,     0,     0,    34,     0,
       0,    35,     0,     0,     0,    36,     0,     0,  1130,     0,
      37,    38,     0,     0,     0,     0,     0,  1130,    39,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,    41,
       0,     0,     0,  1431,  1130,  1130,     0,     0,  1130,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   767,  3596,     0,     0,     0,  3110,     0,    43,     0,
       0,  3110,     0,     0,  3110,  2769,     0,  4200,    44,  1130,
    1130,     0,     0,     0,    45,     0,     0,     0,     0,    46,
       0,     0,     0,  1673,     0,     0,  1674,     0,     0,     0,
       0,     0,    47,     0,  3662,   812,   772,   772,   772,     0,
       0,     0,     0,  1675,     0,     0,     0,     0,     0,     0,
       0,  1677,     0,     0,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,  -121,     0,     0,     0,     0,   767,   812,     0,     0,
       0,  1679,     0,  1269,  2169,     0,     0,     0,     0,  1270,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2192,
       0,     0,  1673,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1563,  1563,
       0,     0,  1675,   767,     0,     0,   711,     0,     0,  1271,
    1677,     0,     0,     0,     0,     0,  1678,  3839,     0,  2237,
       0,     0,     0,  1269,  2708,     0,     0,     0,  1995,  1270,
       0,     0,     0,     0,  2252,     0,  2254,     0,  2255,     0,
    1679,  3868,     0,  2256,   711,     0,     0,     0,     0,     0,
       0,     0,   772,  3662,     0,     0,     0,     0,  1272,     0,
       0,     0,     0,  1680,     0,  1273,     0,  1681,  1274,  1271,
       0,     0,     0,     0,     0,  1130,     0,     0,  1130,     0,
    1130,     0,     0,     0,     0,     0,  1838,     0,  1682,  1683,
    1838,     0,  1838,     0,  1431,  1838,     0,  1431,     0,  1431,
       0,     0,     0,  1130,  1431,  1684,     0,  3110,     0,     0,
    4200,     0,     0,     0,     0,     0,  4356,     0,  1272,     0,
       0,     0,  1275,     0,     0,  1273,     0,     0,  1274,     0,
       0,  1685,   772,     0,  1686,     0,   711,     0,     0,     0,
       0,     0,  1680,     0,     0,     0,  1681,  1687,     0,     0,
    1688,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
       0,   772,   772,   772,   772,     0,     0,  1682,  1683,     0,
       0,     0,     0,     0,     0,     0,  1563,     0,     0,  1276,
       0,  1277,  1275,     0,  1684,     0,     0,     0,     0,     0,
       0,  1278,     0,     0,  1431,   767,     0,     0,     0,  1279,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1280,
    1685,     0,     0,  1686,  1130,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,  1687,     0,     0,  1688,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1276,
       0,  1277,  2783,     0,     0,  1282,  1283,     0,     0,     0,
    1130,  1278,     0,   767,     0,  1431,     0,  1431,     0,  1279,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1280,
       0,  2784,     0,   772,     0,   812,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3213,     0,  1689,  1282,  1283,     0,     0,     0,
       0,     0,     0,     0,  1431,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,   772,  1285,
       0,  3214,  4214,   767,     0,     0,     0,     0,     0,  1431,
       0,     0,     0,     0,  3662,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1130,  1130,  1431,     0,
       0,  2769,     0,     0,     0,  4356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1431,     0,     0,   767,
       0,     0,     0,     0,     0,     0,     0,     0,   772,  1285,
       0,     0,     0,     0,     0,     0,     0,  1690,  1691,  1692,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,     0,
       0,  4276,     0,     0,     0,     0,     0,     0,     0,  1130,
    2565,  2566,     0,     0,     0,  2569,  2570,     0,     0,  2573,
       0,     0,     0,  1130,     0,     0,     0,     0,     0,  2583,
     772,  1431,     0,     0,  1673,     0,  2592,  1674,     0,     0,
    2595,  2596,     0,     0,  2599,  2600,     0,  1431,     0,     0,
       0,  2605,     0,     0,  1675,     0,     0,     0,  1431,     0,
       0,     0,  1677,  2621,     0,  2623,     0,     0,  1678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2645,     0,     0,     0,     0,  2647,     0,     0,     0,
       0,  1130,  1679,     0,     0,     0,     0,     0,     0,  2652,
     767,     0,  1269,  1673,     0,     0,  1674,  2657,  1270,  2659,
    2660,  2663,  2665,     0,     0,     0,  2672,  2675,     0,     0,
       0,     0,     0,  1675,  2686,     0,     0,  1431,  2695,     0,
    1673,  1677,  2699,  1674,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1431,  1271,     0,
    1675,     0,     0,     0,     0,     0,     0,  2728,  1677,     0,
       0,  1679,     0,     0,  1678,     0,     0,     0,  2736,     0,
    2738,     0,  1431,     0,     0,     0,  2742,     0,     0,     0,
    2743,     0,  2747,  2748,  2749,  2750,     0,  2752,  1679,     0,
       0,     0,     0,     0,  1680,     0,     0,  1272,  1681,     0,
    2776,  2777,  2778,     0,  1273,     0,     0,  1274,  1431,     0,
       0,     0,     0,  2786,  2787,     0,     0,     0,     0,  1682,
    1683,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1684,     0,     0,     0,
       0,     0,  1673,     0,   769,  1674,     0,     0,     0,     0,
       0,     0,     0,   769,   789,     0,     0,     0,     0,     0,
     789,  1275,  1685,  1680,     0,  1686,     0,  1681,     0,     0,
    1677,   789,     0,     0,     0,     0,  1678,  2844,  1687,     0,
       0,  1688,     0,     0,     0,     0,     0,     0,  1682,  1683,
    1680,     0,     0,     0,  1681,     0,  1431,     0,     0,     0,
    1679,     0,     0,     0,     0,  1684,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1682,  1683,     0,  1276,     0,
    1277,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1278,  1685,  1684,     0,  1686,     0,     0,     0,  1279,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,  1280,     0,
    1688,     0,     0,     0,     0,     0,  1689,     0,  1685,     0,
       0,  1686,  3569,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1673,  1687,     0,  1674,  1688,     0,     0,
       0,  3256,     0,     0,  1282,  1283,     0,  1431,     0,     0,
       0,     0,     0,  1675,     0,     0,  1838,  2508,     0,     0,
       0,  1677, -2283,     0,     0,     0,  1681,  1678,     0,     0,
    3257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2967,  1689,     0,  1682,  1683,     0,
       0,  1679,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2283,     0,     0,     0,     0,  1690,
    1691,  1692,  1689,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  4494,     0,     0,     0,     0,  1285,     0,
       0,     0,     0,  1686,     0,     0,  2509,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,     0,  4590,  1680,     0,     0,     0,  1681,     0,     0,
    1431,     0,     0,     0,     0,  1690,  1691,  1692,     0,  1693,
    1694,  1695,  1696,  1697,  1698,     0,     0,  3627,  1682,  1683,
       0,     0,     0,     0, -2283,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1684,     0,     0,  1431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,   789,     0,
       0,     0,   789,     0,     0,  3127,     0,  1687,     0,     0,
    1688,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,     0,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,   789,     0,     0,     0,     0,   789,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,   789,
       0,     0,  3165,  3166,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1431,  1838,
       0,     0,     0,     0,     0,  1689,     0,     0,  1673,  1431,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3188,     0,     0,     0,  1675,     0,
       0,     0,     0,  3192,     0,     0,  1677,     0,     0,     0,
       0,     0,  1678,     0,     0,     0,     0,     0,  3203,  3205,
       0,     0,     0,  3205,     0,     0,  2510,     0,  3216,  3217,
    3218,     0,   769,     0,     0,     0,  1679,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3238,  3239,
    3240,  3241,     0,   769,     0,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1431,     0,  3255,     0,  3259,  3260,  3261,     0,     0,  1673,
       0,     0,  1674,     0,  3274,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3029,  1431,  1675,
       0,     0,  3030,     0,     0,     0,     0,  1677,     0,     0,
       0,     0,     0,  1678,     0,     0,     0,  1431,  1680,     0,
       0,     0,  1681,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,     0,     0,
       0,     0,     0,  1682,  1683,     0,     0,     0,     0,     0,
       0,  3317,     0,     0,     0,     0,     0,     0,     0,  3321,
    1684,     0,     0,     0,     0,     0,     0,  1431,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,  1685,     0,     0,  1686,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1687,     0,  1433,  1688,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3393,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1680,
       0,   769,     0,  1681,     0,  1675,     0,     0,     0,     0,
       0,     0,     0,  1677,     0,     0,     0,     0,  3422,  1678,
       0,     0,  3426,     0,  1682,  1683,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
    1689,  1684,     0,  1679,     0,     0,     0,     0,   789,     0,
       0,     0,   769,     0,  3464,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,  1685,  3474,     0,
    1686,     0,     0,     0,     0,  1431,     0,     0,  1838,     0,
       0,     0,     0,  1687,     0,     0,  1688,     0,   789,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,   789,     0,
       0,     0,     0,     0,     0,     0,  3546,     0,     0,     0,
       0,   789,     0,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,  4561,     0,     0,   769,     0,     0,     0,
       0,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,     0,  1673,  1680,     0,  1674,     0,  1681,
       0,  1673,     0,     0,  1674,   769,     0,     0,     0,     0,
       0,  1689,     0,     0,  1675,     0,     0,  2992,     0,     0,
    1682,  1683,  1677,     0,     0,  3547,     0,     0,  1678,  1677,
       0,     0,     0,   769,   769,  1678,   769,  1684,     0,  1431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1679,     0,     0,   769,     0,     0,     0,  1679,
       0,     0,     0,  1685,     0,     0,  1686,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,  1687,
       0,     0,  1688,     0,     0,     0,   789,   789,     0,     0,
       0,     0,     0,     0,     0,   769,  1823,     0,     0,     0,
    4562,     0,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,
    1695,  1696,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  3570,     0,     0,   769,     0,     0,     0,   769,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,  1431,     0,
    1823,     0,     0,     0,  1680,     0,     0,  1689,  1681,     0,
       0, -2283,     0,     0,  3673,  1681,  3674,     0,     0,  1431,
       0,     0,     0,  3676,     0,     0,     0,     0,     0,  1682,
    1683,     0,     0,     0,     0,     0,  1682,  1683,     0,  3685,
       0,     0,     0,     0,     0,     0,  1684,     0,  1433,     0,
       0,     0,     0, -2283,  3693,  1431,     0,     0,     0,     0,
       0,     0,     0,     0,  3704,     0,     0,     0,     0,     0,
       0,     0,  1685,     0,     0,  1686,     0,     0,     0,  3707,
       0,     0,  1686,     0,  1433,     0,     0,     0,  1687,     0,
       0,  1688,     0,  1431,     0,  1687,     0,  1431,  1431,     0,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,  3739,  3740,  3741,     0,     0,     0,     0,  3746,
    3747,  3748,  3749,  3750,     0,     0,     0,     0,  3757,  3758,
       0,  3760,  3761,  3762,  3763,  3764,  3765,  3766,     0,     0,
       0,     0,   789,     0,     0,     0,  3774,     0,  3776,  3777,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0, -2283,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,  1673,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,  3820,  3822,  3824,     0,     0,  3827,     0,     0,
       0,     0,     0,  1677,     0,     0,     0,     0,     0,  1678,
    1823,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,  1679,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
    1693,  1694,  1695,  1696,  1697,  1698,   769,     0,     0,     0,
       0,     0,  1433,     0,     0,   769,     0,   789,   789,     0,
    3205,     0,     0,     0,     0,  1269,     0,     0,   789,     0,
       0,  1270,     0,     0,     0,  3573,     0,  1838,  1838,  1838,
     789,   789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,     0,  1673,     0,  1311,  1674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1271,     0,     0,  1675, -2283,     0,     0,     0,  1681,
       0,     0,  1677,     0,   769,     0,     0,     0,  1678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1682,  1683,  1312,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1679,     0,     0,     0,     0, -2283,     0,   769,
    1272,   769,     0,     0,     0,     0,     0,  1273,   769,     0,
    1274,   769,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,   769,   769,     0,  1686,     0,     0,     0,
       0,   769,     0,     0,   769,   769,   769,   769,     0,  1687,
       0,     0,     0,     0,   769,   769,     0,   769,     0,   769,
     769,     0,     0,   769,     0,     0,     0,     0,     0,     0,
       0,  1313,     0,     0,  1275,     0,     0,     0,     0,  1433,
     769,  1823,     0,     0,     0,   769,     0,     0,     0,   769,
       0,     0,     0,   769,     0,   769,   769,   769,   769,   769,
     769,   769,   769,   769,  1680,   769,     0,     0,  1681,     0,
       0,     0,     0,   769,   769,     0,     0,     0,     0,  1314,
       0,  1315,     0,     0,     0,     0,     0, -2283,     0,  1682,
    1683,  1316,     0,  1277,     0,     0,  4019,  4020,  4021,  4022,
       0,     0,  4024,  1278,     0,     0,  1684,     0,     0,     0,
       0,  1279,     0,     0,     0,  1673,     0,     0,  1674,     0,
    1317,  1280,     0,  4037,  4038,  4039,  4040,     0,  4042,  4043,
       0,     0,  1685,     0,     0,  1686,     0,     0,     0,     0,
    4052,  4053,     0,  1677,     0,     0,     0,     0,  1687,  1678,
       0,  1688,     0,     0,  2729,  4056,     0,  1282,  1283,  1319,
       0,  1838,  1838,     0,  1838,     0,  3007,     0,     0,     0,
       0,     0,     0,  1679,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2730,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,     0,     0,  1321,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,   769,   769,     0,  1689,     0,     0,  1673,
       0,     0,  1674,     0,     0,  3946,     0,     0,     0,     0,
       0,  1285,     0,     0,     0,     0,     0,     0,     0,  1675,
    1433,     0,  3037,  4111,  1433,  1433,     0,  1677,     0,     0,
       0,     0,  4117,  1678,   789,     0,     0,     0,  1823,   789,
       0,     0,   789,     0,     0, -2283,     0,     0,     0,  1681,
       0,     0,     0,  4137,     0,     0,     0,  1679,     0,     0,
       0,     0,     0,     0,   789,     0,     0,   769,     0,     0,
    1682,  1683,     0,     0,     0,  4154,     0,     0,   769,     0,
       0,     0,     0,     0,     0,   769,     0, -2283,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1686,     0,     0,     0,
       0,     0,   789,   789,     0,     0,     0,     0,     0,  1687,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1838,     0,     0,     0,     0,  1823,   789,     0,
       0,  1823,     0,     0,     0,  1838,     0,     0,     0,  1680,
       0,     0,     0,  1681,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,   789,     0,     0,  1682,  1683,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,  1684,     0,     0,     0,     0,     0, -2283,     0,     0,
       0,   789,     0,     0,     0,     0,  4236,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,  1685,     0,     0,
    1686,     0,     0,     0,   789,     0,     0,  4248,     0,     0,
       0,     0,     0,  1687,     0,     0,  1688,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   769,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1823,     0,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,  3205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,  1674,  1433,
       0,     0,   789,     0,     0,     0,     0,     0,  1838,     0,
       0,     0,     0,     0,     0,  1675,     0,     0,  1838,     0,
       0,     0,     0,  1677,     0,     0,     0,     0,     0,  1678,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,  1673,  4370,     0,
    1674,     0,     0,  1679,  1690,  1691,  1692,  4377,  1693,  1694,
    1695,  1696,  1697,  1698,     0,     0,     0,  1675,     0,     0,
    3048,   789,     0,  1838,     0,  1677,     0,     0,     0,     0,
       0,  1678,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,   769,     0,
       0,     0,     0,     0,   769,  1679,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,   769,     0,   790,     0,     0,   769,     0,
       0,   790,     0,     0,     0,     0,     0,     0,     0,  3042,
       0,     0,   790,     0,     0,     0,  3205,     0,     0,     0,
       0,     0,     0,   769,   769,  1680,     0,     0,   769,  1681,
       0,     0,  1673,     0,     0,  1674,     0,  1838,     0,     0,
     769,   769,   769,   769,     0,     0,     0,     0,  1823,     0,
    1682,  1683,  1675,   769,  1823,  3553,   769,     0,   769,     0,
    1677,  4464,     0,     0,     0,     0,  1678,  1684,   769,   769,
       0,     0,   769,     0,     0,  4475,     0,  1680,     0,     0,
       0,  1681,     0,     0,     0,   769,     0,   769,     0,     0,
    1679,   769,     0,  1685,     0,     0,  1686,     0,     0,     0,
    4486,     0,  1682,  1683,     0,  4490,     0,     0,     0,  1687,
     769,     0,  1688,     0,     0,     0,     0,     0,     0,  1684,
     769,     0,     0,   769,   769,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
     769,     0,     0,  1673,     0,  1685,  1674,     0,  1686,     0,
       0,     0,   769,     0,     0,     0,  4526,     0,     0,     0,
       0,  1687,     0,  1675,  1688,     0,     0,   769,     0,     0,
       0,  1677,     0,     0,     0,     0,     0,  1678,     0,   769,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,  1680,     0,  1433,     0,  1681,  1433,     0,  1433,
       0,  1679,     0,     0,  1433,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1682,  1683,     0,
       0,   789,   789,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,  1684,     0,     0,     0,     0,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,   789,     0,     0,  1433,     0,     0,     0,     0,     0,
    1685,     0,     0,  1686,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1687,     0,     0,  1688,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,  1680,     0,     0,     0,  1681,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1823,  1823,  1823,     0,     0,     0,  1682,  1683,
       0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,
    1697,  1698,     0,     0,     0,  1684,   789,     0,     0,   790,
       0,     0,     0,   790,  1689,  1433,     0,  1433,   789,     0,
       0,     0,     0,     0,   790,     0,     0,     0,   789,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
    1688,     0,     0,     0,     0,   790,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,  1433,     0,     0,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,     0,  1690,  1691,  1692,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,  1433,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1823,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,  3503,   789,     0,     0,     0,     0,     0,   790,     0,
       0,     0,     0,     0,   789,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,  1674,     0,     0,     0,   789,  1433,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,  1433,  1675,
       0,     0,     0,     0,     0,     0,     0,  1677,     0,     0,
       0,     0,     0,  1678,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
     769,     0,   769,     0,     0,     0,     0,  1433,   769,     0,
       0,   769,   769,   769,   769,   769,   769,   769,   769,   769,
     769,     0,     0,     0,   769,   769,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,     0,     0,   769,     0,     0,
       0,   769,     0,  1823,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,   769,  1680,
     769,     0,     0,  1681,     0,     0,     0,     0,  1433,   769,
     769,   769,     0,     0,     0,   769,     0,     0,   769,     0,
       0,     0,     0,     0,  1682,  1683,     0,     0,     0,     0,
       0,     0,   769,     0,   769,     0,     0,     0,     0,     0,
       0,  1684,     0,     0,   790,     0,   769,     0,     0,     0,
       0,     0,   769,   769,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,  1685,     0,     0,
    1686,   790,     0,     0,     0,   531,     0,     0,   769,     0,
       0,     0,     0,  1687,   769,     0,  1688,   532,     0,     0,
     769,     0,     0,     0,     0,     0,  1433,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,   533,   790,
       0,     0,   769,     0,     0,     0,     0,     0,     0,     0,
       0,   534,   790,     0,     0,   790,     0,     0,     0,     0,
     535,     0,     0,     0,  -745,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,   536,     0,     0,     0,     0,     0,   537,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   538,     0,     0,     0,     0,     0,     0,     0,
       0,  1823,     0,   539,     0,     0,  1823,  1433,  1823,     0,
       0,   540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   541,     0,     0,     0,     0,     0,     0,
     542,     0,     0,     0,   543,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -940,
       0,     0,   789,     0,     0,   789,     0,     0,     0,   790,
       0,     0,   179,     0,     0,     0,     0,   790,   790,     0,
       0,     0,     0,     0,  1690,  1691,  1692,  1824,  1693,  1694,
    1695,  1696,  1697,  1698,     0,     0,     0,     0,   544,  1823,
       0,     0,     0,   791,     0,  -505,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   180,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,     0,     0,     0,     0,   545,     0,     0,   546,
       0,  1824,     0,   769,     0,     0,     0,     0,   182,     0,
       0,     0,     0,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,   789,     0,   184,
    1433,     0,     0,   789,  -401,     0,     0,     0,     0,     0,
     185,     0,     0,     0,     0,     0,     0,     0,   186,     0,
       0,     0,   547,     0,     0,     0,     0,     0,   548,     0,
     187,     0,     0,     0,  -401,   188,     0,   549,  1433,   769,
     769,   189,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   190,     0,     0,     0,
       0,     0,     0,  -401,     0,   550,   551,     0,   552,   553,
       0,     0,     0,     0,     0,     0,     0,   554,     0,     0,
     789,   191,   555,     0,     0,     0,     0,     0,   556,     0,
       0,   557,     0,     0,   558,     0,     0,     0,   769,     0,
       0,     0,   192,     0,     0,     0,     0,  -401,     0,     0,
       0,     0,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,   769,     0,  1433,     0,
       0,     0,     0,   769,   769,     0,     0,     0,   769,  1433,
       0,     0,   194,     0,   769,   769,     0,     0,   769,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
       0,  1824,   769,   196,     0,   197,   769,     0,     0,     0,
       0,   198,     0,     0,   199,     0,     0,     0,   769,     0,
       0,   790,     0,   769,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,   200,
     201,     0,   202,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,   205,
       0,     0,   769,     0,     0,     0,     0,     0,   790,   790,
       0,   206,     0,     0,   578,     0,     0,     0,     0,   790,
    1433,     0,     0,     0,   207,     0,   579,     0,     0,     0,
       0,   790,   790,     0,     0,     0,   789,   791,     0,  1823,
       0,   791,     0,   790,     0,     0,     0,   580,  1433,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
     581,     0,   789,     0,     0,     0,     0,  1433,   791,     0,
       0,     0,   845,   582,   789,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,   791,   789,
     583,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,   846,   791,     0,     0,     0,
       0,   584,     0,     0,     0,     0,     0,  1433,   847,   848,
       0,     0,   585,     0,     0,     0,     0,   849,     0,     0,
     586,   850,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   587,     0,     0,     0,     0,   588,   851,     0,
       0,     0,     0,   589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   590,   852,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,   769,  1824,     0,     0,     0,   791,     0,   854,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     855,     0,     0,     0,     0,   856,     0,     0,     0,     0,
       0,     0,     0,     0,   591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   592,     0,     0,     0,   789,
       0,   858,     0,     0,     0,     0,   593,     0,     0,     0,
       0,   769,     0,     0,     0,  1433,     0,     0,     0,     0,
     769,     0,   859,     0,   194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,   769,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   594,     0,   860,   769,   595,     0,   596,     0,   769,
       0,     0,     0,   597,   769,     0,   598,   769,     0,     0,
       0,     0,   769,   769,     0,     0,     0,     0,     0,     0,
       0,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,   789,   599,   789,   600,     0,     0,   769,   601,     0,
       0,     0,     0,     0,     0,     0,   602,     0,     0,   861,
       0,   603,     0,   862,     0,   863,     0,     0,     0,     0,
       0,   864,     0,   604,   865,     0,     0,     0,     0,  1433,
     789,     0,     0,     0,     0,     0,   605,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     866,     0,   867,     0,     0,   790,   868,     0,     0,  1824,
     790,     0,     0,   790,   869,     0,     0,     0,     0,   870,
       0,  1823,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,   769,     0,     0,     0,
       0,     0,   791,     0,   871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,  1433,     0,
       0,     0,     0,   790,   790,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,   769,  1433,
       0,   769,     0,   769,     0,     0,     0,     0,  1824,   790,
     791,     0,  1824,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
     769,     0,     0,     0,     0,  1433,     0,     0,   790,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,  1823,     0,     0,
       0,     0,   790,  1433,     0,     0,     0,  1433,  1433,     0,
       0,  1423,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1114,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,   791,   791,   769,     0,     0,
       0,     0,     0,     0,  1174,  1825,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,  1824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1825,
       0,     0,     0,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,     0,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,   790,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,  1824,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,  1825,
       0,     0,     0,     0,   769,     0,     0,     0,     0,  1823,
       0,     0,     0,   769,     0,     0,     0,  1823,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,  1611,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,   791,   790,     0,
       0,     0,     0,     0,     0,     0,  1635,   791,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,   791,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,     0,     0,  1660,  1661,     0,  1663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1705,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,   790,     0,     0,     0,     0,  1423,     0,
       0,     0,     0,     0,     0,     0,  1741,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,   790,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1845,     0,  1423,     0,  1857,
    1862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,  1700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1824,  1824,  1824,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,  1423,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,  2383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,     0,     0,     0,     0,  1700,
    1700,     0,  1700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,     0,
       0,   790,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,   790,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1700,     0,     0,     0,     0,     0,  1423,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,  1825,   791,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,   790,
       0,   791,   791,     0,  1700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
       0,  1700,     0,     0,     0,     0,  1825,   791,     0,     0,
    1825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,  2351,
       0,     0,     0,     0,  1824,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,  2374,     0,     0,  2376,     0,     0,  2387,     0,
       0,     0,     0,   791,     0,  2394,  2399,     0,     0,     0,
       0,  2405,     0,   791,  2410,     0,     0,  1423,     0,     0,
       0,  1423,  1423,     0,  1425,     0,     0,     0,     0,     0,
       0,  2419,     0,     0,     0,     0,  2426,     0,     0,     0,
    2438,     0,     0,     0,  2445,     0,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2455,     0,  2456,     0,     0,     0,
       0,     0,     0,     0,  1114,  2484,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,   790,     0,     0,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1824,     0,     0,   791,     0,  1824,     0,  1824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1174,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,     0,     0,  1660,  1661,     0,     0,     0,     0,
       0,     0,     0,   790,     0,     0,   790,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1824,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2597,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1825,     0,     0,
       0,     0,     0,  1825,     0,     0,     0,   790,   790,     0,
       0,     0,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,  1423,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,  1425,     0,
    1700,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,  1700,     0,  1700,     0,  2383,  2383,  3025,
    1423,     0,  2383,     0,  1425,     0,  1700,     0,     0,     0,
       0,     0,     0,  1700,     0,     0,     0,     0,  1700,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,  1700,
       0,     0,     0,     0,     0,   791,     0,     0,  1700,     0,
       0,     0,  2383,  2383,     0,  1700,     0,     0,     0,     0,
     791,   791,     0,     0,     0,     0,     0,  1700,     0,  2816,
       0,     0,     0,     0,  1700,     0,  1700,  1700,  1700,  1700,
    1700,  1700,  1700,  1700,  1700,  1700,     0,   791,     0,     0,
     791,  1425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1425,     0,     0,     0,     0,
       0,  1825,  1825,  1825,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,   790,     0,     0,
    1824,     0,  2942,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,     0,     0,
       0,     0,  1425,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,  1700,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,  1423,     0,     0,  1423,     0,  1423,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,  2988,     0,     0,     0,     0,  2994,
       0,     0,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,  1825,     0,     0,     0,     0,     0,
       0,  2399,     0,  2399,  2399,     0,     0,     0,     0,   791,
       0,   791,  1426,     0,  3051,  1429,     0,  3054,     0,  3056,
       0,     0,     0,   791,     0,   791,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3077,     0,  3079,     0,
       0,     0,  3082,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,  1426,     0,     0,  1425,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
     790,     0,     0,     0,  2484,  2484,  2484,     0,     0,     0,
       0,     0,  1423,     0,  1423,     0,     0,     0,     0,     0,
       0,  3125,  1426,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1845,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,  1700,     0,     0,  1862,     0,
       0,     0,     0,     0,   791,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,   790,     0,  1423,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,  3174,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,  1825,  1423,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,     0,     0,
       0,  1700,  1824,     0,   790,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1423,     0,
    1425,     0,     0,     0,  1425,  1425,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,     0,  1700,     0,     0,
    1426,     0,     0,  1700,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,  3025,
    3025,     0,  2383,     0,     0,  2383,  2383,  2383,  2383,  2383,
    2383,  2383,  2383,  2383,  2383,  3025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1700,     0,     0,  1700,     0,  1700,     0,     0,     0,     0,
    3025,  3025,   791,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2383,  2383,  1700,     0,  1700,     0,
    1425,  1700,     0,     0,  1423,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
    1825,     0,     0,     0,     0,  1825,     0,  1825,     0,  1423,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,  1700,  1429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1428,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
       0,   791,     0,     0,   791,     0,  1428,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,  1825,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,  1423,     0,     0,     0,     0,  1428,     0,
       0,  1429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,   791,     0,     0,     0,
       0,   790,   791,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3508,     0,     0,     0,     0,
       0,  3509,     0,  3510,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,  1430,  1429,  1423,  3528,  3529,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,  2405,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3557,     0,     0,  3560,
       0,  3562,     0,     0,     0,     0,     0,     0,     0,     0,
    3566,     0,     0,     0,     0,     0,  3571,  2383,  1426,  3574,
       0,     0,  1426,  1426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3615,     0,     0,
    1824,     0,     0,  3622,  2484,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3633,
       0,     0,     0,     0,     0,  1114,     0,     0,     0,     0,
       0,  1174,     0,     0,  1430,     0,     0,     0,     0,     0,
    1824,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,  1700,     0,     0,     0,  1700,  1700,  1700,
       0,     0,  3025,     0,     0,  1423,     0,  3025,  3025,  3025,
    3025,  3025,  3025,  3025,  3025,  3025,  3025,  1700,  1700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,  1825,     0,
       0,     0,     0,     0,     0,     0,  1700,  2383,  2383,  1700,
       0,  1700,     0,     0,     0,  1700,  3025,  3025,     0,     0,
    1700,   791,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,     0,
       0,  1700,     0,     0,     0,  1423,  1428,     0,     0,     0,
    1428,  1428,  1700,     0,  1425,     0,  1423,  1425,  1426,  1425,
       0,   791,     0,     0,  1425,     0,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,  1429,     0,     0,     0,  1429,  1429,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,  1428,     0,     0,     0,
    3881,  3882,  1430,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,  1425,     0,  1425,     0,  3912,
       0,  1426,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,  1429,     0,     0,     0,     0,     0,  3025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,  1423,     0,  3930,  3932,     0,     0,
     791,     0,   791,     0,  1425,     0,     0,     0,  1430,  3939,
       0,     0,     0,     0,     0,  3944,  3945,     0,     0,  3947,
       0,     0,  3950,     0,     0,     0,     0,     0,     0,  1425,
    1700,  1700,     0,  1430,     0,     0,  1428,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2484,
       0,  1700,     0,     0,  2484,  2383,  1425,     0,     0,  2484,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1700,
    1825,  1700,   791,     0,     0,     0,  3025,  3025,  1700,     0,
    1430,  2383,  2383,  1700,  1700,     0,  1700,     0,     0,  1700,
       0,     0,     0,  4000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,     0,     0,     0,  1425,     0,  1700,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,  1426,     0,  1426,     0,  1428,
    1429,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,     0,     0,  1825,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1700,  1425,     0,     0,
       0,     0,  1426,     0,     0,     0,  1423,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,  4097,  1425,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,  3025,  2383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3025,  3025,  1700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1700,  1426,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1423,     0,     0,     0,
       0,     0,  4180,     0,     0,     0,  1425,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,  4203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
    1428,     0,     0,  1428,     0,  1428,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,  1426,     0,     0,   791,
    1423,     0,     0,     0,  1423,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,  1430,  3025,
       0,     0,  1430,  1430,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,     0,  1700,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,     0,     0,  1429,     0,
    1429,     0,     0,     0,     0,  1429,     0,     0,     0,  1426,
    1428,     0,     0,     0,     0,     0,     0,     0,  1825,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,  1700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1825,     0,
       0,  1428,     0,  1428,     0,     0,  1825,     0,     0,     0,
       0,     0,  2405,     0,  1700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,  4346,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,  1700,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
    1426,     0,     0,     0,     0,  1428,  1429,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1700,  1426,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,  1429,     0,     0,  4420,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,  1425,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,  1428,  1426,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,  1430,     0,  4465,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1428,     0,     0,     0,     0,  1429,     0,
    4510,  4510,     0,     0,     0,  1426,     0,     0,     0,  1429,
       0,  1430,     0,  1428,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1428,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4510,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,  4566,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,  1429,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,  1429,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,  1430,  1428,     0,  1430,     0,  1430,     0,     0,
       0,     0,  1430,     0,     0,  1425,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1428,     0,     0,     0,
       0,     0,     0,  1430,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,  1429,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,  1429,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1425,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,  1425,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,  1428,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,  1428,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1428,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1426,     0,     0,     0,  1426,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,  1428,  1428,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,  1429,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,  1430,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,     0,     0,   745,     0,     0,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1430,     0,   243,     0,
     244,   245,   246,   247,     0,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,  1430,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,     0,
       0,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,  1430,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,     0,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,     0,   330,   331,   332,   333,     0,     0,     0,     0,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,     0,
     759,     0,   367,   368,     0,     0,   370,   371,   760,   372,
       0,     0,   374,     0,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,     0,   761,   385,
     762,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,  1430,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,     0,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,     0,   445,   446,   764,
     447,     0,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,     0,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1430,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,  1032,   573,
    1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,  2478,   220,   221,   222,
       0,  1430,     0,     0,  1037,  1430,  1430,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,  1038,   745,  1039,
    1040,     0,   234,   235,   236,   237,   238,  1041,  1042,   239,
     240,  1043,  1044,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,  1054,  1055,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,  2479,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1057,
     297,   298,   299,  1058,  1059,   301,     0,   302,   303,  1060,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1062,  1063,     0,  1064,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1065,   757,   348,   758,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1068,   759,  1069,   367,   368,   369,
    1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,   376,
     377,   378,     0,   379,     0,     0,  1074,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1077,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1078,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,   764,   447,  1080,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,
     475,   476,   477,   478,   479,   480,   481,     0,  1087,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   492,  1089,  2480,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,  1099,  2481,     0,     0,     0,     0,     0,     0,
    1101,  2482,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1038,   745,  1039,  1040,     0,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,  1070,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,     0,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,   479,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,   210,     0,
       0,     0,     0,     0,     0,  1101,  2385,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,  3593,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0, -1502,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0, -1502,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328, -1502,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338, -1502,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347, -1502,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365, -1502,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426, -1502,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,     0,  1400,   745,  1401,  1402,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1403,  1404,   243,     0,
     244,   245,   246,   247,     0,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1405,
    1406,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1407,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,  1881,   322,   323,   324,   325,   326,   327,     0,   328,
     753,  1882,   330,   331,   332,   333,  1408,  1409,     0,  1410,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1411,
     759,  1412,   367,   368,     0,     0,   370,   371,   760,   372,
       0,     0,   374,  1413,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,  1884,   761,   385,
     762,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1414,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1885,   445,   446,   764,
     447,  1416,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1417,  1418,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1419,  1886,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,  1399,     0,     0,
       0,     0,     0,     0,     0,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,  1984,   223,   224,     0,
     225,   226,   744,   227,   228,   229,     0,  1400,   745,  1401,
    1402,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1403,  1404,   243,     0,   244,   245,   246,   247,     0,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1405,  1406,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1407,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,  1881,   322,   323,   324,
     325,   326,   327,     0,   328,   753,  1882,   330,   331,   332,
     333,  1408,  1409,     0,  1410,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1411,   759,  1412,   367,   368,     0,
       0,   370,   371,   760,   372,     0,     0,   374,  1413,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,  1884,   761,   385,   762,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1414,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1885,   445,   446,   764,   447,  1416,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1417,  1418,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1419,  1886,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,  2906,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1038,   745,  1039,  1040,  2395,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,  2396,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,  2397,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,  1070,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,  2398,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,   479,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,     0,     0,     0,     0,  1101,   743,  1032,   573,  1033,
    1034,  1035,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,   758,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,  1070,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,  1074,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,    38,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,   764,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,    42,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,  1087,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     971,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,    47,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,  1099,     0,     0,     0,     0,     0,     0,     0,  1101,
     743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1037,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1038,   745,  1039,  1040,     0,   234,   235,   236,   237,   238,
    1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,   245,
     246,   247,  1045,     0,  1046,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,
    1053,   263,   264,   265,   266,   267,   268,  1054,  1055,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1057,   297,   298,   299,  1058,  1059,   301,     0,
     302,   303,  1060,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1061,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1062,  1063,     0,  1064,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1065,   757,   348,   758,     0,   349,
     350,   351,  1066,  1067,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1068,   759,  1069,
     367,   368,   369,  1070,   370,   371,   760,   372,  1071,  1072,
     374,  1073,   376,   377,   378,     0,   379,     0,     0,  1074,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1075,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1076,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1078,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1079,   443,   444,   445,   446,   764,   447,  1080,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1081,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1082,  1083,     0,     0,   471,  1084,
     473,  1085,  1086,   475,   476,   477,   478,   479,   480,   481,
       0,  1087,   482,   483,   484,   485,   486,  1088,     0,   487,
     488,   489,   490,   491,   492,  1089,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,  1099,     0,     0,     0,     0,
       0,  1606,  2343,  1101,   743,  1032,   573,  1033,  1034,  1035,
     624,  1036,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1037,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1038,   745,  1039,  1040,     0,   234,
     235,   236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,  1054,  1055,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1057,   297,   298,   299,
    1058,  1059,   301,     0,   302,   303,  1060,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1062,  1063,
       0,  1064,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1068,   759,  1069,   367,   368,   369,  1070,   370,   371,
     760,   372,  1071,  1072,   374,  1073,   376,   377,   378,     0,
     379,     0,     0,  1074,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1078,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,  1080,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1082,  1083,
       0,     0,   471,  1084,   473,  1085,  1086,   475,   476,   477,
     478,   479,   480,   481,     0,  1087,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   492,  1089,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,  1099,
    1100,     0,     0,     0,     0,     0,     0,  1101,   743,  1032,
     573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1037,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1038,   745,
    1039,  1040,     0,   234,   235,   236,   237,   238,  1041,  1042,
     239,   240,  1043,  1044,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,  1054,  1055,   271,  1173,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1057,   297,   298,   299,  1058,  1059,   301,     0,   302,   303,
    1060,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1062,  1063,     0,  1064,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1068,   759,  1069,   367,   368,
     369,  1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,
     376,   377,   378,     0,   379,     0,     0,  1074,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1078,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,  1080,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,
    1086,   475,   476,   477,   478,   479,   480,   481,     0,  1087,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,  1089,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  1099,     0,     0,     0,     0,     0,     0,
       0,  1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1855,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1038,   745,  1039,  1040,     0,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,  1070,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,     0,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,   479,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,     0,     0,     0,     0,  1101,   743,  1032,   573,  1033,
    1034,  1035,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,  2396,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,   758,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,  1070,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,  1074,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,   764,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,  1087,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     492,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,  1099,     0,     0,     0,     0,     0,     0,     0,  1101,
     743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1037,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1038,   745,  1039,  1040,     0,   234,   235,   236,   237,   238,
    1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,   245,
     246,   247,  1045,     0,  1046,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,
    1053,   263,   264,   265,   266,   267,   268,  1054,  1055,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1057,   297,   298,   299,  1058,  1059,   301,     0,
     302,   303,  1060,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1061,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1062,  1063,     0,  1064,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1065,   757,   348,   758,     0,   349,
     350,   351,  1066,  1067,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1068,   759,  1069,
     367,   368,   369,  1070,   370,   371,   760,   372,  1071,  1072,
     374,  1073,   376,   377,   378,     0,   379,     0,     0,  1074,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1075,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1076,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1078,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1079,   443,   444,   445,   446,   764,   447,  1080,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1081,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1082,  1083,     0,     0,   471,  1084,
     473,  1085,  1086,   475,   476,   477,   478,   479,   480,   481,
       0,  1087,   482,   483,   484,   485,   486,  1088,     0,   487,
     488,   489,   490,   491,   492,  1089,  3623,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,  1099,     0,     0,     0,     0,
       0,     0,     0,  1101,   743,  1032,   573,  1033,  1034,  1035,
     624,  1036,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1037,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1038,   745,  1039,  1040,     0,   234,
     235,   236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,  1054,  1055,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1057,   297,   298,   299,
    1058,  1059,   301,     0,   302,   303,  1060,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1062,  1063,
       0,  1064,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1068,   759,  1069,   367,   368,   369,  1070,   370,   371,
     760,   372,  1071,  1072,   374,  1073,   376,   377,   378,     0,
     379,     0,     0,  1074,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1078,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,  1080,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1082,  1083,
       0,     0,   471,  1084,   473,  1085,  1086,   475,   476,   477,
     478,   479,   480,   481,     0,  1087,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   492,  1089,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,  1099,
       0,     0,     0,     0,     0,     0,     0,  1101,   743,  1032,
     573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1037,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1038,   745,
    1039,  1040,     0,   234,   235,   236,   237,   238,  1041,  1042,
     239,   240,  1043,  1044,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,  1054,  1055,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1057,   297,   298,   299,  1058,  1059,   301,     0,   302,   303,
    1060,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1062,  1063,     0,  1064,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1068,   759,  1069,   367,   368,
     369,  1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,
     376,   377,   378,     0,   379,     0,     0,  1074,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1078,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,  1080,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,
    1086,   475,   476,   477,   478,   479,   480,   481,     0,  1087,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,  1089,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1858,  1859,     0,     0,     0,     0,     0,     0,
       0,  1101,   743,  2523,   573,  1033,  1034,  1035,   624,  1036,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1038,   745,  1039,  1040,     0,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,  1070,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,     0,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,   479,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,     0,     0,     0,     0,  1101,   743,  1032,   573,  1033,
    1034,  1035,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,  3632,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,   758,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,  1070,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,  1074,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,   764,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,  1087,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     492,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,  1099,     0,     0,     0,     0,     0,     0,     0,  1101,
     743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1037,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1038,   745,  1039,  1040,     0,   234,   235,   236,   237,   238,
    1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,   245,
     246,   247,  1045,     0,  1046,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,
    1053,   263,   264,   265,   266,   267,   268,  1054,  1055,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1057,   297,   298,   299,  1058,  1059,   301,     0,
     302,   303,  1060,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1061,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1062,  1063,     0,  1064,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1065,   757,   348,   758,     0,   349,
     350,   351,  1066,  1067,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1068,   759,  1069,
     367,   368,   369,  1070,   370,   371,   760,   372,  1071,  1072,
     374,  1073,   376,   377,   378,     0,   379,     0,     0,  1074,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1075,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1076,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1078,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1079,   443,   444,   445,   446,   764,   447,  1080,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1081,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1082,  1083,     0,     0,   471,  1084,
     473,  1085,  1086,   475,   476,   477,   478,   479,   480,   481,
       0,  1087,   482,   483,   484,   485,   486,  1088,     0,   487,
     488,   489,   490,   491,   492,  1089,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,  3922,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,  1099,     0,     0,     0,     0,
       0,     0,     0,  1101,   743,  1032,   573,  1033,  1034,  1035,
     624,  1036,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1037,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1038,   745,  1039,  1040,     0,   234,
     235,   236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,  1054,  1055,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1057,   297,   298,   299,
    1058,  1059,   301,     0,   302,   303,  1060,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1062,  1063,
       0,  1064,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1068,   759,  1069,   367,  3931,   369,  1070,   370,   371,
     760,   372,  1071,  1072,   374,  1073,   376,   377,   378,     0,
     379,     0,     0,  1074,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1078,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,  1080,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1082,  1083,
       0,     0,   471,  1084,   473,  1085,  1086,   475,   476,   477,
     478,   479,   480,   481,     0,  1087,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   492,  1089,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,  1099,
       0,     0,     0,     0,     0,     0,     0,  1101,   743,  1032,
     573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1037,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,  4507,  1038,   745,
    1039,  1040,     0,   234,   235,   236,   237,   238,  1041,  1042,
     239,   240,  1043,  1044,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,  4508,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,  1054,  1055,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1057,   297,   298,   299,  1058,  1059,   301,     0,   302,   303,
    1060,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1062,  1063,     0,  1064,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1068,   759,  1069,   367,   368,
     369,  1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,
     376,   377,   378,     0,   379,     0,     0,  1074,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1078,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,  1080,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,
    1086,   475,   476,   477,   478,  4509,   480,   481,     0,  1087,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,  1089,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  1099,     0,     0,     0,     0,     0,     0,
       0,  1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1038,   745,  1039,  1040,     0,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,  4508,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,  1070,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,     0,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,  4509,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,     0,     0,     0,     0,  1101,   743,  1032,   573,  1033,
    1034,  1035,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,   758,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,     0,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,  1074,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,   764,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     492,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    2378,  2379,     0,     0,   743,  1032,   573,  1033,  1034,  1101,
     624,  1036,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1037,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1038,   745,  1039,  1040,     0,   234,
     235,   236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,  1054,  1055,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1057,   297,   298,   299,
    1058,  1059,   301,     0,   302,   303,  1060,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1062,  1063,
       0,  1064,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1068,   759,  1069,   367,   368,   369,     0,   370,   371,
     760,   372,  1071,  1072,   374,  1073,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  2512,  2513,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,  1080,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1082,  1083,
       0,     0,   471,  1084,   473,  1085,  1086,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   492,  1089,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  2514,  2515,
       0,     0,     0,     0,     0,     0,     0,  1101,   743,  1032,
     573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1037,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229, -2283,  1038,   745,
    1039,  1040,     0,   234,   235,   236,   237,   238,  1041,  1042,
     239,   240,  1043,  1044,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,  4508,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,  1054,  1055,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1057,   297,   298,   299,  1058,  1059,   301,     0,   302,   303,
    1060,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1062,  1063,     0,  1064,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,     0,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1068,   759,  1069,   367,   368,
     369,     0,   370,   371,   760,   372,  1071,  1072,   374,  1073,
     376,   377,   378,     0,   379,     0,     0,  1074,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1078,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,     0,   447,  1080,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,
    1086,   475,   476,   477,   478,  4509,   480,   481,     0,  1087,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,  1089,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  1099,     0,     0,   743,  1032,   573,  1033,
    1034,  1101,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,   758,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,     0,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,   764,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     492,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   743,
    1032,   573,  1033,  1034,     0,   624,  1036,     0,     0,  1101,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1037,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,  1038,
     745,  1039,  1040,     0,  3541,   235,   236,   237,   238,  1041,
    1042,   239,   240,  1043,  1044,   243,     0,   244,   245,   246,
     247,  1045,     0,  1046,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
     263,   264,   265,   266,   267,   268,  1054,  1055,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1057,   297,   298,   299,  1058,  1059,   301,     0,   302,
     303,  1060,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1061,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,  1062,  1063,     0,  1064,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1065,   757,   348,   758,     0,   349,   350,
     351,  1066,  1067,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1068,   759,  1069,   367,
     368,   369,     0,   370,   371,   760,   372,  1071,  1072,   374,
    1073,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1075,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1076,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1077,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,  1078,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1079,   443,   444,   445,   446,   764,   447,  1080,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1081,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1082,  1083,     0,     0,   471,  1084,   473,
    1085,  1086,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  1088,     0,   487,   488,
     489,   490,   491,   492,  1089,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,
       0,     0,  1101,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1037,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,     0,  1038,   745,  1039,  1040,     0,   234,   235,   236,
     237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,  1054,
    1055,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1056,   284,
     285,     0,   286,   287,   288,     0,   289,     0,   291,     0,
     292,   293,   294,   295,  1057,   297,   298,   299,  1058,  1059,
     301,     0,   302,   303,  1060,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1062,  1063,     0,  1064,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1065,   757,   348,     0,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1068,
     759,  1069,   367,   368,   369,     0,   370,   371,   760,   372,
    1071,  1072,   374,  1073,   376,   377,   378,     0,   379,     0,
       0,  1074,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1078,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,     0,
     447,  1080,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1082,  1083,     0,     0,
     471,  1084,   473,  1085,  1086,   475,   476,   477,   478,   479,
     480,   481,     0,  1087,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,  1089,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,     0,     0,     0,     0,  1101,   743,  1032,   573,  1033,
    1034,  1035,   624,  1036,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1037,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,     0,  1038,   745,  1039,  1040,
       0,   234,   235,   236,   237,   238,  1041,  1042,   239,   240,
    1043,  1044,   243,     0,   244,   245,   246,   247,  1045,     0,
    1046,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,
     266,   267,   268,  1054,  1055,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,     0,   291,     0,   292,   293,   294,   295,  1057,   297,
     298,   299,  1058,  1059,   301,     0,   302,   303,  1060,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1061,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1062,  1063,     0,  1064,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1065,   757,   348,     0,     0,   349,   350,   351,  1066,  1067,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1068,   759,  1069,   367,   368,   369,     0,
     370,   371,   760,   372,  1071,  1072,   374,  1073,   376,   377,
     378,     0,   379,     0,     0,  1074,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1075,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1076,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1078,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1079,   443,
     444,   445,   446,     0,   447,  1080,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1081,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1088,     0,   487,   488,   489,   490,   491,
     492,  1089,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   743,
    2378,  2379,     0,     0,     0,     0,     0,     0,     0,  1101,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
    1042,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,  1045,     0,  1046,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,  1058,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1061,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,  3097,   344,
     345,     0,   346,  1065,   757,   348,   758,     0,   349,   350,
     351,  1066,  1067,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,  1072,   374,
     375,   376,   377,   378,     0,   379,     0,   708,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1075,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1076,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,  3098,   431,   432,
     433,   434,   435,   436,   437,    38,   438,   439,   440,   441,
     442,  1079,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1081,     0,   461,   462,    42,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,  1084,   473,
    1085,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  1088,     0,   487,   488,
     489,   490,   491,   971,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,    47,   500,   501,   502,
     503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3099,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,  1042,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,  1045,     0,  1046,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,  1058,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1061,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,  3097,   344,   345,     0,   346,  1065,   757,   348,   758,
       0,   349,   350,   351,  1066,  1067,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,  1072,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1075,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1076,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
    3098,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1079,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1081,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,  1084,   473,  1085,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,  1088,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3099,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,  1042,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,  1045,     0,  1046,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,  1058,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,  1061,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1065,
     757,   348,   758,     0,   349,   350,   351,  1066,  1067,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,  1072,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,  1075,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1076,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,  3098,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1079,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1081,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,  1084,   473,  1085,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1088,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1042,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1058,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,  1072,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1084,   473,  1085,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   786,  1289,   573,     0,     0,     0,   624,     0,     0,
       0,  3657,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1538,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,  1539,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,  1540,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   786,  1290,  1291,  4077,     0,     0,
       0,     0,     0,     0,  4078,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     3,     4,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      38,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
      42,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   971,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,    47,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4238,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    38,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,    42,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   971,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,    47,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2541,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3577,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,  1399,  1289,   573,     0,     0,
     797,   624,     0,     0,     0,  3973,   211,   212,   213,   214,
     215,   216,   217,   218,  1743,   220,   221,   222,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   223,   224,  1751,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,  1752,
     234,   235,   236,   237,   238,  1753,  1754,   239,   240,  1403,
    1404,   243,  1755,   244,   245,   246,   247,     0,  1756,   746,
    1757,   249,   250,   251,   252,   747,   253,   254,  1758,   255,
     256,   257,   258,   259,   260,  1759,   748,   261,   262,  1760,
    1761,  1762,   749,  1763,  1764,  1765,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,  1766,   272,  1767,   273,   274,
     275,   276,   277,  1768,   278,   279,   280,  1769,  1770,   281,
     282,  1056,   284,   285,  1771,   286,   287,   288,  1772,   289,
     290,   291,  1773,   292,   293,   294,   295,     0,   297,   298,
     299,     0,  1774,   301,  1775,   302,   303,  1407,   305,  1776,
     306,  1777,   307,   750,  1778,   751,   308,   309,   310,  1779,
     311,     0,  1780,   313,  1781,   314,   315,   316,   317,   318,
     752,   319,   320,   321,  1782,   322,   323,   324,   325,   326,
     327,  1783,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,  1784,  1410,  1785,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,  1786,   344,   345,  1787,   346,     0,
     757,   348,   758,  1788,   349,   350,   351,  1789,  1790,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,     0,  1791,   370,
     371,   760,   372,  1792,     0,   374,  1413,   376,   377,   378,
    1793,   379,  1794,  1795,  3337,   381,   382,  1796,  1797,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,  1798,   394,     0,   396,     0,   398,   399,   400,
    1799,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,  1800,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1801,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,  1802,   438,   439,   440,   441,   442,  1803,   443,  1885,
     445,   446,   764,   447,  1416,   449,  1804,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,  1805,   461,
     462,  1806,   463,   464,   465,   466,   467,   468,  1807,  1417,
    1418,  1808,  1809,   471,     0,   473,     0,  1810,   475,   476,
     477,   478,   479,   480,   481,  1811,  1812,   482,   483,   484,
     485,   486,  1813,  1814,   487,   488,   489,   490,   491,     0,
    1419,  1815,   494,   765,   495,   496,   497,   498,  1816,  1817,
     499,  1818,  1819,   500,   501,   502,   503,   504,   505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,  3338,
    3339,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   798,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   799,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   894,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   895,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   944,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   945,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   946,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,  1384,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,  1385,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,  2618,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,  2619,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,  4217,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,  1742,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   211,   212,   213,   214,   215,
     216,   217,   218,  1743,   220,   221,   222,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   223,   224,  1751,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,  1752,   234,
     235,   236,   237,   238,  1753,  1754,   239,   240,   241,   242,
     243,  1755,   244,   245,   246,   247,   248,  1756,   746,  1757,
     249,   250,   251,   252,   747,   253,   254,  1758,   255,   256,
     257,   258,   259,   260,  1759,   748,   261,   262,  1760,  1761,
    1762,   749,  1763,  1764,  1765,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  1766,   272,  1767,   273,   274,   275,
     276,   277,  1768,   278,   279,   280,  1769,  1770,   281,   282,
     283,   284,   285,  1771,   286,   287,   288,  1772,   289,   290,
     291,  1773,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1774,   301,  1775,   302,   303,   304,   305,  1776,   306,
    1777,   307,   750,  1778,   751,   308,   309,   310,  1779,   311,
     312,  1780,   313,  1781,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1782,   322,   323,   324,   325,   326,   327,
    1783,   328,   753,   329,   330,   331,   332,   333,   334,   335,
    1784,   336,  1785,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,  1786,   344,   345,  1787,   346,   347,   757,
     348,   758,  1788,   349,   350,   351,  1789,  1790,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,  1791,   370,   371,
     760,   372,  1792,   373,   374,   375,   376,   377,   378,  1793,
     379,  1794,  1795,   380,   381,   382,  1796,  1797,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,  1798,   394,   395,   396,   397,   398,   399,   400,  1799,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,  1800,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1801,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1802,   438,   439,   440,   441,   442,  1803,   443,   444,   445,
     446,   764,   447,   448,   449,  1804,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,  1805,   461,   462,
    1806,   463,   464,   465,   466,   467,   468,  1807,   469,   470,
    1808,  1809,   471,   472,   473,   474,  1810,   475,   476,   477,
     478,   479,   480,   481,  1811,  1812,   482,   483,   484,   485,
     486,  1813,  1814,   487,   488,   489,   490,   491,   492,   493,
    1815,   494,   765,   495,   496,   497,   498,  1816,  1817,   499,
    1818,  1819,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,  1399,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   713,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,     0,  1400,   745,  1401,  1402,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
    1403,  1404,   243,     0,   244,   245,   246,   247,     0,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,  1405,  1406,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1056,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,     0,   297,
     298,   299,     0,     0,   301,     0,   302,   303,  1407,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,     0,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,  1881,   322,   323,   324,   325,
     326,   327,     0,   328,   753,  1882,   330,   331,   332,   333,
    1408,  1409,     0,  1410,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
       0,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1411,   759,  1412,   367,   368,     0,     0,
     370,   371,   760,   372,     0,     0,   374,  1413,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,  1883,
     383,  1884,   761,   385,   762,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   396,     0,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1414,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,     0,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
    1885,   445,   446,   764,   447,  1416,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,     0,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1417,  1418,     0,     0,   471,     0,   473,     0,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
       0,  1419,  1886,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
       0,     0,     0,  2139,     0,     0,     0,     0,     0,   515,
     516,   517,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1887,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1400,   745,  1401,  1402,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1403,  1404,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1405,  1406,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1407,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,  1881,   322,   323,   324,   325,   326,   327,     0,
     328,   753,  1882,   330,   331,   332,   333,  1408,  1409,     0,
    1410,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1411,   759,  1412,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,  1413,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,  1883,   383,  1884,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1414,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1885,   445,   446,
     764,   447,  1416,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1417,  1418,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1419,  1886,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,     0,     0,
     210,     0,     0,     0,     0,     0,   515,   516,   517,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1887,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,  1289,   573,     0,
       0,     0,   624,     0,     0,     0,  4266,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  1732,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1538,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,  1539,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,  1540,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,  1289,   573,     0,     0,     0,   624,     0,
    1290,  1291,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  1737,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1538,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,  1539,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,  1540,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,  1289,
     573,     0,     0,     0,   624,     0,  1290,  1291,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,  1538,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,  1539,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
    1540,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
     624,     0,  1290,  1291,     0,   211,   625,   213,   214,   215,
     216,   217,   218,   626,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     627,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   628,   304,   305,     0,   306,
       0,   629,     0,   630,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   631,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   632,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   633,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     634,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   635,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1742,  4576,   573,     0,     0,     0,   624,     0,   636,   637,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1743,
     220,   221,   222,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     223,   224,  1751,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,  1752,   234,   235,   236,   237,   238,
    1753,  1754,   239,   240,   241,   242,   243,  1755,   244,   245,
     246,   247,   248,  1756,   746,  1757,   249,   250,   251,   252,
     747,   253,   254,  1758,   255,   256,   257,   258,   259,   260,
    1759,   748,   261,   262,  1760,  1761,  1762,   749,  1763,  1764,
    1765,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1766,   272,  1767,   273,   274,   275,   276,   277,  1768,   278,
     279,   280,  1769,  1770,   281,   282,   283,   284,   285,  1771,
     286,   287,   288,  1772,   289,   290,   291,  1773,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1774,   301,  1775,
     302,   303,   304,   305,  1776,   306,  1777,   307,   750,  1778,
     751,   308,   309,   310,  1779,   311,   312,  1780,   313,  1781,
     314,   315,   316,   317,   318,   752,   319,   320,   321,  1782,
     322,   323,   324,   325,   326,   327,  1783,   328,   753,   329,
     330,   331,   332,   333,   334,   335,  1784,   336,  1785,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,  1786,
     344,   345,  1787,   346,   347,   757,   348,   758,  1788,   349,
     350,   351,  1789,  1790,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,  1791,   370,   371,   760,   372,  1792,   373,
     374,   375,   376,   377,   378,  1793,   379,  1794,  1795,   380,
     381,   382,  1796,  1797,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,  1798,   394,   395,
     396,   397,   398,   399,   400,  1799,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,  1800,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1801,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1802,   438,   439,   440,
     441,   442,  1803,   443,   444,   445,   446,   764,   447,   448,
     449,  1804,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,  1805,   461,   462,  1806,   463,   464,   465,
     466,   467,   468,  1807,   469,   470,  1808,  1809,   471,   472,
     473,   474,  1810,   475,   476,   477,   478,   479,   480,   481,
    1811,  1812,   482,   483,   484,   485,   486,  1813,  1814,   487,
     488,   489,   490,   491,   492,   493,  1815,   494,   765,   495,
     496,   497,   498,  1816,  1817,   499,  1818,  1819,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,  1742,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  1743,   220,   221,   222,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   223,   224,  1751,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
    1752,   234,   235,   236,   237,   238,  1753,  1754,   239,   240,
     241,   242,   243,  1755,   244,   245,   246,   247,   248,  1756,
     746,  1757,   249,   250,   251,   252,   747,   253,   254,  1758,
     255,   256,   257,   258,   259,   260,  1759,   748,   261,   262,
    1760,  1761,  1762,   749,  1763,  1764,  1765,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  1766,   272,  1767,   273,
     274,   275,   276,   277,  1768,   278,   279,   280,  1769,  1770,
     281,   282,   283,   284,   285,  1771,   286,   287,   288,  1772,
     289,   290,   291,  1773,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1774,   301,  1775,   302,   303,   304,   305,
    1776,   306,  1777,   307,   750,  1778,   751,   308,   309,   310,
    1779,   311,   312,  1780,   313,  1781,   314,   315,   316,   317,
     318,   752,   319,   320,   321,  1782,   322,   323,   324,   325,
     326,   327,  1783,   328,   753,   329,   330,   331,   332,   333,
     334,   335,  1784,   336,  1785,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,  1786,   344,   345,  1787,   346,
     347,   757,   348,   758,  1788,   349,   350,   351,  1789,  1790,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,  1791,
     370,   371,   760,   372,  1792,   373,   374,   375,   376,   377,
     378,  1793,   379,  1794,  1795,   380,   381,   382,  1796,  1797,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,  1798,   394,   395,   396,   397,   398,   399,
     400,  1799,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,  1800,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1801,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1802,   438,   439,   440,   441,   442,  1803,   443,
     444,   445,   446,   764,   447,   448,   449,  1804,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,  1805,
     461,   462,  1806,   463,   464,   465,   466,   467,   468,  1807,
     469,   470,  1808,  1809,   471,   472,   473,   474,  1810,   475,
     476,   477,   478,   479,   480,   481,  1811,  1812,   482,   483,
     484,   485,   486,  1813,  1814,   487,   488,   489,   490,   491,
     492,   493,  1815,   494,   765,   495,   496,   497,   498,  1816,
    1817,   499,  1818,  1819,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1742,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,  2677,   216,   217,
     218,  1743,   220,   221,   222,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   223,   224,  1751,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,  1752,   234,   235,   236,
     237,   238,  1753,  1754,   239,   240,   241,   242,   243,  1755,
     244,   245,   246,   247,   248,  1756,   746,  1757,   249,   250,
     251,   252,   747,   253,   254,  1758,   255,   256,   257,   258,
     259,   260,  1759,   748,   261,   262,  1760,  1761,  1762,   749,
    1763,  1764,  1765,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  1766,   272,  1767,   273,   274,   275,   276,   277,
    1768,   278,   279,   280,  1769,  1770,   281,   282,   283,  2678,
     285,  1771,   286,   287,   288,  1772,   289,   290,   291,  1773,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1774,
     301,  1775,   302,   303,   304,   305,  1776,   306,  1777,   307,
     750,  1778,   751,   308,   309,   310,  1779,   311,   312,  1780,
     313,  1781,   314,   315,   316,   317,   318,   752,   319,   320,
     321,  1782,   322,   323,   324,   325,   326,   327,  1783,   328,
     753,   329,   330,   331,   332,   333,   334,   335,  1784,   336,
    1785,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,  1786,   344,   345,  1787,   346,   347,   757,   348,   758,
    1788,   349,   350,   351,  1789,  1790,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,  1791,   370,   371,   760,   372,
    1792,   373,   374,   375,   376,   377,   378,  1793,   379,  1794,
    1795,   380,   381,   382,  1796,  1797,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,  1798,
     394,   395,   396,   397,   398,   399,   400,  1799,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,  1800,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1801,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1802,   438,
     439,   440,   441,   442,  1803,  2679,   444,   445,   446,   764,
     447,   448,   449,  1804,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,  1805,   461,   462,  1806,   463,
     464,   465,   466,   467,   468,  1807,   469,   470,  1808,  1809,
     471,   472,   473,   474,  1810,   475,   476,   477,   478,   479,
     480,   481,  1811,  1812,   482,   483,   484,   485,   486,  1813,
    1814,   487,   488,   489,   490,   491,   492,   493,  1815,   494,
     765,   495,   496,   497,   498,  1816,  1817,   499,  1818,  1819,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1042,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1058,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,  1072,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1084,   473,  1085,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,   786,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1538,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,  1539,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,  1540,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1717,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,  2095,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  2096,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     3,     4,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   813,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   829,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     830,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,   573,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    1528,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,  2953,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   907,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     927,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   937,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   939,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   949,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   960,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   961,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,  1918,   244,   245,   246,   247,   248,     0,
       0,  1991,   249,   250,   251,   252,     0,   253,   254,  1919,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,  1992,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,  1921,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,  1922,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,  1923,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,  1918,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,  1919,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
    1992,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,  1921,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,  2852,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,  1922,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,  1923,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   677,   217,   218,   643,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,   644,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,   678,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   645,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   646,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   643,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,   644,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,  2580,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   645,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     646,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,  1918,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,  1919,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,  1992,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,  1921,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,  1922,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,  1923,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   643,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,   644,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   645,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   646,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1565,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,  1566,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,  1567,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,  1568,   307,
       0,     0,     0,  1569,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,  1570,  1571,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,  1572,   434,   435,   436,   437,     0,  1573,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,  1574,   463,
    1575,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,  1576,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,   644,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   645,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   646,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   822,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   823,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   708,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     3,     4,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  2661,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  2662,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2673,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,  2674,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   564,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   565,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,   669,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   670,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   671,   470,     0,     0,   672,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   702,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   703,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     704,   470,     0,     0,   705,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   792,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   793,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   920,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1132,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,  1143,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,  1144,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,  1136,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  1242,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1294,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1295,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   669,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,  2467,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,  2468,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,  2469,   463,   464,  2470,
     466,  2471,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,  2472,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,   573,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
    3593,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,  3607,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  3819,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    3821,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  3823,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
    4220,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   658,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     667,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     689,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   690,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   694,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   720,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   817,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   832,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   885,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     899,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   932,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   951,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   953,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   955,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     958,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   964,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     688,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   691,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   692,   428,   429,   430,   431,   432,   693,
     434,   435,   436,   437,     0,   438,   439,   440,   441,  1136,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   695,   470,     0,     0,   696,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   697,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  1445,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  1475,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    1504,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  1506,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1508,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,  1600,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,  1878,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,     0,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,  1136,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,  1909,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   688,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   691,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   692,   428,   429,
     430,   431,   432,  1976,   434,   435,   436,   437,     0,   438,
     439,   440,   441,  1977,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   695,   470,     0,     0,
    1978,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   697,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  2236,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  2591,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   688,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   691,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   692,   428,   429,   430,   431,
     432,   693,   434,   435,   436,   437,     0,   438,   439,   440,
     441,  1977,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   695,   470,     0,     0,  1978,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   697,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    2664,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  2666,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  2773,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,     0,  1400,   745,  1401,  1402,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,  1403,  1404,
     243,     0,   244,   245,   246,   247,     0,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,  1405,  1406,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,     0,   297,   298,   299,
       0,     0,   301,     0,   302,   303,  1407,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
       0,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1881,   322,   323,   324,   325,   326,   327,
       0,   328,   753,  1882,   330,   331,   332,   333,  1408,  1409,
       0,  1410,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1411,   759,  1412,   367,   368,     0,     0,   370,   371,
     760,   372,     0,     0,   374,  1413,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,  1884,
     761,   385,   762,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   396,     0,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1414,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,  1885,   445,
     446,   764,   447,  1416,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1417,  1418,
       0,     0,   471,     0,   473,     0,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,     0,  1419,
    1886,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,     0,  1399,
       0,     0,     0,     0,     0,     0,     0,   515,   516,   517,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,     0,  1400,
     745,  1401,  1402,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,  1403,  1404,   243,     0,   244,   245,   246,
     247,     0,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,  1405,  1406,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,     0,   297,   298,   299,     0,     0,   301,     0,   302,
     303,  1407,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,     0,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,     0,   330,
     331,   332,   333,  1408,  1409,     0,  1410,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1411,   759,  1412,   367,
     368,     0,     0,   370,   371,   760,   372,  1972,     0,   374,
    1413,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,     0,   761,   385,   762,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   396,
       0,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1414,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,     0,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,  1885,   445,   446,   764,   447,  1416,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,     0,     0,   461,   462,  3449,   463,   464,   465,   466,
     467,   468,     0,  1417,  1418,     0,     0,   471,     0,   473,
       0,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,     0,  1419,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,     0,   210,     0,     0,     0,     0,     0,
       0,     0,   515,   516,   517,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,     0,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1403,  1404,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1407,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,     0,  1410,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,  2034,     0,   370,   371,   760,   372,     0,     0,
     374,  1413,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1415,   445,   446,   764,   447,  1416,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1417,  1418,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1419,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1399,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1403,
    1404,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1407,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,     0,  1410,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,  3271,     0,   370,
     371,   760,   372,     0,     0,   374,  1413,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1415,
     445,   446,   764,   447,  1416,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1417,
    1418,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1419,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1403,  1404,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1407,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,     0,  1410,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,     0,     0,   370,   371,   760,   372,     0,     0,
     374,  1413,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1415,   445,   446,   764,   447,  1416,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1417,  1418,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1419,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1399,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1403,
    1404,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1407,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,     0,  1410,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,     0,     0,   370,
     371,   760,   372,     0,     0,   374,  1413,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1885,
     445,   446,   764,   447,  1416,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1417,
    1418,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1419,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1403,  1404,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1407,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,     0,  1410,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,     0,     0,   370,   371,   760,   372,     0,     0,
     374,  1413,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,     0,   445,   446,   764,   447,  1416,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1417,  1418,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1419,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   193,   737,   179,
     938,    11,    48,   689,    24,   574,   545,   171,   188,   975,
      20,    43,    20,   814,   947,   742,  1161,    21,  1569,  1228,
     767,    34,    26,   644,   645,   646,   594,   819,   997,   650,
     831,  1179,   942,  1671,  1873,   840,   604,    21,    48,  1163,
     574,  1415,    26,   612,    12,  1283,  1709,     7,  1025,   896,
    1263,  2319,  1372,   592,    14,   696,  2171,  2633,  1083,   906,
    1269,  1432,  1273,   877,   967,  2179,    22,  2850,    17,   795,
    1215,  1471,  2677,   879,  2679,  1324,  2085,  2914,    34,  1054,
    1055,   882,  2875,  2831,  1835,   886,  1606,  1211,   536,    20,
     891,  2541,  1184,  2033,  2298,  2480,  3173,   898,  1073,  3226,
     158,  1889,  1890,  1341,  1342,  2478,  2479,   908,   611,  2657,
    2903,  3439,   180,   181,   928,  3450,   184,  2893,   186,  3132,
    2813,  3177,  2062,   692,    33,  1336,  1526,     0,  3099,  2475,
     173,    40,  3105,  2412,   173,   583,     0,   205,  2831,  3429,
    1255,  1269,     0,  1859,   189,     0,     0,     0,  1215,  1861,
     195,     0,     0,  1194,     0,     0,  2549,     0,   692,    39,
    3385,   206,  1482,   173,  2132,     0,  1474,     0,  1474,  3144,
    3031,  3104,  3662,  3869,     5,  2835,  2836,  2837,  2838,  2839,
    2840,   784,  3973,    72,  3975,   818,     5,   734,  2534,    31,
       0,   824,     9,     5,  4148,    11,     0,     5,  1101,    58,
     833,   734,  3073,  1043,  1044,  1011,    44,     0,    42,     0,
       0,    51,  4006,    18,    25,    37,     5,    35,     9,    11,
      36,     5,   954,    51,    13,  4141,  1889,    58,   103,  1069,
     152,    22,    35,   965,  2174,    37,   147,    22,     0,     0,
     153,    68,    68,    68,    29,    68,    58,    42,   158,   975,
      66,     5,   122,    76,   875,     5,   152,    22,     5,     5,
     134,     5,   103,    13,    29,     5,    13,     5,  2547,     5,
     152,    68,    96,    83,   172,  4093,    96,     5,     5,    83,
    2475,  2378,  2379,   190,   103,   161,  2383,     4,   127,    68,
    1435,   198,     9,   246,    52,   155,     9,     5,   249,   280,
     207,  2635,    60,     5,   326,  2245,   246,  2247,    51,    76,
      34,   223,   144,   299,   326,   120,     0,   105,    96,  4031,
     234,   860,  4507,   359,    79,     9,  2423,  2424,   165,   106,
      28,    25,   107,   152,   103,    83,  1640,   256,    22,  2534,
      26,    27,   361,  1148,   142,   400,    22,   157,   381,   545,
    1654,   531,   285,   157,  4066,  1102,   264,   381,   234,   152,
      66,   152,   152,   391,     3,     4,     5,   201,   312,   250,
       9,     4,   105,   168,    18,     5,     9,   172,   311,   172,
     948,   172,   172,  1130,   403,   440,   223,   423,   264,   297,
     152,   152,   169,  1418,   963,   236,   592,   316,   578,  1950,
    1704,   233,   438,   436,  4589,   317,   975,  4198,   588,   157,
     172,   172,   436,   211,   400,   210,   438,   192,  1566,   363,
    1146,   297,  1570,    11,  1572,  1151,  1152,  1575,   440,   963,
    1405,  1406,   314,    22,   103,  1003,   134,  4133,  1413,   115,
      29,   152,  3667,  1381,    30,  1013,   285,   171,    36,   152,
      51,    96,  4270,  1386,   440,   436,   214,    22,  1026,   264,
    1029,   321,   195,   303,   103,   151,   534,   153,   152,    16,
     538,   385,   241,   314,   977,   303,   120,   108,    66,    11,
     317,  1605,   371,   436,   153,   436,   110,   555,   172,   300,
     350,   199,   297,  1299,   304,  1029,   436,    96,   543,   323,
     304,   312,   547,   236,  3252,    70,   526,  3167,    74,   385,
     392,  1885,    77,   558,   436,  2849,  4432,   103,  1319,  1245,
    1321,   326,   396,   436,  1895,   436,   396,  1253,   346,   349,
     440,  1676,   359,   359,   359,   330,   359,   359,  1330,   104,
     359,  1665,   440,   346,   440,  1849,   112,   302,   423,   334,
    1397,   190,   363,   286,   574,   575,   340,   341,   616,  3252,
     303,  1375,   359,  1403,  1404,  1370,   612,  4361,   237,   334,
    1376,   349,  1412,   737,  1143,   214,   525,   436,   390,   384,
     359,  3871,  1151,  1152,   386,  1311,   133,  1711,  1314,  1315,
     400,  1560,   359,  4547,   436,   383,   400,   436,   436,  1640,
     440,   611,   612,   611,   423,   436,   300,    22,  3833,  1143,
    1243,   176,   440,  1654,  3407,  3588,   432,   524,   435,   438,
    1530,   625,   529,   627,   436,   629,  3597,   437,   436,   439,
    3601,   635,  3180,   437,  1440,   439,   427,   428,   658,  3422,
     432,   625,   610,   627,  2584,   629,   439,   436,   439,   439,
    3511,   635,   636,   637,  3587,  1202,  1382,  1567,  4449,  1262,
    3885,   681,  3438,  1296,   860,   845,  1576,  3642,   688,  1202,
     256,   691,   692,   693,   402,   402,   856,   439,   439,   639,
     434,   612,   436,   726,   438,   440,   436,   726,   390,   436,
     436,  1497,   436,  3564,   422,   422,   436,   440,   436,   265,
     436,  1604,   303,  1606,   349,   391,  3366,   440,   436,   436,
     427,   428,   381,  1616,   427,   428,   726,  1620,   728,   728,
     728,   728,   728,   728,  4214,  1628,  1629,  4423,   434,   440,
     798,   799,   438,  3118,   436,   379,   916,   440,  1641,  1642,
    2048,   152,  2048,   427,   428,   334,    96,   108,   379,  1652,
     349,  3097,  1963,  3099,    96,   439,  2870,   381,  1903,   666,
    1492,   103,  1301,   310,  2552,   349,  2554,   400,  3161,  1501,
     152,  4297,   161,  1505,    74,     8,  4001,   342,    11,  1511,
    1512,   328,   689,  4008,    11,   716,   246,   353,   427,   428,
      18,   234,  1632,  1633,   427,   428,   107,  1529,    23,  2515,
    3348,   708,  4498,  4131,  2516,   873,   160,   263,  1849,    36,
     690,   795,   112,   133,   694,  2478,  2479,  2480,  2029,    98,
     147,   655,   729,    74,   185,  2793,   894,   895,  2796,  2797,
     310,  3177,  2800,   108,     5,     5,  1903,   423,  2806,    66,
      51,   429,   430,   431,   432,     5,   914,    60,   434,    64,
     436,   437,   438,  2491,   440,   728,   271,  1478,  2798,  2799,
     251,   112,   133,  1991,   728,     5,  1981,    74,  1674,  3148,
     728,  2016,    96,   728,   728,   728,   944,   945,   712,   728,
     728,   192,   728,   728,  3460,   728,   165,  1573,  1574,   796,
       3,    74,   120,   728,   236,   728,  4422,   429,   430,   431,
     432,   774,  3097,  3959,  3099,   112,   321,   741,   154,   103,
     185,   820,   821,   256,   155,  1662,  3013,   108,   131,  3016,
    3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,   112,
    4222,  4223,   256,   130,  1502,    98,   149,   352,    18,   354,
     105,    78,    60,   963,   223,  1513,  4002,   226,   359,   783,
    2890,     3,   154,     5,   308,   975,   436,  1525,    76,   256,
     193,   186,    75,  2212,    97,   265,   193,   977,  1537,   977,
     919,  1510,   299,    32,   417,   154,   436,   359,  3075,  3076,
     117,   888,  3177,  4311,    18,   251,  4321,  3960,  1008,   161,
      24,   975,   189,  3964,   185,   161,   385,   339,  3969,   349,
     342,  3972,   165,   910,   911,   912,   252,   221,   328,  1029,
     234,  2224,   125,   131,   265,  4305,  4009,  4543,   379,   252,
     980,  2166,   982,   234,   984,  2813,   986,  1037,   988,   989,
     990,   149,    11,  1536,   249,   995,   326,    22,   317,   103,
     120,   423,   175,  2831,   319,   436,    98,  1057,  3885,  3920,
    1498,     8,   111,   353,    11,  1101,   438,   328,   265,   256,
     223,   250,   234,   226,   177,   278,  3859,   198,   234,   297,
     241,   241,    44,   252,  2378,  2379,   241,  1087,    11,  2383,
     321,   241,   265,  1103,    76,  4141,   120,  3863,   254,  3694,
     113,  1101,   303,  1113,   436,  1002,     8,   440,  1830,  1638,
     123,   241,   353,   120,   379,  1301,  1126,  4100,  3656,   350,
     312,   103,   153,   165,  1172,   326,   440,   326,  1025,  2423,
    2424,    20,    94,  1143,  2912,   319,  1146,  1147,   369,   297,
     115,  1151,  1152,     8,  4424,  4212,    11,   416,  2286,   405,
     437,    40,    84,   440,  1187,  1188,   353,  1190,  1187,  1188,
     440,  1190,   146,   361,   317,   349,   269,   436,   326,   154,
     278,   374,  1146,   342,  4456,   367,   134,  1151,  1152,  4497,
     353,   223,   236,  4501,   226,   366,   373,  1187,  1188,  2550,
    1190,  4308,  2157,   436,   264,  2556,  1872,   182,   379,  1995,
    3640,   424,   425,   387,   427,   428,   429,   430,   431,   432,
     427,   428,   429,   430,   431,   432,   400,   290,  4433,    60,
    1278,   153,   184,   385,   193,   348,   349,   297,  4546,   385,
     359,   359,  4215,     5,  4195,   266,   193,     9,     5,   105,
     264,   440,  4225,  3618,  2081,   264,   193,   254,  3623,   181,
    3613,   264,   436,     0,   236,   434,   326,    26,    27,   438,
    1157,  3597,   103,   416,   196,  3601,   374,   197,  2403,   372,
     193,  1245,   234,   297,  2409,   317,   208,   380,   297,  1253,
     383,   147,   132,   440,   297,  1343,  1344,  1345,  1346,   273,
     172,  3378,     5,   250,   301,  4341,  4034,   186,  3492,   231,
     331,  1240,   326,  4164,   234,   252,    95,   172,  1205,    18,
    2238,   440,   440,   179,    83,    24,  1290,  1291,  1328,   326,
     393,  1491,  1357,   173,  1510,  2248,  1384,  1385,   193,   147,
    1500,   103,  1390,   102,     5,  2051,   103,  1311,  4111,   157,
    1314,  1315,  2242,  2059,  4117,  2061,  2137,  2378,  2379,  2145,
     252,  4034,  2383,   315,   172,  3285,   286,  2194,  2195,  2196,
    2197,   319,  4365,  4366,   439,   134,  3324,  1990,   234,  2206,
     236,  1268,  3330,  3331,   416,   307,  1434,  4238,  1275,   381,
    1204,  4242,  4243,   115,  1394,   117,  4432,   252,   177,   197,
     103,   349,  2423,  2424,   312,   236,    18,   308,   328,  1569,
     241,   280,    24,  1461,  1462,  1463,  1464,   363,  1382,  2950,
    1307,   120,  3597,  1310,  3155,   297,  3601,  2499,     8,   301,
    1455,    11,  3421,  1952,   312,  2048,   234,   310,  2232,   387,
    1988,    11,   103,   222,   436,   224,  1471,   278,    28,   263,
    1303,  2579,   400,  1306,   326,   363,  2649,  1457,  2071,   379,
    1347,   292,  1638,   106,  2347,   245,    36,  1515,   427,   428,
     429,   430,   431,   432,  1361,  3118,  1524,   277,  1503,   380,
    1908,  3558,  3559,  1531,  3252,   363,  2986,  1374,   436,  2102,
     427,   428,   429,   430,   431,   432,    66,   108,   306,   105,
      95,  1526,   393,  1356,  2733,   156,   379,  1360,   120,   120,
     277,   142,   326,  2396,   427,   428,   429,   430,   431,   432,
     263,  1335,  2308,  4296,   246,  2237,   169,  4520,   400,   301,
     328,   423,   424,   425,   293,   427,   428,   429,   430,   431,
     432,  2253,  2254,   374,  2427,  2257,  1536,  3467,  1536,  3469,
    2043,  2263,   437,  2744,   326,   440,   297,   156,   264,  2939,
     319,   361,   115,   214,   117,   172,   316,  4095,   423,   424,
     425,   263,   427,   428,   429,   430,   431,   432,   105,   156,
     211,   379,  2465,   326,  2290,   326,  1473,   140,   264,   195,
     349,   297,  1479,  4149,   361,   264,   106,  1587,  1587,  1587,
    1587,  1587,  1587,   403,  1597,  2560,  1546,  2100,  1548,  2321,
    1550,  2039,  1552,   193,  1554,   214,  4433,   248,  1558,  2220,
     326,   297,   221,   193,   194,  1625,  1537,   222,   387,   224,
     236,  1679,   391,  3959,   326,   310,   403,   214,  3964,   290,
    2589,   400,   105,  3969,    11,    11,  3972,  4232,  1535,   199,
     326,   115,   264,   117,  1618,  1619,  3904,   326,  4431,   169,
    1596,   286,  1626,   338,   275,   254,  1630,  1631,   195,   239,
      36,   400,   252,   298,  1603,   264,  4002,   436,  2227,  2897,
     286,  1645,  2900,  1647,   400,   297,  1573,  1574,   241,   264,
     297,  1681,     8,   246,   301,    11,    75,   322,  4226,    66,
      66,   352,  1589,   354,  1668,  2830,  1670,  2620,   297,   236,
     142,   440,  2261,  2227,   326,   147,   179,   434,   301,   326,
     359,   438,   297,   436,   440,  1725,   377,  4490,  1303,  3013,
     436,  1306,  3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,
    3024,  3025,   393,   326,  3362,   124,  3841,  2261,  3996,   142,
    3998,   326,   299,   352,   147,   354,  3850,  3677,  3678,   286,
     152,   352,  3046,   354,   237,   238,  2485,  3862,  1582,   264,
    4326,   234,   236,   236,  3008,   352,  1952,   354,   377,   211,
     172,  1356,   246,  1943,  3959,  1360,  2492,   402,   147,  3964,
    1950,  3075,  3076,   400,  3969,   363,     5,  3972,  3032,     4,
     377,    10,   297,   392,     9,   363,   333,   422,   167,    18,
     402,   115,   365,   117,  2608,  4141,   248,   316,   211,  1706,
    2948,   436,   375,  2609,   203,   204,    35,  4002,  1715,    80,
     422,   326,  3780,  3781,    68,   153,   140,   319,   217,  3916,
    4368,   319,    76,   423,   424,   425,   319,   427,   428,   429,
     430,   431,   432,    76,  3205,   248,   221,   427,   428,   429,
     430,   431,   432,   181,  2636,  3942,  3943,   349,  2489,  4195,
    1453,   349,   147,   402,  1899,    38,   349,   193,   196,  1904,
    2592,  3181,  1907,    20,   221,   264,  2658,  1877,  1877,  1472,
     208,   314,   167,   422,  1858,  1859,    59,  1945,  1946,  1947,
     130,   423,   264,    40,  1929,   387,  1954,   436,  1956,   387,
    1958,  1959,   142,   352,   387,   354,   438,   147,   400,   314,
    1913,  1832,  1915,  3048,  2710,  2444,  2712,   400,   351,     4,
    4458,  2880,   236,   156,     9,   297,   252,   241,  3556,   301,
    2889,    68,   246,  2492,  1831,  1970,  1833,    57,    58,    76,
     814,  3055,   175,  2665,   436,  2667,   351,   437,   436,   189,
     440,   175,  1987,   436,   326,   829,  4141,   831,    83,   434,
    3613,   436,   351,   264,   353,  3618,  1976,   400,     3,   402,
    3623,   211,   434,  2769,   436,  1872,   438,   102,  2013,   307,
     167,   214,  3013,   351,    19,  3016,  3017,  3018,  3019,  3020,
    3021,  3022,  3023,  3024,  3025,   400,   297,   402,  2794,  2057,
     301,  3229,  3230,   436,  2971,  4341,   290,  2042,   248,   134,
    4195,  2046,  3213,   363,  2637,  3046,   256,    73,  2576,  2577,
    3035,  3036,   255,     8,    48,   326,    11,   264,   400,  4567,
    2065,   436,   400,   236,   402,   436,   320,   438,   241,   393,
      75,  2076,  3156,    28,  3075,  3076,  2768,  2606,   290,   316,
    2978,   365,  2774,  2844,  2089,  3256,   436,   314,  3286,  2117,
     297,   375,   310,   311,  2099,   349,   431,  2125,   436,   250,
       4,   436,  2130,   438,   255,     9,  4163,  2051,   320,     9,
    2703,   284,  2606,   435,  3378,  2059,   431,  2061,   440,   326,
     125,   436,  1656,   438,   351,  1659,  4432,   423,   424,   425,
    2896,   427,   428,   429,   430,   431,   432,   349,   435,   393,
     199,  4069,  2009,   440,  2124,   314,  3251,   436,  3253,   352,
     250,   354,  2132,    21,   250,   255,   437,  2923,    26,   440,
     363,  2028,     8,   373,   400,    11,   402,   172,  1962,   310,
     311,   374,   177,   400,   377,   402,   436,   440,   438,  3042,
     314,   393,   351,  2323,   419,   420,  4341,  2215,     8,  2329,
      36,    11,  2822,  2823,  2824,  2723,    42,  3790,   293,  3792,
     400,  2975,   402,  3796,  2395,  3798,  2397,  2398,    28,   436,
    2154,   437,  4112,  2193,   440,   436,  2244,   351,  2246,  3553,
      66,    48,    21,  3158,   319,  4024,  2992,  4455,    38,  3334,
    2922,   400,   393,   402,  2926,  2927,   195,  2929,   193,  2931,
    2932,  2221,   310,   311,  2214,  2214,  3012,  2227,  2940,  3178,
    3179,   418,  2180,   437,   349,   437,   440,  4056,   440,  3428,
     438,  3884,     8,   238,   269,    11,   400,   436,   402,    68,
    3443,  3037,   437,   437,   314,   440,   440,  4432,  1016,  1017,
    2972,  2261,   437,   310,   311,   440,  4034,  2868,  2444,   253,
      36,  2296,   387,  2979,  3558,  3559,    42,   252,    97,   253,
     250,   437,   436,   308,   440,   400,   352,  3073,   354,  2176,
     359,   351,  2340,    49,  2319,   352,  2845,   354,  2847,   118,
      66,   314,   168,   147,   437,   437,   172,   440,   440,     8,
     129,  2859,    11,  2861,   250,  2475,  3905,  3906,  3907,  3908,
     418,   436,   347,   314,   319,    38,  2290,   193,   194,    28,
     149,  2845,   418,  2847,  2510,   154,  3121,   253,   351,    95,
     400,   400,   402,   402,   210,   314,     0,   372,   151,  3477,
    3478,  3479,   195,   193,   349,   380,   437,  3378,   383,   440,
     351,   437,  2911,   437,   440,   437,   440,  3985,   440,   437,
     440,   429,   440,   239,  2534,  4143,   436,   731,  3602,   733,
    3604,   200,   351,  3110,   437,   437,   252,   400,   440,   402,
      48,   436,   387,   314,  3113,  3114,  3115,  2911,   437,   152,
     437,  2427,   221,   440,   437,   400,   172,   440,   191,   400,
     437,   402,   252,   440,   436,   438,   437,  4236,   174,   440,
      60,   437,  2970,   436,   440,   326,    66,   193,   194,    83,
     351,   400,   437,   402,   436,   440,    76,  2427,   135,   404,
     437,   436,   437,   440,   439,   436,   172,   436,   423,   424,
     425,  2441,   427,   428,   429,   430,   431,   432,  2470,  2471,
    2472,   438,   281,   103,   330,   105,   222,   436,   224,   437,
    2460,   437,   440,   239,   440,   250,   130,   437,   234,   400,
     440,   402,   172,   135,   437,  2475,   252,   440,   142,   308,
     172,   135,  2492,   147,   193,   314,   437,   437,   152,   440,
     440,   320,   437,   157,   147,   440,   160,   263,   162,   437,
    3614,  2537,   440,   250,   135,   436,  2506,  2506,  2506,  2506,
    2506,  2506,   437,   209,   437,   440,  2490,   440,  2492,   105,
     349,   437,   351,  3637,   440,   189,  2561,  3558,  3559,   179,
     437,   250,   381,   440,  2534,  3317,   302,  2537,   363,   368,
    2514,  2515,   437,   252,   437,   440,   439,   211,   424,   425,
    4091,   427,   428,   429,   430,   431,   432,  2615,   436,  2617,
    2618,  2619,    21,   437,   393,    84,   440,   437,  2603,   245,
     440,   337,  2469,   423,   424,   425,   393,   427,   428,   429,
     430,   431,   432,   199,   248,   437,   236,   316,   440,   283,
     437,   241,   256,   440,   437,    54,  2606,   440,   437,   437,
     437,   440,   440,   440,   436,   627,   628,   629,    67,  3405,
     632,   633,   634,  3751,  3752,  3452,  3754,   437,    60,   439,
     642,    80,  3916,   437,    31,   400,   440,  2813,   278,   236,
     437,  3925,  3860,   440,   153,  4464,   437,   404,   437,   440,
     304,   440,   292,   236,   436,  2831,  4475,  3540,  3942,  3943,
      38,   427,   428,   429,   430,   431,   432,   437,   437,   118,
     440,   440,   181,    38,   437,   437,  2701,   440,   440,  4322,
     129,   368,   437,  2683,   264,   440,   437,   196,  2713,   440,
     147,   437,   393,    49,   440,   349,    73,   393,   135,   208,
     149,   879,   281,   437,   135,   154,   440,  4526,   437,   437,
     437,   440,   440,   440,   437,   437,   436,   440,   440,   373,
     437,  2721,   231,   440,   423,   424,   425,   135,   427,   428,
     429,   430,   431,   432,   374,   437,   404,   437,   440,    95,
     440,   250,   135,   397,   437,   399,   400,   440,   135,   440,
     135,   135,  3464,   135,   250,   135,   135,   250,   349,   135,
    3472,  3473,   135,  2788,   135,   436,    31,   148,   209,   250,
       5,  2771,   221,   147,   436,   147,  3482,     5,  3564,   436,
     434,   436,    50,   437,   438,   439,   147,   436,   436,   274,
    2950,   436,     5,  2793,   436,   436,  2796,  2797,   307,     5,
    2800,   436,   436,   252,   436,   436,  2806,   436,   436,   436,
       5,   436,     5,  2813,    82,   401,   436,   436,   174,   436,
     436,   436,   436,   436,     8,   436,   436,    11,   436,   436,
      86,  2831,   281,  1011,   261,   440,  4054,   191,   440,    31,
     209,  3787,    31,    44,    28,  2845,   147,  2847,   248,  2813,
     147,   246,    36,  3401,  3402,   326,  2820,  2821,    42,   359,
     359,  2825,   314,   438,   359,   314,   222,  2831,   224,   359,
     138,   320,   381,   359,   323,   314,   359,   359,   234,  4163,
      76,   314,    66,  2883,    85,  2933,   135,   250,  2936,  3675,
     318,   206,   359,   359,   241,  3916,   359,   351,  2862,  3848,
     349,   380,   170,   177,  3925,   250,   355,   263,   109,   246,
    2910,  2911,  2902,  2902,  2939,   436,   359,  3703,   166,   368,
     436,  3942,  3943,   124,   359,    76,   440,   128,  2953,   264,
     172,  2921,  2921,  2981,   381,  3662,  3722,  3097,   206,  3099,
    4129,  3085,    97,   381,   393,   135,   302,   148,  2973,   359,
     151,  4076,   359,   359,    48,    48,     0,   359,   381,   254,
     359,  3673,   163,   359,  2851,  2852,   978,   359,   236,   981,
     359,   983,    37,   985,    37,   987,   351,   250,   314,   991,
    2867,   337,   440,   404,   168,   193,  3772,   250,   172,   359,
     436,   359,  3704,  3705,  2881,   359,   264,   400,    31,   390,
     436,    30,   436,    20,  2891,   250,   135,   236,   103,   193,
     194,   436,   135,   217,   381,  2979,   246,  3177,  2905,   236,
      31,   147,   436,    31,   199,   381,   210,   315,   135,   297,
     130,  1209,   392,   301,   135,   381,   135,   305,   381,    83,
     241,   359,   142,   311,   135,   135,   245,   147,   249,   240,
     318,   357,   236,   436,   152,   239,   396,  3083,   326,  3059,
    4188,  3773,  3774,   418,   228,   228,    11,   335,   252,   326,
    4198,   255,   357,  3099,   436,   343,  3252,  3089,  3090,  3091,
    3092,  3787,   440,   284,  2971,  1263,   130,   436,   436,   189,
     359,   160,   143,  3083,  3977,   152,   440,   361,   142,   437,
     166,   189,   166,   147,   436,   328,   440,  3097,   152,  3099,
    3629,   211,   197,   157,   251,   440,   160,   258,   162,   381,
      48,  1299,   359,   437,    75,  4253,   359,   395,   314,   314,
     381,   436,  4078,   241,  3920,   197,   197,  4086,  4087,   241,
     359,   359,  4163,  3691,   359,   189,   330,   436,   248,   363,
     393,  3199,  3200,  3201,  3202,   316,   256,   199,     8,   241,
      38,    11,   333,   250,   351,   249,   314,   211,   440,   297,
     297,   359,   167,   323,   286,   193,   359,  3889,    28,  3891,
    3892,   359,   359,  3208,    31,   423,    36,   193,   193,   193,
     193,  3903,    42,   249,    30,   434,  3744,   359,  1376,   381,
     381,   359,   434,   359,   248,   436,   359,  3094,  3095,  3096,
     135,   423,   256,   147,   393,   246,    66,  1395,   149,  4347,
     436,   381,   135,    31,   400,   436,   323,   250,   250,   164,
     147,   164,    31,  3834,   135,   250,   250,  1415,  3787,   423,
     424,   425,   323,   427,   428,   429,   430,   431,   432,   147,
     172,   172,  3252,   172,    19,   404,   440,  3976,   158,   225,
     304,   400,  1440,   250,  3983,    48,   440,   440,   440,   349,
     440,   363,  3297,   373,   245,  3300,  3276,   393,   437,  3279,
     437,  3281,   152,  3990,   199,  4168,   440,   418,  3252,   268,
     437,  3275,  4073,   437,   437,   437,   418,   437,   152,   437,
     359,   437,   437,   437,   437,   349,   436,     8,   260,    13,
      11,  3275,   437,   437,   397,  4264,   437,   436,   168,  1497,
     437,  4239,   172,   436,  3324,   436,    13,  4240,  3376,   373,
    3330,  3331,   379,  3333,   434,    36,   304,   437,   438,   251,
     251,    42,   397,   193,   194,   423,   387,   211,    48,   253,
     436,   250,   175,   397,   250,   399,   400,   436,   135,  4249,
     210,  4251,   359,   359,   404,    66,   359,   183,  3368,  3369,
    3370,  3371,   241,   359,  3338,  3339,   135,   254,  4164,   135,
     175,   211,   269,  3408,   269,  3349,   236,   378,   400,   239,
     434,   381,   359,   437,   438,   439,   359,   359,   359,   219,
     219,   219,   252,   359,  3368,   255,   359,   314,   314,   359,
     359,   359,   314,   359,  4200,   359,   326,   314,   135,  4544,
     359,   236,    37,   359,   193,   193,   193,   436,     3,   317,
     437,   211,   434,   226,   423,    38,   437,  3597,   437,   368,
    3440,  3601,   440,   299,    96,  4157,   440,  3437,  3437,  4395,
     250,   436,  4238,  3629,   437,  4338,  4242,  4243,   249,   437,
    3485,    31,   161,   381,  4183,   359,  4132,   168,   314,  4594,
     314,   172,   381,   314,   253,   440,   133,  4602,  3365,   133,
     330,   193,   126,   152,  4003,    11,   147,  4035,   152,   392,
     437,   434,   193,   194,    22,    23,  1674,  3384,    58,    27,
    3500,  4213,   256,   152,    32,    33,    34,   437,    36,   210,
     437,    39,    40,   437,    42,   397,    44,   437,  3482,   160,
     436,   251,   436,   368,  3411,   147,  4045,    31,   421,  4078,
     381,  1709,   440,   381,   359,   236,   183,    48,   239,   351,
     368,   436,  4254,   314,   314,   437,   437,   437,   359,   359,
     436,   252,   359,   359,   359,    48,   437,   437,   437,   351,
     147,    66,   135,    96,   368,   437,   193,   193,   435,   435,
     323,   400,   437,   423,   424,   425,   436,   427,   428,   429,
     430,   431,   432,   197,   282,   435,   147,   436,   440,   178,
     404,   441,    71,   436,   351,   437,   359,   400,   436,   323,
     440,   440,   437,   157,    96,   152,   437,  3597,   193,  4527,
     193,  3601,   193,   193,   152,   436,   291,    48,   440,   196,
     437,   259,   398,   398,   437,  3625,  3626,   196,   437,   330,
      48,   162,   368,   246,   436,   423,   437,   359,   436,   436,
     152,   437,   400,   437,    66,  3635,  3635,    31,   437,   241,
     177,   179,   180,   181,   182,   241,   184,   423,   186,    48,
     188,  3654,   190,   351,  3648,   193,    50,   440,   440,   400,
     198,   135,   193,   201,   359,   435,  3836,   205,   154,   207,
     152,   172,    31,   121,  3648,   381,   381,   396,   436,   400,
     400,   152,  3717,  3580,  3581,  3582,  3583,   436,    82,   180,
     253,   152,   436,   436,  3729,  3753,   386,  1885,   336,   291,
     437,  1889,  1890,   196,   437,   267,  3700,   436,   436,  3767,
     399,   437,   423,   424,   425,   250,   427,   428,   429,   430,
     431,   432,   437,   292,   359,   359,  3700,   400,   147,   436,
     110,   241,   436,    31,   241,   220,   175,   436,   282,   134,
     436,    31,   254,   437,   138,   436,  3720,  3721,    48,   437,
     311,  3725,  3726,   311,    48,    31,  4367,   437,   436,   436,
    3770,  3771,   437,   351,   381,   351,   234,   250,   437,   351,
    3780,  3781,     5,   323,   141,    60,   170,  3787,   282,    60,
     253,  3791,   116,   291,   385,   440,   386,   436,    31,  3959,
     152,   397,   351,   289,  3964,   147,   400,  4519,   121,  3969,
     177,   250,  3972,  3861,   250,   199,   436,  1995,    31,    31,
     253,   253,   206,  3787,   436,  3809,   437,  4003,   436,    48,
     310,   437,   108,   379,     5,   437,   436,    17,    28,   310,
     134,   282,  4002,   436,  4363,  3809,  4395,     0,  1359,   787,
    2178,   821,   236,   728,  1152,  2492,  3856,  2023,  4034,  2658,
     820,  3251,  2093,  3333,  4256,  4395,  2811,  4076,  4125,  4045,
    3399,  4129,  3827,  4110,  2583,  2278,  4462,  4002,  4524,  3904,
    4409,  4481,  4408,  3883,  4044,  4306,  2587,  3391,  2169,  3246,
    2169,  2678,  1458,  2163,  2882,  4532,  4594,  4602,  4105,  2830,
    2815,  4492,  4047,  1448,  4382,  3905,  3906,  3907,  3908,  4472,
    4050,    26,  3485,  4211,  1890,  1004,  3441,   301,  1014,  3443,
    4322,   305,   575,  2559,  2772,  4506,  4596,   311,  1832,   707,
      83,  4091,  2506,  1833,   318,  3426,  1537,  3636,  3153,   720,
    2507,  1875,   326,  1197,  1178,  1874,  1196,  1849,  2542,  2522,
    2534,   335,  1199,  3588,  4196,  3099,  4004,  4005,  4006,   343,
    3603,   712,  3097,  1204,  4341,  4340,  3058,  2145,  3154,  4166,
    2144,  3996,  3050,  3998,  3964,  4454,  4453,   130,    31,  3969,
    4445,  4141,  3972,  2441,     8,  2510,  2349,    11,  2439,   142,
    1708,  3149,    -1,    -1,   147,    -1,   524,    50,    -1,   152,
    3887,   529,    -1,   531,   157,    -1,   534,   160,   536,   162,
     538,   395,    36,    -1,    -1,   399,   400,   545,    42,    -1,
     548,    -1,    -1,    -1,    -1,     8,    -1,   555,    11,    82,
      -1,    -1,    -1,    -1,  4034,  4195,   189,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    28,  2224,  3987,    -1,    -1,
     578,    -1,    -1,    36,    -1,   583,    -1,    -1,   211,    42,
     588,    31,    -1,    -1,   592,    -1,    -1,    -1,    50,  4069,
    4034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,   607,
      50,    -1,  4082,    66,  4084,   138,    -1,    -1,  4088,  4089,
      -1,    -1,  4140,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      82,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    82,    -1,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,  4283,  4114,  4114,    -1,   655,    -1,    -1,
    2308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   666,   667,
      -1,    -1,    -1,    -1,   168,    -1,   199,    -1,   172,    -1,
      -1,   304,    -1,   206,    -1,    -1,   138,    -1,    -1,   687,
      -1,   689,   690,    -1,    -1,    -1,   694,    -1,   138,   193,
     194,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,  4341,    -1,   236,   712,   168,   210,  4363,   170,   172,
     718,    -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,
     170,   729,  4250,    -1,  4252,  4195,    -1,  4094,    -1,    -1,
     193,   194,    -1,   741,    -1,   239,    -1,    -1,    -1,    -1,
     373,    -1,    -1,    -1,   206,    -1,    -1,   210,   252,   199,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,  4132,   399,   400,   301,    -1,
      -1,    -1,   305,   236,   236,   783,   239,  4257,   311,    -1,
      -1,  4421,    -1,    -1,    -1,   318,   236,    -1,   796,   252,
     798,   799,  4432,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   335,    -1,   437,   438,   439,    -1,    -1,    -1,
     343,    -1,   820,   821,    -1,    -1,    -1,    -1,    -1,    -1,
    2478,  2479,  2480,    -1,    -1,    -1,   330,  4467,    -1,    -1,
      -1,    -1,    -1,  4361,  4304,  4304,    -1,   845,    -1,   301,
      -1,   303,    -1,   305,    -1,    -1,    -1,    -1,   856,   311,
      -1,   301,   860,    -1,    -1,   305,   318,  4224,    -1,    -1,
      -1,   311,   395,    -1,   326,   873,   399,   330,   318,    -1,
      -1,    -1,    -1,   335,    -1,    -1,   326,    -1,    -1,    -1,
     888,   343,    -1,    -1,    -1,   335,   894,   895,  4416,    -1,
      -1,  2549,    -1,   343,  2552,    -1,  2554,    -1,    -1,    -1,
      -1,  2559,   910,   911,   912,    -1,   914,    -1,   916,    -1,
      -1,    -1,    -1,    -1,    -1,  4395,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   395,   942,    -1,   944,   945,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,  4476,   399,
    4455,  2609,    -1,    -1,    -1,    -1,    -1,    -1,  4598,   967,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   997,
     998,  2649,    -1,    -1,  1002,    -1,  1004,    -1,    -1,    -1,
    4528,    -1,    36,    18,    -1,    -1,    -1,    -1,    42,    24,
      -1,    -1,    -1,    -1,  1022,    -1,    -1,  1025,    -1,    -1,
    1028,    -1,    -1,  4493,  4493,    -1,    -1,     8,    -1,    -1,
      11,    -1,    66,  1041,    -1,    -1,  4506,  4506,  4506,  4506,
    4506,  4506,    -1,  4549,    -1,    -1,    -1,    28,    -1,    64,
      -1,    -1,  2710,    -1,  2712,    36,    -1,    -1,    -1,    -1,
      -1,    42,  1070,    -1,  4544,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,
    4549,  4549,  4549,  4549,  4549,    66,    -1,    -1,    -1,    -1,
    1098,  1099,    -1,  1101,   128,    -1,    -1,    -1,   113,    -1,
    4544,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,  2769,  1120,    -1,  4594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4602,    -1,    -1,    -1,  4596,  4596,  4596,  4596,
    4596,  4596,    -1,    -1,   168,    -1,  2794,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1157,
    4594,    -1,  1160,    -1,    -1,  2813,    -1,    -1,  4602,   193,
     194,    -1,   177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2831,    -1,    -1,   210,    -1,    -1,    -1,
      -1,  1189,    -1,    -1,    -1,  1193,  1194,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,  1204,  1205,  1206,    -1,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   193,   194,  1222,    -1,    -1,    -1,   252,   234,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,  2896,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1255,    -1,   264,
      -1,    -1,    -1,    -1,  2912,   236,    -1,    -1,   239,    -1,
    1268,  1269,    -1,    -1,    -1,  2923,    -1,  1275,    -1,    -1,
    1278,   252,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,  1301,    -1,    -1,   330,    -1,    -1,  1307,
      -1,    -1,  1310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1335,    -1,    -1,
      -1,    -1,    -1,    -1,  2992,  1343,  1344,  1345,  1346,  1347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
       3,    -1,    -1,  1361,  3012,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,  1372,    -1,  1374,    -1,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    28,  1384,  1385,    31,  3037,
      -1,    -1,  1390,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,  3073,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,  1461,  1462,  1463,  1464,    -1,    -1,   440,
    3118,    -1,    -1,    -1,    -1,  1473,    -1,    -1,    -1,    -1,
      -1,  1479,    -1,    -1,  1482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1491,    -1,    -1,    -1,    -1,    -1,    -1,
    1498,    -1,  1500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1510,  3161,    -1,    18,    -1,  1515,    -1,    -1,
      -1,    24,    -1,    -1,    -1,   168,  1524,    -1,    -1,   172,
      -1,    -1,  1530,  1531,    -1,    -1,    -1,  1535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,  1560,    -1,    -1,    -1,    -1,   210,    -1,  1567,
      -1,  1569,    -1,    -1,    -1,  1573,  1574,    -1,  1576,    -1,
      -1,    -1,    -1,    -1,  1582,    -1,    -1,    -1,    -1,    -1,
      -1,  1589,    95,   236,    -1,    -1,   239,    -1,  1596,  1597,
      -1,    -1,  1600,    -1,  3252,    -1,  1604,    -1,  1606,   252,
     113,    -1,   255,    -1,    -1,  1613,    -1,   120,  1616,    -1,
     123,    -1,  1620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1628,  1629,    -1,    -1,    -1,    -1,    -1,    -1,  1636,    -1,
    1638,  1639,  1640,  1641,  1642,    -1,    -1,    -1,    -1,    -1,
      -1,  1649,  1650,    -1,  1652,    -1,  1654,  1655,    -1,    -1,
    1658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,    -1,    -1,  1675,    -1,    -1,
      -1,  1679,  1680,    -1,    -1,    -1,  1684,   330,    -1,    -1,
    1688,    -1,  1690,  1691,  1692,  1693,  1694,  1695,  1696,  1697,
    1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,  1706,    -1,
    1708,  1709,    -1,    -1,    -1,    -1,    -1,  1715,    -1,   222,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,   236,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    28,    -1,  3405,    -1,    -1,
     263,   264,    -1,    36,    -1,    -1,    -1,    -1,    18,    42,
      -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    66,   297,  3443,    -1,   300,   301,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1831,   337,  1833,    -1,  1835,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
    1858,  1859,    -1,   113,    -1,    -1,    36,    -1,    -1,    -1,
     120,    -1,    42,   123,  1872,    -1,    -1,    -1,    -1,    -1,
    1878,   384,  1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   168,    66,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,
    1908,    -1,    -1,    -1,    -1,  1913,  3564,  1915,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,    -1,    -1,    -1,  1932,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1943,    -1,  1945,  1946,  1947,
      -1,    -1,  1950,    -1,  1952,    -1,  1954,    -1,  1956,    -1,
    1958,  1959,    -1,   236,  1962,  3613,   239,    -1,    -1,    -1,
    3618,    -1,    -1,    -1,    -1,  3623,    -1,    -1,    -1,   252,
      -1,    -1,   255,  1981,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,  1991,    -1,    -1,   246,    -1,   168,    -1,
    1998,    -1,   172,    -1,   254,  2003,    18,    -1,    -1,    -1,
      -1,  2009,    24,    -1,   264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,   194,    -1,    -1,  3675,    -1,    -1,
    2028,    -1,    -1,    -1,  2032,  2033,    -1,    -1,    -1,    -1,
     210,  2039,  2040,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     300,   301,    64,    -1,    -1,  3703,    -1,   330,    -1,  2057,
      -1,    -1,    -1,    -1,  2062,    -1,   236,    -1,    -1,   239,
      -1,    -1,    -1,    -1,  3722,    -1,   326,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,   255,    -1,  2085,    -1,  2087,
    2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2117,
      -1,    -1,    -1,    -1,  3772,    -1,    -1,  2125,    -1,    -1,
      -1,    -1,  2130,    -1,   384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,  2143,    11,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
     330,    -1,    -1,    28,   437,   177,    -1,    -1,    -1,    -1,
      -1,    36,    -1,  2171,    -1,    -1,  2174,    42,  2176,    -1,
    2178,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2215,  2216,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,  3884,    -1,    -1,    -1,
      -1,    -1,   254,    -1,  2242,    -1,  2244,  2245,  2246,  2247,
      -1,    -1,   264,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,    -1,   437,  2266,    -1,
      -1,    -1,  3920,    -1,     8,    -1,    -1,    11,    -1,    -1,
    2278,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,   301,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,   168,    -1,    -1,     8,   172,    42,    11,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2323,    28,    -1,   193,   194,
      -1,  2329,    66,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,  2340,    -1,    -1,   210,    -1,    -1,    -1,  2347,
    2348,    -1,    -1,    -1,    -1,  2353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,   236,   384,    -1,   239,    -1,    -1,    -1,    -1,    -1,
    2378,  2379,    -1,    -1,    -1,  2383,  4034,   252,    -1,    -1,
     255,    -1,    -1,    -1,    -1,    -1,    -1,  2395,  2396,  2397,
    2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2408,    -1,    -1,  2411,    -1,  2413,  2414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2423,  2424,    -1,    -1,  2427,
      -1,    -1,    -1,    18,   168,    -1,    -1,    -1,   172,    24,
      -1,    -1,  2440,    -1,  2442,    -1,  2444,    -1,  2446,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,   330,   168,  2465,    -1,    -1,
     172,  2469,    -1,    -1,    -1,    -1,   210,  2475,    -1,    64,
    2478,  2479,  2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   193,   194,    -1,    -1,  4143,    -1,  2495,    -1,    -1,
      -1,    -1,   236,    -1,    -1,   239,    -1,    -1,   210,  2507,
      -1,    -1,    -1,    -1,   879,    -1,  4164,    -1,   252,    -1,
      -1,   255,    -1,    -1,  2522,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   236,   120,  2534,   239,   123,  2537,
      -1,    -1,    -1,  2541,    -1,    -1,    -1,    -1,     8,    -1,
     252,    11,  4200,   255,    -1,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    28,    -1,
      -1,    -1,   437,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,  2582,    -1,  2584,    -1,    -1,    -1,
    4238,  2589,   177,    -1,  4242,  4243,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2615,    -1,  2617,
    2618,  2619,    -1,    13,    -1,    -1,    -1,    -1,   330,    19,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,    -1,   234,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,   246,    36,    -1,    -1,    -1,    -1,    -1,    42,   254,
      -1,    -1,    18,    -1,  4322,    -1,    -1,    -1,    24,   264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    66,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,    -1,    -1,   300,   301,    -1,    64,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   193,   194,   437,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,    -1,   120,    -1,   236,   123,    -1,   239,
      -1,  1146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,   168,   255,   186,    -1,   172,   384,
    2798,  2799,    -1,    -1,    -1,    -1,   196,   197,    -1,   199,
      -1,    -1,   202,    -1,   204,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2851,  2852,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,  2867,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,  2880,  2881,    -1,    -1,    -1,    -1,   234,    -1,
     236,  2889,  2890,  2891,    -1,    -1,    -1,    -1,  1263,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,  2905,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1299,  2933,    -1,    -1,  2936,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,  2950,    -1,   300,   301,   330,    -1,    -1,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,  2971,    -1,    -1,    -1,   437,    -1,    -1,
     326,    -1,    -1,  2981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2999,    -1,    -1,    -1,    -1,    -1,  3005,    -1,  3007,
      -1,  1376,    -1,    -1,    -1,  3013,    -1,    -1,  3016,  3017,
    3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,    -1,    -1,
    1395,  3029,  3030,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,  3046,    -1,
    1415,    -1,  3050,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,  3060,    -1,    -1,  3063,    -1,  3065,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1440,  3074,  3075,  3076,    -1,
       8,    -1,  3080,    11,    -1,  3083,    -1,    -1,    -1,  3087,
      -1,    -1,    -1,    -1,    -1,    -1,  3094,  3095,  3096,  3097,
      28,  3099,  3100,    -1,    -1,    -1,  3104,  3105,    36,    -1,
      -1,    -1,    -1,  3111,    42,     8,    -1,    -1,    11,  3117,
    3118,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,
      24,    -1,  1497,    -1,    -1,    28,    -1,    -1,    66,    -1,
      -1,    -1,   532,    36,    -1,  3143,    -1,    -1,    -1,    42,
     540,  3149,    -1,    -1,    -1,  3153,    -1,  3155,    -1,   549,
     550,    -1,    -1,    -1,   554,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    -1,    66,    -1,   565,    -1,    -1,    -1,  3177,
    3178,  3179,    -1,  3181,    -1,    -1,    -1,    -1,    -1,   579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3199,  3200,  3201,  3202,   595,    -1,    -1,   598,    -1,
     600,    -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3236,    18,
     168,    -1,    -1,    -1,   172,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,
      -1,    -1,   662,    -1,   664,   168,    -1,    -1,    -1,   172,
      -1,    -1,   210,   177,    -1,    64,    -1,  3285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,    -1,    -1,   236,  1674,
      -1,   239,    -1,    -1,    -1,    -1,  3314,   210,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,   255,    -1,    -1,
     720,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     234,   120,   236,   236,   123,    -1,   239,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,   252,
     254,    -1,   255,    -1,    -1,    -1,    -1,  3365,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,
    3378,    -1,    -1,    -1,    -1,    -1,  3384,    -1,   778,    -1,
      -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,   177,    -1,
      -1,  3399,   330,   297,    -1,    -1,   300,   301,    -1,    -1,
      -1,    -1,    -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,
    3428,    -1,   326,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,   834,    -1,  3444,  3445,    -1,    -1,
       8,    -1,    -1,    11,    -1,   234,    -1,   236,    -1,   849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,  3467,
      28,  3469,   862,    -1,    -1,   254,    -1,    -1,    36,   869,
      -1,    -1,    -1,    -1,    42,   264,    -1,    -1,    -1,    -1,
     384,   881,    -1,    -1,   884,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,  3503,    -1,    -1,    66,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,   297,    -1,
    1885,   300,   301,    24,  1889,  1890,    -1,   917,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,  3540,    -1,   437,    -1,    -1,   326,    -1,    -1,
      -1,    -1,  3550,  3551,    -1,    -1,    -1,    -1,    -1,    -1,
    3558,  3559,    -1,    64,    -1,  3563,    -1,    -1,    -1,    -1,
      -1,  3569,  3570,    -1,    -1,  3573,    -1,    -1,  3576,  3577,
      -1,    -1,  3580,  3581,  3582,  3583,    -1,    -1,    -1,  3587,
    3588,    -1,  3590,    -1,    -1,  3593,    -1,    -1,    -1,  3597,
      -1,    -1,     0,  3601,    -1,   384,    -1,    -1,    -1,  3607,
     168,    -1,   113,    -1,   172,  3613,    14,    -1,    -1,   120,
    3618,    -1,   123,    -1,    -1,  3623,    24,    -1,    26,    27,
    1995,  3629,    -1,    -1,    -1,   193,   194,    -1,  3636,    -1,
      -1,    -1,  3640,    41,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,  3654,    -1,    -1,  3657,
      -1,    -1,    -1,    61,    -1,    63,    64,    -1,    -1,    -1,
      -1,    69,    -1,    71,    -1,    -1,   177,    -1,   236,  3677,
    3678,   239,    -1,    81,    -1,    83,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,   255,    -1,    -1,
      -1,    99,    -1,  3701,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,   116,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,   234,    -1,   236,   134,    -1,   136,    -1,
      -1,    -1,    -1,    -1,   142,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,  3753,    -1,    -1,    -1,   157,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,  3767,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1178,  1179,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,    -1,   326,    -1,  3825,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3836,    -1,
     238,    -1,    -1,  3841,    -1,    -1,    -1,    -1,    -1,    -1,
    3848,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2224,
      -1,    -1,    -1,  3861,  3862,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,   276,   437,
      -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,  3887,
     288,    -1,    -1,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,
      -1,   309,    -1,    -1,    -1,   313,    -1,    -1,  3916,    -1,
     318,   319,    -1,    -1,    -1,    -1,    -1,  3925,   326,    -1,
      -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
      -1,    -1,    -1,  2308,  3942,  3943,    -1,    -1,  3946,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3959,  3960,    -1,    -1,    -1,  3964,    -1,   366,    -1,
      -1,  3969,    -1,    -1,  3972,  3973,    -1,  3975,   376,  3977,
    3978,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,   400,    -1,  4002,  4003,  4004,  4005,  4006,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,
      -1,   439,    -1,    -1,    -1,    -1,  4044,  4045,    -1,    -1,
      -1,    66,    -1,    18,  1444,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1459,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4086,  4087,
      -1,    -1,    28,  4091,    -1,    -1,  4094,    -1,    -1,    64,
      36,    -1,    -1,    -1,    -1,    -1,    42,  4105,    -1,  1499,
      -1,    -1,    -1,    18,  4112,    -1,    -1,    -1,  4116,    24,
      -1,    -1,    -1,    -1,  1514,    -1,  1516,    -1,  1518,    -1,
      66,  4129,    -1,  1523,  4132,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4140,  4141,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   168,    -1,   120,    -1,   172,   123,    64,
      -1,    -1,    -1,    -1,    -1,  4163,    -1,    -1,  4166,    -1,
    4168,    -1,    -1,    -1,    -1,    -1,  1566,    -1,   193,   194,
    1570,    -1,  1572,    -1,  2549,  1575,    -1,  2552,    -1,  2554,
      -1,    -1,    -1,  4191,  2559,   210,    -1,  4195,    -1,    -1,
    4198,    -1,    -1,    -1,    -1,    -1,  4204,    -1,   113,    -1,
      -1,    -1,   177,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,   236,  4220,    -1,   239,    -1,  4224,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   252,    -1,    -1,
     255,    -1,    -1,    -1,  2609,    -1,    -1,    -1,    -1,    -1,
      -1,  4249,  4250,  4251,  4252,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4264,    -1,    -1,   234,
      -1,   236,   177,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,  2649,  4283,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
     236,    -1,    -1,   239,  4302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,
      -1,   236,   297,    -1,    -1,   300,   301,    -1,    -1,    -1,
    4338,   246,    -1,  4341,    -1,  2710,    -1,  2712,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,   326,    -1,  4361,    -1,  4363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,   330,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2769,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,  4416,   384,
      -1,   326,   437,  4421,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    -1,    -1,    -1,  4432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4444,  4445,  2813,    -1,
      -1,  4449,    -1,    -1,    -1,  4453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2831,    -1,    -1,  4467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4476,   384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4507,
    1900,  1901,    -1,    -1,    -1,  1905,  1906,    -1,    -1,  1909,
      -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,    -1,  1919,
    4528,  2896,    -1,    -1,     8,    -1,  1926,    11,    -1,    -1,
    1930,  1931,    -1,    -1,  1934,  1935,    -1,  2912,    -1,    -1,
      -1,  1941,    -1,    -1,    28,    -1,    -1,    -1,  2923,    -1,
      -1,    -1,    36,  1953,    -1,  1955,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1971,    -1,    -1,    -1,    -1,  1976,    -1,    -1,    -1,
      -1,  4589,    66,    -1,    -1,    -1,    -1,    -1,    -1,  1989,
    4598,    -1,    18,     8,    -1,    -1,    11,  1997,    24,  1999,
    2000,  2001,  2002,    -1,    -1,    -1,  2006,  2007,    -1,    -1,
      -1,    -1,    -1,    28,  2014,    -1,    -1,  2992,  2018,    -1,
       8,    36,  2022,    11,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3012,    64,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    36,    -1,
      -1,    66,    -1,    -1,    42,    -1,    -1,    -1,  2058,    -1,
    2060,    -1,  3037,    -1,    -1,    -1,  2066,    -1,    -1,    -1,
    2070,    -1,  2072,  2073,  2074,  2075,    -1,  2077,    66,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,   113,   172,    -1,
    2090,  2091,  2092,    -1,   120,    -1,    -1,   123,  3073,    -1,
      -1,    -1,    -1,  2103,  2104,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,     8,    -1,   179,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   188,   189,    -1,    -1,    -1,    -1,    -1,
     195,   177,   236,   168,    -1,   239,    -1,   172,    -1,    -1,
      36,   206,    -1,    -1,    -1,    -1,    42,  2167,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,
     168,    -1,    -1,    -1,   172,    -1,  3161,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,   236,   210,    -1,   239,    -1,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,   264,    -1,
     255,    -1,    -1,    -1,    -1,    -1,   330,    -1,   236,    -1,
      -1,   239,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   252,    -1,    11,   255,    -1,    -1,
      -1,   297,    -1,    -1,   300,   301,    -1,  3252,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,  2286,    32,    -1,    -1,
      -1,    36,   168,    -1,    -1,    -1,   172,    42,    -1,    -1,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2314,   330,    -1,   193,   194,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,   423,
     424,   425,   330,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,   437,   168,    -1,    -1,    -1,   172,    -1,    -1,
    3405,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,   193,   194,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,  3443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,   543,    -1,
      -1,    -1,   547,    -1,    -1,  2505,    -1,   252,    -1,    -1,
     255,    -1,    -1,   558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   574,
      -1,    -1,    -1,   578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   588,   589,    -1,    -1,    -1,    -1,   594,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   604,
      -1,    -1,  2562,  2563,    -1,    -1,    -1,   612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,  2579,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,     8,  3564,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2604,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,  2613,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,  2628,  2629,
      -1,    -1,    -1,  2633,    -1,    -1,   381,    -1,  2638,  2639,
    2640,    -1,   687,    -1,    -1,    -1,    66,   692,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2668,  2669,
    2670,  2671,    -1,   718,    -1,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3675,    -1,  2702,    -1,  2704,  2705,  2706,    -1,    -1,     8,
      -1,    -1,    11,    -1,  2714,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,  3703,    28,
      -1,    -1,   152,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,  3722,   168,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,
      -1,  2781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2789,
     210,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,
     845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   856,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,   879,   255,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      -1,   916,    -1,   172,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,  2888,    42,
      -1,    -1,  2892,    -1,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   948,    -1,    -1,    -1,    -1,    -1,    -1,
     330,   210,    -1,    66,    -1,    -1,    -1,    -1,   963,    -1,
      -1,    -1,   967,    -1,  2924,    -1,    -1,    -1,    -1,    -1,
     975,    -1,    -1,    -1,    -1,    -1,    -1,   236,  2938,    -1,
     239,    -1,    -1,    -1,    -1,  3920,    -1,    -1,  2948,    -1,
      -1,    -1,    -1,   252,    -1,    -1,   255,    -1,  1003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,  1013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,    -1,    -1,
      -1,  1026,    -1,    -1,  1029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,  1041,    -1,    -1,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,     8,   168,    -1,    11,    -1,   172,
      -1,     8,    -1,    -1,    11,  1070,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    28,    -1,    -1,    31,    -1,    -1,
     193,   194,    36,    -1,    -1,   344,    -1,    -1,    42,    36,
      -1,    -1,    -1,  1098,  1099,    42,  1101,   210,    -1,  4034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,  1120,    -1,    -1,    -1,    66,
      -1,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1143,   252,
      -1,    -1,   255,    -1,    -1,    -1,  1151,  1152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1160,  1161,    -1,    -1,    -1,
     273,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,    -1,    -1,  1189,    -1,    -1,    -1,  1193,  1194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1209,    -1,    -1,    -1,  4143,    -1,
    1215,    -1,    -1,    -1,   168,    -1,    -1,   330,   172,    -1,
      -1,   168,    -1,    -1,  3184,   172,  3186,    -1,    -1,  4164,
      -1,    -1,    -1,  3193,    -1,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,  3209,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,  1263,    -1,
      -1,    -1,    -1,   210,  3224,  4200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,   239,    -1,    -1,    -1,  3249,
      -1,    -1,   239,    -1,  1299,    -1,    -1,    -1,   252,    -1,
      -1,   255,    -1,  4238,    -1,   252,    -1,  4242,  4243,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,  3282,  3283,  3284,    -1,    -1,    -1,    -1,  3289,
    3290,  3291,  3292,  3293,    -1,    -1,    -1,    -1,  3298,  3299,
      -1,  3301,  3302,  3303,  3304,  3305,  3306,  3307,    -1,    -1,
      -1,    -1,  1357,    -1,    -1,    -1,  3316,    -1,  3318,  3319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1376,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    1395,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1415,    -1,  3372,  3373,  3374,    -1,    -1,  3377,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
    1435,    -1,    -1,    -1,    -1,  1440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1455,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1471,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     427,   428,   429,   430,   431,   432,  1491,    -1,    -1,    -1,
      -1,    -1,  1497,    -1,    -1,  1500,    -1,  1502,  1503,    -1,
    3460,    -1,    -1,    -1,    -1,    18,    -1,    -1,  1513,    -1,
      -1,    24,    -1,    -1,    -1,   128,    -1,  3477,  3478,  3479,
    1525,  1526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1537,    -1,     8,    -1,    49,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    -1,    28,   168,    -1,    -1,    -1,   172,
      -1,    -1,    36,    -1,  1569,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,   210,    -1,  1604,
     113,  1606,    -1,    -1,    -1,    -1,    -1,   120,  1613,    -1,
     123,  1616,    -1,    -1,    -1,  1620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1628,  1629,    -1,   239,    -1,    -1,    -1,
      -1,  1636,    -1,    -1,  1639,  1640,  1641,  1642,    -1,   252,
      -1,    -1,    -1,    -1,  1649,  1650,    -1,  1652,    -1,  1654,
    1655,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,    -1,    -1,    -1,    -1,  1674,
    1675,  1676,    -1,    -1,    -1,  1680,    -1,    -1,    -1,  1684,
      -1,    -1,    -1,  1688,    -1,  1690,  1691,  1692,  1693,  1694,
    1695,  1696,  1697,  1698,   168,  1700,    -1,    -1,   172,    -1,
      -1,    -1,    -1,  1708,  1709,    -1,    -1,    -1,    -1,   222,
      -1,   224,    -1,    -1,    -1,    -1,    -1,   330,    -1,   193,
     194,   234,    -1,   236,    -1,    -1,  3686,  3687,  3688,  3689,
      -1,    -1,  3692,   246,    -1,    -1,   210,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
     263,   264,    -1,  3713,  3714,  3715,  3716,    -1,  3718,  3719,
      -1,    -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,
    3730,  3731,    -1,    36,    -1,    -1,    -1,    -1,   252,    42,
      -1,   255,    -1,    -1,   297,  3745,    -1,   300,   301,   302,
      -1,  3751,  3752,    -1,  3754,    -1,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,
    1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1858,  1859,    -1,   330,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,   128,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
    1885,    -1,    31,  3843,  1889,  1890,    -1,    36,    -1,    -1,
      -1,    -1,  3852,    42,  1899,    -1,    -1,    -1,  1903,  1904,
      -1,    -1,  1907,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,    -1,  3873,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,  1929,    -1,    -1,  1932,    -1,    -1,
     193,   194,    -1,    -1,    -1,  3895,    -1,    -1,  1943,    -1,
      -1,    -1,    -1,    -1,    -1,  1950,    -1,   210,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,    -1,    -1,  1970,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,
      -1,    -1,  1987,  1988,    -1,    -1,    -1,    -1,    -1,   252,
    1995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3962,    -1,    -1,    -1,    -1,  2012,  2013,    -1,
      -1,  2016,    -1,    -1,    -1,  3975,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2042,    -1,    -1,
      -1,  2046,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2065,   210,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,  2076,    -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2089,    -1,    -1,   236,    -1,    -1,
     239,    -1,    -1,    -1,  2099,    -1,    -1,  4057,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2143,    -1,
    2145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2166,    -1,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,  2224,
      -1,    -1,  2227,    -1,    -1,    -1,    -1,    -1,  4188,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,  4198,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,  2261,    -1,    -1,    -1,
      -1,  2266,    -1,    -1,    -1,    -1,    -1,     8,  4228,    -1,
      11,    -1,    -1,    66,   423,   424,   425,  4237,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    28,    -1,    -1,
      31,  2296,    -1,  4253,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,  2308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,  2323,    -1,
      -1,    -1,    -1,    -1,  2329,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2347,  2348,    -1,   189,    -1,    -1,  2353,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,    -1,   206,    -1,    -1,    -1,  4326,    -1,    -1,    -1,
      -1,    -1,    -1,  2378,  2379,   168,    -1,    -1,  2383,   172,
      -1,    -1,     8,    -1,    -1,    11,    -1,  4347,    -1,    -1,
    2395,  2396,  2397,  2398,    -1,    -1,    -1,    -1,  2403,    -1,
     193,   194,    28,  2408,  2409,    31,  2411,    -1,  2413,    -1,
      36,  4371,    -1,    -1,    -1,    -1,    42,   210,  2423,  2424,
      -1,    -1,  2427,    -1,    -1,  4385,    -1,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,  2440,    -1,  2442,    -1,    -1,
      66,  2446,    -1,   236,    -1,    -1,   239,    -1,    -1,    -1,
    4410,    -1,   193,   194,    -1,  4415,    -1,    -1,    -1,   252,
    2465,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,   210,
    2475,    -1,    -1,  2478,  2479,  2480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2492,    -1,    -1,
    2495,    -1,    -1,     8,    -1,   236,    11,    -1,   239,    -1,
      -1,    -1,  2507,    -1,    -1,    -1,  4466,    -1,    -1,    -1,
      -1,   252,    -1,    28,   255,    -1,    -1,  2522,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,  2534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,   168,    -1,  2549,    -1,   172,  2552,    -1,  2554,
      -1,    66,    -1,    -1,  2559,    -1,  2561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,  2576,  2577,    -1,    -1,    -1,    -1,  2582,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,
      -1,  2606,    -1,    -1,  2609,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,  2649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2677,  2678,  2679,    -1,    -1,    -1,   193,   194,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,   210,  2701,    -1,    -1,   543,
      -1,    -1,    -1,   547,   330,  2710,    -1,  2712,  2713,    -1,
      -1,    -1,    -1,    -1,   558,    -1,    -1,    -1,  2723,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
     574,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
     255,    -1,    -1,    -1,    -1,   589,    -1,    -1,    -1,    -1,
     594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     604,    -1,    -1,    -1,  2769,    -1,    -1,    -1,   612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,  2813,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2830,  2831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2845,   356,  2847,    -1,    -1,    -1,    -1,    -1,   692,    -1,
      -1,    -1,    -1,    -1,  2859,    -1,  2861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,  2911,  2912,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,  2923,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,  2939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2950,    -1,    -1,  2953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2970,    -1,    -1,  2973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2989,    -1,    -1,  2992,    -1,    -1,
      -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,    -1,    -1,
    3005,    -1,  3007,    -1,    -1,    -1,    -1,  3012,  3013,    -1,
      -1,  3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,
    3025,    -1,    -1,    -1,  3029,  3030,    -1,    -1,    -1,    -1,
      -1,    -1,  3037,    -1,    -1,    -1,    -1,  3042,    -1,    -1,
      -1,  3046,    -1,  3048,    -1,  3050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3060,    -1,    -1,  3063,   168,
    3065,    -1,    -1,   172,    -1,    -1,    -1,    -1,  3073,  3074,
    3075,  3076,    -1,    -1,    -1,  3080,    -1,    -1,  3083,    -1,
      -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,  3097,    -1,  3099,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,   948,    -1,  3111,    -1,    -1,    -1,
      -1,    -1,  3117,  3118,    -1,    -1,    -1,    -1,    -1,   963,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
     239,   975,    -1,    -1,    -1,    21,    -1,    -1,  3143,    -1,
      -1,    -1,    -1,   252,  3149,    -1,   255,    33,    -1,    -1,
    3155,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,  1003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,  1013,
      -1,    -1,  3177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    67,  1026,    -1,    -1,  1029,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3246,    -1,   129,    -1,    -1,  3251,  3252,  3253,    -1,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
      -1,    -1,  3297,    -1,    -1,  3300,    -1,    -1,    -1,  1143,
      -1,    -1,    21,    -1,    -1,    -1,    -1,  1151,  1152,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,  1161,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,   214,  3334,
      -1,    -1,    -1,   189,    -1,   221,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,  1215,    -1,  3378,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3401,  3402,    -1,   118,
    3405,    -1,    -1,  3408,   290,    -1,    -1,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,   308,    -1,    -1,    -1,    -1,    -1,   314,    -1,
     149,    -1,    -1,    -1,   320,   154,    -1,   323,  3443,  3444,
    3445,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,   352,    -1,   354,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,    -1,
    3485,   200,   368,    -1,    -1,    -1,    -1,    -1,   374,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,  3503,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,   393,    -1,    -1,
      -1,    -1,    -1,  1357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,  3540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3550,  3551,    -1,  3553,    -1,
      -1,    -1,    -1,  3558,  3559,    -1,    -1,    -1,  3563,  3564,
      -1,    -1,   281,    -1,  3569,  3570,    -1,    -1,  3573,    -1,
      -1,  3576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,  1435,  3597,   312,    -1,   314,  3601,    -1,    -1,    -1,
      -1,   320,    -1,    -1,   323,    -1,    -1,    -1,  3613,    -1,
      -1,  1455,    -1,  3618,    -1,    -1,    -1,    -1,  3623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,    -1,   348,
     349,    -1,   351,    -1,    -1,    -1,   355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,   368,
      -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,  1502,  1503,
      -1,   380,    -1,    -1,    21,    -1,    -1,    -1,    -1,  1513,
    3675,    -1,    -1,    -1,   393,    -1,    33,    -1,    -1,    -1,
      -1,  1525,  1526,    -1,    -1,    -1,  3691,   543,    -1,  3694,
      -1,   547,    -1,  1537,    -1,    -1,    -1,    54,  3703,    -1,
      -1,    -1,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      67,    -1,  3717,    -1,    -1,    -1,    -1,  3722,   574,    -1,
      -1,    -1,    21,    80,  3729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   589,    -1,    -1,    -1,    -1,   594,  3744,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    54,   612,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,  3772,    67,    68,
      -1,    -1,   129,    -1,    -1,    -1,    -1,    76,    -1,    -1,
     137,    80,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    97,    -1,
      -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   118,
    3825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     129,  3836,  1676,    -1,    -1,    -1,   692,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,  3884,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,  3904,
      -1,   200,    -1,    -1,    -1,    -1,   263,    -1,    -1,    -1,
      -1,  3916,    -1,    -1,    -1,  3920,    -1,    -1,    -1,    -1,
    3925,    -1,   221,    -1,   281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,  3943,    -1,
      -1,  3946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,   252,  3959,   312,    -1,   314,    -1,  3964,
      -1,    -1,    -1,   320,  3969,    -1,   323,  3972,    -1,    -1,
      -1,    -1,  3977,  3978,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3996,   349,  3998,   351,    -1,    -1,  4002,   355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,    -1,   308,
      -1,   368,    -1,   312,    -1,   314,    -1,    -1,    -1,    -1,
      -1,   320,    -1,   380,   323,    -1,    -1,    -1,    -1,  4034,
    4035,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,  4044,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   351,    -1,    -1,  1899,   355,    -1,    -1,  1903,
    1904,    -1,    -1,  1907,   363,    -1,    -1,    -1,    -1,   368,
      -1,  4076,    -1,  4078,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,  4091,    -1,    -1,    -1,
      -1,    -1,   948,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   975,
      -1,    -1,    -1,    -1,    -1,    -1,  1970,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,  4143,    -1,
      -1,    -1,    -1,  1987,  1988,    -1,    -1,  1003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1013,  4163,  4164,
      -1,  4166,    -1,  4168,    -1,    -1,    -1,    -1,  2012,  2013,
    1026,    -1,  2016,  1029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4191,    -1,    -1,    -1,
    4195,    -1,    -1,    -1,    -1,  4200,    -1,    -1,  2042,    -1,
      -1,    -1,  2046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2065,    -1,    -1,    -1,    -1,    -1,  4232,    -1,    -1,
      -1,    -1,  2076,  4238,    -1,    -1,    -1,  4242,  4243,    -1,
      -1,   879,    -1,    -1,    -1,  2089,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   687,    -1,    -1,    -1,    -1,  4283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1151,  1152,  4302,    -1,    -1,
      -1,    -1,    -1,    -1,   718,  1161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,
      -1,    -1,  2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4338,    -1,    -1,  4341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4373,    -1,
      -1,    -1,    -1,  1011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,
    4395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4421,  2261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,
    4445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4455,    -1,  2296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4467,  1174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1357,  4507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,
      -1,    -1,    -1,    -1,    -1,  2409,    -1,    -1,    -1,    -1,
      -1,  1209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1435,
      -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,    -1,  4594,
      -1,    -1,    -1,  4598,    -1,    -1,    -1,  4602,    -1,  1455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1263,    -1,  1041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1502,  1503,  2492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1070,  1513,    -1,    -1,
      -1,  1299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1525,
    1526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1537,    -1,    -1,  1098,  1099,    -1,  1101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2576,  2577,    -1,    -1,    -1,    -1,  1376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,  2603,
      -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1189,    -1,  1415,    -1,  1193,
    1194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1676,    -1,  1533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2677,  2678,  2679,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2701,    -1,  1497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2723,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1635,    -1,    -1,    -1,    -1,  1640,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,  1660,
    1661,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1705,    -1,    -1,    -1,    -1,    -1,
      -1,  2845,    -1,  2847,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2859,    -1,  2861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1741,    -1,    -1,    -1,    -1,    -1,  1674,    -1,    -1,    -1,
      -1,    -1,    -1,  1899,    -1,    -1,    -1,  1903,  1904,    -1,
      -1,  1907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2911,    -1,    -1,
      -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2939,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2953,
      -1,    -1,    -1,    -1,  1970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2970,    -1,    -1,  2973,
      -1,  1987,  1988,    -1,  1845,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1857,    -1,    -1,    -1,
      -1,  1862,    -1,    -1,    -1,    -1,  2012,  2013,    -1,    -1,
    2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2042,    -1,    -1,    -1,
    2046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,
      -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,  2065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2076,    -1,  1636,    -1,    -1,  1639,    -1,    -1,  1642,    -1,
      -1,    -1,    -1,  2089,    -1,  1649,  1650,    -1,    -1,    -1,
      -1,  1655,    -1,  2099,  1658,    -1,    -1,  1885,    -1,    -1,
      -1,  1889,  1890,    -1,   879,    -1,    -1,    -1,    -1,    -1,
      -1,  1675,    -1,    -1,    -1,    -1,  1680,    -1,    -1,    -1,
    1684,    -1,    -1,    -1,  1688,    -1,  1690,  1691,  1692,  1693,
    1694,  1695,  1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1708,  1709,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,    -1,
      -1,    -1,    -1,    -1,  3208,    -1,    -1,    -1,    -1,    -1,
      -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3246,    -1,    -1,  2261,    -1,  3251,    -1,  3253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2296,    -1,    -1,    -1,  1858,  1859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3297,    -1,    -1,  3300,    -1,    -1,    -1,
      -1,    -1,    -1,  2319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,    -1,    -1,
      -1,    -1,    -1,  2409,    -1,    -1,    -1,  3401,  3402,    -1,
      -1,    -1,    -1,    -1,  3408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1209,    -1,  2224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2492,    -1,  1263,    -1,
    2351,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   879,  2374,    -1,  2376,    -1,  2378,  2379,  2380,
    2308,    -1,  2383,    -1,  1299,    -1,  2387,    -1,    -1,    -1,
      -1,    -1,    -1,  2394,    -1,    -1,    -1,    -1,  2399,    -1,
      -1,    -1,    -1,    -1,  2405,    -1,    -1,    -1,    -1,  2410,
      -1,    -1,    -1,    -1,    -1,  2561,    -1,    -1,  2419,    -1,
      -1,    -1,  2423,  2424,    -1,  2426,    -1,    -1,    -1,    -1,
    2576,  2577,    -1,    -1,    -1,    -1,    -1,  2438,    -1,  2143,
      -1,    -1,    -1,    -1,  2445,    -1,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2455,  2456,    -1,  2603,    -1,    -1,
    2606,  1376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1395,    -1,    -1,  2484,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1415,    -1,    -1,    -1,  1011,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1440,    -1,    -1,    -1,    -1,
      -1,  2677,  2678,  2679,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2701,    -1,  3691,    -1,    -1,
    3694,    -1,  2266,    -1,    -1,    -1,    -1,  2713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2723,    -1,    -1,
      -1,    -1,  1497,  3717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3729,  2597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     879,  2549,    -1,    -1,  2552,    -1,  2554,    -1,    -1,    -1,
      -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2788,    -1,  2348,    -1,    -1,    -1,    -1,  2353,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2609,    -1,    -1,  2830,    -1,    -1,    -1,    -1,    -1,
      -1,  2395,    -1,  2397,  2398,    -1,    -1,    -1,    -1,  2845,
      -1,  2847,  1209,    -1,  2408,   879,    -1,  2411,    -1,  2413,
      -1,    -1,    -1,  2859,    -1,  2861,    -1,    -1,    -1,    -1,
      -1,  2649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2440,    -1,  2442,    -1,
      -1,    -1,  2446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1011,    -1,    -1,    -1,  1263,    -1,    -1,  1674,
      -1,    -1,    -1,    -1,    -1,  2911,    -1,    -1,    -1,    -1,
    3904,    -1,    -1,    -1,  2478,  2479,  2480,    -1,    -1,    -1,
      -1,    -1,  2710,    -1,  2712,    -1,    -1,    -1,    -1,    -1,
      -1,  2495,  1299,  2939,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2507,    -1,    -1,    -1,  2953,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2816,    -1,    -1,  2522,    -1,
      -1,    -1,    -1,    -1,  2970,    -1,    -1,  2973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,    -1,
      -1,  2769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3996,    -1,  3998,    -1,  2794,    -1,    -1,  1376,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2582,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,  1395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4035,  3048,  2831,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2942,  4076,    -1,  4078,    -1,    -1,    -1,    -1,    -1,
    1209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,    -1,
    1885,    -1,    -1,    -1,  1889,  1890,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2912,    -1,    -1,  2988,    -1,    -1,
    1497,    -1,    -1,  2994,    -1,  2923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1263,    -1,    -1,    -1,    -1,  3010,
    3011,    -1,  3013,    -1,    -1,  3016,  3017,  3018,  3019,  3020,
    3021,  3022,  3023,  3024,  3025,  3026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1209,    -1,    -1,    -1,    -1,
    1299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,    -1,  3054,    -1,  3056,    -1,    -1,    -1,    -1,
    3061,  3062,  3208,    -1,  2992,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3075,  3076,  3077,    -1,  3079,    -1,
    1995,  3082,    -1,    -1,  3012,    -1,    -1,    -1,    -1,  1263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4232,    -1,
    3246,    -1,    -1,    -1,    -1,  3251,    -1,  3253,    -1,  3037,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1376,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,  1299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3073,    -1,    -1,    -1,    -1,
      -1,  3297,    -1,    -1,  3300,    -1,  1415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,    -1,    -1,
      -1,    -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1440,    -1,    -1,    -1,    -1,    -1,    -1,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2145,    -1,    -1,  3161,    -1,    -1,    -1,    -1,  1497,    -1,
      -1,  1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3401,  3402,    -1,    -1,    -1,
      -1,  4395,  3408,    -1,    -1,    -1,  1440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,    -1,
      -1,  3005,    -1,  3007,    -1,    -1,    -1,    -1,    -1,  2224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4455,   879,  1497,  3252,  3029,  3030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3485,
      -1,    -1,    -1,    -1,    -1,    -1,  3050,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3060,    -1,    -1,  3063,
      -1,  3065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3074,    -1,    -1,    -1,    -1,    -1,  3080,  3378,  1885,  3083,
      -1,    -1,  1889,  1890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3111,    -1,    -1,
    4544,    -1,    -1,  3117,  3118,  1674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,
      -1,    -1,    -1,    -1,    -1,  3149,    -1,    -1,    -1,    -1,
      -1,  3155,    -1,    -1,  1011,    -1,    -1,    -1,    -1,    -1,
    4594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1674,    -1,    -1,  3504,    -1,    -1,    -1,  3508,  3509,  3510,
      -1,    -1,  3513,    -1,    -1,  3443,    -1,  3518,  3519,  3520,
    3521,  3522,  3523,  3524,  3525,  3526,  3527,  3528,  3529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3691,    -1,    -1,  3694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3557,  3558,  3559,  3560,
      -1,  3562,    -1,    -1,    -1,  3566,  3567,  3568,    -1,    -1,
    3571,  3717,    -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3729,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3615,    -1,    -1,    -1,    -1,    -1,
      -1,  3622,    -1,    -1,    -1,  3553,  1885,    -1,    -1,    -1,
    1889,  1890,  3633,    -1,  2549,    -1,  3564,  2552,  2145,  2554,
      -1,  3787,    -1,    -1,  2559,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1263,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,    -1,  1889,  1890,  2224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2649,    -1,  1995,    -1,    -1,    -1,
    3444,  3445,  1299,    -1,    -1,    -1,    -1,  3675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3722,  2710,    -1,  2712,    -1,  3503,
      -1,  2308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1376,
      -1,  1995,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,
      -1,    -1,    -1,    -1,  3772,    -1,  3550,  3551,    -1,    -1,
    3996,    -1,  3998,    -1,  2769,    -1,    -1,    -1,  1415,  3563,
      -1,    -1,    -1,    -1,    -1,  3569,  3570,    -1,    -1,  3573,
      -1,    -1,  3576,    -1,    -1,    -1,    -1,    -1,    -1,  2794,
    3881,  3882,    -1,  1440,    -1,    -1,  2145,    -1,    -1,  4035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,
      -1,  3912,    -1,    -1,  3618,  3916,  2831,    -1,    -1,  3623,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3930,
    4076,  3932,  4078,    -1,    -1,    -1,  3937,  3938,  3939,    -1,
    1497,  3942,  3943,  3944,  3945,    -1,  3947,    -1,    -1,  3950,
      -1,    -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2224,    -1,    -1,    -1,    -1,
      -1,  2145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3920,    -1,    -1,    -1,    -1,  2912,    -1,  4000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2923,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2549,    -1,    -1,  2552,    -1,  2554,    -1,  2308,
    2224,    -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4097,  3012,    -1,    -1,
      -1,    -1,  2609,    -1,    -1,    -1,  4034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,    -1,    -1,
      -1,  3825,  3037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3073,    -1,
      -1,  4162,  4163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4178,  4179,  4180,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4203,  2710,    -1,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4164,    -1,    -1,    -1,
      -1,    -1,  3946,    -1,    -1,    -1,  3161,    -1,    -1,  4395,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4200,    -1,  3978,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,
    2549,    -1,    -1,  2552,    -1,  2554,    -1,    -1,    -1,    -1,
    2559,    -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,  4455,
    4238,    -1,    -1,    -1,  4242,  4243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2831,    -1,    -1,    -1,  1885,  4330,
      -1,    -1,  1889,  1890,    -1,    -1,    -1,  3252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4346,    -1,    -1,    -1,    -1,
    2609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2549,    -1,    -1,  2552,    -1,
    2554,    -1,    -1,    -1,    -1,  2559,    -1,    -1,    -1,  2896,
    2649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2923,    -1,    -1,  4420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2609,    -1,    -1,  1995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,
      -1,  2710,    -1,  2712,    -1,    -1,  4602,    -1,    -1,    -1,
      -1,    -1,  4166,    -1,  4465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2992,    -1,  4191,    -1,    -1,
    3405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3012,    -1,    -1,    -1,  4510,
    2769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3443,    -1,
    3037,    -1,    -1,    -1,    -1,  2794,  2710,    -1,  2712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4566,  3073,    -1,    -1,    -1,
      -1,    -1,  2831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2145,    -1,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,    -1,  4302,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,  3553,  2813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3564,
      -1,    -1,    -1,  2912,  3161,    -1,    -1,  2831,    -1,    -1,
      -1,    -1,    -1,    -1,  2923,    -1,    -1,  2224,    -1,  4373,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,  2912,    -1,
    4444,  4445,    -1,    -1,    -1,  3252,    -1,    -1,    -1,  2923,
      -1,  2308,    -1,  3012,    -1,    -1,    -1,    -1,    -1,    -1,
    3675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3037,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4507,    -1,    -1,    -1,  3722,    -1,    -1,
      -1,    -1,    -1,    -1,  3073,    -1,    -1,  4521,  2992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3012,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,
      -1,    -1,    -1,  3037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,  3073,
      -1,    -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,
      -1,    -1,  2549,  3252,    -1,  2552,    -1,  2554,    -1,    -1,
      -1,    -1,  2559,    -1,    -1,  3920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,
      -1,    -1,  2609,    -1,    -1,    -1,    -1,  3564,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,    -1,
      -1,    -1,    -1,  2710,    -1,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3675,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2769,    -1,    -1,  3722,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,
      -1,  3405,    -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4164,
      -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,  3443,
      -1,    -1,    -1,    -1,  2831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3564,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4238,    -1,    -1,    -1,  4242,  4243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2923,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3920,    -1,    -1,  3675,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3012,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,    -1,    -1,  3073,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4034,    -1,  3703,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3722,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,
      -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4164,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4200,    -1,  3252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4238,    -1,    -1,    -1,  4242,  4243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4143,    -1,  3443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4238,
      -1,    -1,    -1,  4242,  4243,    -1,    -1,    -1,    -1,    -1,
    4164,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3564,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,  4242,  4243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,  3675,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,  3703,    -1,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,  3722,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,    -1,
      -1,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,  3772,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,    -1,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,    -1,   183,   184,   185,   186,    -1,    -1,    -1,    -1,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,  3920,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,    -1,    -1,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,  4034,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,  4238,    -1,    -1,    30,  4242,  4243,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,   429,    -1,    -1,    -1,    -1,    -1,    -1,
     436,   437,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   436,   437,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,   437,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
     429,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,     3,     4,     5,     6,     7,   436,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,     3,     4,     5,     6,
       7,   436,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,    -1,     9,    10,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,    -1,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,   251,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,   427,   428,   429,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,
       8,     9,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,     3,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     429,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,    -1,
     237,   238,   239,   240,    -1,    -1,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,   416,
     417,   418,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   429,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,   429,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   429,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,     4,     5,    -1,    -1,    -1,     9,    -1,
     427,   428,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
       9,    -1,   427,   428,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,   152,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,   427,   428,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      -1,    68,    69,    70,    71,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,   251,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
     239,   240,    -1,    -1,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,    -1,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,   239,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,
      -1,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,    -1,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   485,   486,   489,   490,
     491,   503,   506,   507,   523,   560,   563,   566,   567,   568,
     575,   581,   583,   585,   586,   589,   592,   593,   597,   598,
     607,   611,   612,   613,   614,   615,   617,   618,   619,   632,
     633,   637,   639,   640,   641,   651,   653,   660,   661,   664,
     665,   666,   667,   668,   673,   675,   678,   682,   686,   687,
     697,   698,   701,   706,   717,   739,   742,   743,   744,   747,
     750,   752,   754,   757,   758,   761,   762,   763,   770,   771,
     773,   774,   775,   780,   782,   783,   787,   788,   791,   792,
     793,   794,   796,   797,   798,   799,   801,   804,   805,   810,
     816,   819,   821,   822,   827,   829,   833,   840,   844,   845,
     846,   847,   848,   849,   852,   880,   361,   403,   776,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   582,   776,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   841,   997,
    1010,  1014,  1015,   391,   806,   250,   277,   776,    44,   514,
     845,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   524,
     565,   656,   707,   718,    22,   276,   997,   841,    22,   271,
     321,   352,   354,     5,   199,   748,   749,  1006,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   582,   669,   776,   997,
      83,   391,   436,   560,   563,   566,   805,   811,   819,   822,
     827,   833,   840,   844,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   683,   684,
     841,  1005,  1009,    22,    83,   292,   319,   688,   689,   690,
    1010,  1010,  1002,  1006,   349,   855,   683,  1010,   361,   997,
     263,   221,    97,   175,   348,   349,   755,   313,  1010,    22,
     324,   357,   361,   472,   481,   482,  1010,    19,   157,   688,
     689,   277,   776,  1010,   198,    22,   115,   857,    55,    77,
     214,   229,   308,   314,   324,   357,   361,   406,   469,   470,
     471,   472,    22,   324,   357,   361,   472,   361,   251,   891,
     995,  1010,   855,   429,  1010,   153,   436,   807,   436,   990,
     290,   850,   851,   997,   845,   846,   849,     0,   439,   806,
     130,   189,   256,   373,   858,   859,   845,   847,   848,   108,
     185,   379,   440,     3,    38,    44,    67,    73,    84,    90,
     151,   153,   168,   181,   193,   194,   196,   208,   210,   231,
     239,   259,   261,   307,   330,   391,  1003,  1010,  1011,  1014,
    1016,   671,  1010,   671,   998,  1010,   280,   671,   363,   671,
     997,  1010,    96,   349,   696,  1003,     3,  1007,  1012,  1014,
    1015,  1016,    22,   167,   995,   245,   393,     8,    62,   141,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   746,
     957,   958,  1010,    22,  1007,   997,   997,   167,   995,   997,
     301,   326,    22,   167,   891,   997,   316,   997,   671,    22,
     219,  1007,   167,   995,   199,   105,   195,   236,   286,   777,
     778,   779,   995,  1001,  1010,    21,    54,    67,    68,    76,
      80,    97,   118,   129,   137,   149,   154,   175,   200,   221,
     252,   308,   312,   314,   320,   323,   349,   351,   355,   363,
     368,   393,   582,   676,  1006,   995,   359,  1003,   997,   436,
     671,   363,   998,   671,   363,   167,   997,    96,   349,   352,
     354,  1007,   352,   354,    62,   141,   746,   299,  1007,   167,
     465,  1010,   997,   997,   316,   997,   671,   219,  1007,   290,
     320,   349,   393,   221,    80,   175,   154,   312,   367,   576,
      22,   997,   842,   479,  1006,  1012,   749,   167,  1003,   997,
     167,   753,   167,   998,   363,    96,   349,   167,  1003,   167,
    1007,  1008,    73,   393,    62,   141,   167,   746,    48,   167,
    1008,   167,   997,   167,   997,   167,   997,   316,   167,   997,
     167,   219,  1008,   199,   167,   670,   671,   436,   820,   524,
     811,   387,   805,   812,   813,   814,  1012,   806,  1009,   684,
     685,    22,   685,  1009,   685,    22,   685,  1009,   685,   685,
     685,  1009,  1005,  1005,   841,   685,   280,   436,   436,   543,
     543,   543,   250,   359,   440,   543,   891,   892,   440,   772,
    1006,   436,   817,    48,   393,   997,   997,   995,  1010,    38,
     418,   195,   438,   253,   253,   250,   152,  1006,   359,   147,
     679,   250,     4,     6,     7,     8,    10,    30,    43,    45,
      46,    53,    54,    57,    58,    65,    67,    87,    88,    89,
      90,    91,    92,    93,   100,   101,   119,   135,   139,   140,
     145,   159,   187,   188,   190,   207,   215,   216,   230,   232,
     236,   241,   242,   244,   252,   262,   272,   287,   310,   325,
     332,   345,   357,   358,   362,   364,   365,   374,   380,   388,
     408,   409,   410,   411,   412,   413,   414,   415,   427,   428,
     429,   436,   845,   907,   910,   913,   914,   915,   917,   918,
     919,   920,   923,   924,   928,   930,   931,   932,   934,   955,
     959,   978,   983,   991,   992,   993,  1003,  1004,  1005,  1006,
    1010,  1006,    22,   487,   994,   995,   324,   469,   103,   478,
    1006,   479,  1006,    38,    59,   469,   418,   333,   778,   253,
     152,   359,   423,    38,   418,   195,   779,   436,   995,   429,
     434,   438,   984,   985,   892,   151,   153,   391,   802,   803,
     805,   151,   808,   103,   928,   988,   989,   850,   440,   436,
     809,   437,   437,   445,   995,    22,   115,   856,   856,    48,
     856,   142,   147,   211,   248,   862,   864,   865,   874,   876,
     877,   878,   858,   859,   152,   191,   891,   893,   990,   436,
     730,   985,   264,   297,   326,   438,   672,   264,   297,   326,
     264,   297,   326,   400,   447,   480,   483,   702,    18,   120,
     264,   297,   326,   384,   494,   997,   326,    18,   120,   379,
     462,   404,   167,   891,    50,    82,   138,   170,   206,   236,
     264,   297,   305,   311,   318,   326,   335,   343,   395,   480,
     484,   733,   740,   436,   719,   297,   462,   172,   135,    18,
      24,    64,   113,   120,   123,   177,   234,   236,   246,   254,
     264,   297,   300,   301,   326,   384,   492,   493,   601,     4,
     427,   428,   573,  1009,    22,   167,   995,   671,   671,   436,
     745,   438,   172,   454,   297,   447,   454,   250,   264,   297,
     135,    49,    95,   174,   222,   224,   234,   263,   297,   302,
     326,   337,   492,   569,   570,   571,   264,   297,   392,   601,
     609,   482,   470,   472,   172,   135,   297,   326,   492,   264,
     297,   301,   326,    74,   112,   265,   353,   250,    18,    24,
     120,   264,   297,   326,   504,   505,   454,   147,   297,   447,
     454,   135,   297,   326,   492,   997,   209,   105,   251,   405,
     440,   777,   381,   800,   250,  1003,   436,   997,   363,    96,
     349,  1003,   245,   393,    62,   141,   746,   997,   316,   997,
     199,   671,   543,   283,   509,   436,   646,   730,    60,     3,
      43,    45,    46,    57,    58,   100,   101,   145,   187,   188,
     190,   230,   232,   244,   287,   327,   332,   357,   358,   388,
     904,   906,   908,   910,   912,   914,   915,   916,   918,   919,
     923,   924,  1011,  1014,   152,   436,   642,   997,   447,    31,
     795,   997,   236,   447,   404,   167,   995,   447,   671,   671,
     642,   377,   524,   447,   236,    38,   466,   368,   608,   264,
     584,    74,   112,   265,   353,    20,    40,   186,   620,    31,
     642,   147,   447,   393,   995,   167,   561,   995,   995,   393,
     671,    73,   708,  1003,   997,   582,    44,    94,   184,   234,
     315,   135,   730,    51,   303,   495,   135,   436,   135,   404,
     135,   719,   135,   440,   167,   670,   167,   671,   167,   671,
     135,   745,  1008,   135,   135,   250,   135,   495,   135,    74,
     112,   265,   353,   135,   250,   135,   147,   167,   167,   479,
     135,   440,   495,   928,   962,   349,   437,   440,   140,   250,
     365,   476,   479,   573,   815,   811,   685,   841,   685,   841,
     685,   841,   685,   841,   685,   841,   841,   841,   685,   841,
     436,   544,   545,  1010,   544,    22,    97,   118,   149,   154,
     199,   200,   314,   320,   349,   351,   368,   691,   994,  1008,
     690,   172,   440,   830,  1006,   904,   965,    31,  1008,   708,
     148,   756,   756,   756,   209,  1010,   147,   147,   691,  1008,
     313,  1010,   479,   250,   436,   986,   434,   845,   966,   390,
     921,   928,   982,   436,   921,   921,   436,   147,   436,   436,
     436,   909,   909,   274,   845,   436,   436,   911,   436,   436,
     436,   436,    57,    58,   921,   928,   436,   909,   436,   436,
     436,   436,   436,   402,   422,   436,   925,   436,   925,   436,
     436,   845,   436,   436,   436,   436,   436,   436,   436,   436,
     928,   928,   845,   928,   962,   985,  1006,    58,   436,   922,
     436,  1006,     3,     8,    11,    28,    31,    36,    42,    66,
     168,   172,   193,   194,   210,   236,   239,   252,   255,   330,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   957,
     959,   961,   401,   943,   261,   928,   191,   853,   440,   436,
    1006,   985,   106,   169,   488,   440,    59,   103,   479,    31,
       3,   103,   214,   477,   573,   924,  1006,  1006,    78,   117,
     940,    86,   103,   473,   474,   476,   573,   103,   473,   209,
     995,   928,     3,    22,    26,    27,    28,    29,    30,    31,
      32,    35,    47,    53,    54,    60,    66,    68,    76,    83,
      87,    88,    89,    91,    92,    93,   103,   105,   111,   115,
     116,   122,   126,   130,   140,   142,   147,   149,   152,   157,
     160,   162,   172,   179,   189,   191,   202,   205,   211,   215,
     216,   236,   241,   248,   250,   251,   255,   256,   270,   278,
     292,   304,   319,   325,   334,   346,   349,   356,   359,   360,
     365,   373,   374,   380,   381,   389,   396,   397,   399,   400,
     429,  1000,  1013,  1014,  1015,  1016,  1017,   984,    79,   302,
     674,   437,   440,   806,   437,   440,   851,   996,   997,    31,
     809,   847,   847,   860,   861,   928,   847,   144,   233,   871,
     197,   234,   286,   328,   379,    22,   866,   928,   427,   428,
     867,   868,   928,   930,   874,   875,   865,   864,   862,   863,
     147,   877,   246,   879,   862,   874,   893,   995,    31,  1010,
     326,   172,   182,   256,   258,   327,   389,   429,   723,   724,
     725,   727,   729,   731,   904,  1011,   264,   297,   326,   359,
     359,   314,  1000,   438,   359,   359,   314,   359,   359,   351,
     469,   789,   147,   157,   172,   306,   703,   704,    60,    76,
     131,   149,   278,   374,   540,   541,    76,   103,   236,   359,
      76,   359,   103,   236,   314,    76,   113,   123,   264,   297,
     638,   314,   590,    21,    54,    67,    80,   118,   129,   149,
     154,   221,   252,   314,   320,   323,   349,   355,   368,   393,
     582,   997,   135,   297,   326,   492,   250,   573,   318,   206,
     359,   359,   241,   573,   107,   192,   314,   324,   361,   471,
     303,   326,   733,   741,   437,   720,   723,   359,   380,   351,
     995,    68,   131,   531,   540,  1010,    68,    76,   759,   250,
     312,   363,    76,   759,    25,   300,   312,   363,   995,   177,
     246,   671,   436,   359,   359,   166,   436,   499,   351,   400,
     402,   499,    76,   440,     4,     4,   264,   172,   135,   297,
     326,   492,   381,   381,   235,   904,   264,   326,   746,    97,
     326,   483,   359,   449,   483,   995,   359,   359,   995,   573,
      48,   572,   573,   573,    95,   222,   224,    48,   359,   447,
     314,   447,   381,   234,   571,   359,   359,   241,  1006,   601,
     351,   891,    76,   359,   759,   314,   359,   359,   499,   499,
     671,   671,   671,   671,   995,    37,   386,    37,    37,   359,
      37,   359,   314,   440,   483,    93,   380,   616,  1007,   359,
     449,   483,   995,   359,   314,   264,   297,   286,   298,   322,
     475,   777,  1001,  1010,   995,   730,   904,   250,   404,   719,
     573,   671,   671,   745,   193,   250,    74,   112,   265,   353,
     250,   671,   193,   400,   515,   340,   341,   510,  1006,     3,
     647,   648,   642,   436,   906,    31,    30,   905,    98,   165,
     223,   226,   317,   416,   436,   926,   927,   672,   909,   671,
     643,   644,  1013,    20,   784,   904,   250,   135,   587,   997,
     236,   436,   448,   656,   381,   290,   393,   448,   135,  1007,
      83,   157,   467,   523,   567,   619,   686,   706,   780,  1006,
     609,   610,   997,   217,   671,   671,   671,   671,   246,   108,
     185,   366,   379,   621,   622,   127,   285,   436,   616,   448,
     995,   569,   570,   236,    31,   246,   436,   543,   543,   564,
     995,   147,   709,  1001,   436,   721,    31,   199,   400,   402,
     843,   315,  1003,   495,   904,   998,   167,   997,  1003,   495,
    1008,  1007,   135,   495,   135,   381,   135,   381,   746,   495,
     495,  1008,   997,   671,   997,   997,   997,   671,  1008,   616,
     135,   135,   495,   670,   671,   437,   440,   995,   811,   813,
     841,   841,   841,   841,   841,   841,   544,   437,   440,   437,
     155,   321,   350,   996,   670,    96,   323,   695,   696,   996,
     245,   996,   994,   994,   996,   670,   359,   400,   699,    16,
     133,   310,   328,   831,   891,   240,   832,   437,   440,   818,
     822,   827,   833,   844,   359,   995,   689,   688,   689,   152,
     158,   700,  1010,    21,    68,    97,   118,   129,   149,   154,
     200,   221,   308,   314,   320,   349,   351,   368,   393,   582,
     680,   962,   984,   435,   962,   966,   967,   436,   396,   979,
     980,   928,   962,   436,  1005,  1005,   962,     3,    98,   165,
     223,   226,   317,   416,   968,   969,  1006,  1005,   962,   962,
    1005,  1005,   921,   921,   928,   746,   928,   970,   427,   428,
     929,   930,   955,   959,   972,   437,   962,   928,   962,   973,
     357,   418,  1005,  1005,   928,    47,   152,   205,   360,   928,
     962,   976,   962,   228,   930,   928,   938,   939,   940,   228,
     928,   940,   437,   440,   326,  1005,  1005,   926,   904,   928,
    1013,   357,    35,   346,   987,   671,   928,   436,   845,   977,
     115,   117,   140,   236,   241,   246,   365,   375,   928,    42,
     168,   172,   210,   330,   436,   928,   359,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,    22,    29,   334,
     956,   160,   143,   944,   310,   436,   955,   156,   214,   349,
     352,   354,   377,   854,   995,   152,   881,   993,    22,   115,
     389,   429,   437,   725,   928,   963,   964,  1011,   995,   361,
     436,  1006,   440,   437,   435,   441,   166,   166,   495,   995,
     803,   804,   995,   988,   437,   440,   436,   440,    32,   111,
     381,   715,   310,   311,   427,   428,   868,   870,   930,   328,
     197,   251,   440,     4,   869,  1005,   869,   310,   311,   870,
     994,   832,   875,   863,   381,   828,   103,   436,   823,   844,
    1010,   436,   834,   835,   836,   837,   838,  1010,   258,    48,
    1011,   437,   725,   727,   724,   727,  1011,   256,   437,   440,
     672,   359,   359,   314,  1007,   997,   997,  1000,  1007,   997,
     997,  1007,   998,   997,    75,   790,   308,   380,   688,   314,
     157,   688,   436,   997,   381,   710,   197,   197,   381,   436,
     559,   167,   997,   241,  1007,   997,   997,   928,   241,   997,
     997,    25,   300,   359,   359,   997,   359,   591,  1003,   436,
     671,   671,   671,   363,    96,   349,   696,   393,    62,   141,
     746,   997,   671,   997,   671,   316,   671,   671,   199,   161,
     234,   264,   297,   385,   594,   595,   596,   891,   359,   759,
     314,   241,   107,   192,  1007,   997,   250,   997,   437,   440,
    1007,  1008,   997,   297,   492,   531,   904,   997,  1010,   997,
     997,    22,   380,   997,   167,   997,   167,  1010,   312,   363,
     312,   363,   997,    22,   380,   997,   995,    18,   120,   326,
     602,   603,   604,   605,  1013,  1007,   997,   103,   153,   237,
     381,   498,   501,   502,  1013,   997,   249,    64,   249,   997,
     493,   359,   351,   995,   359,   759,   314,   999,  1010,   999,
     440,   437,   440,   359,   314,   998,  1007,     3,    75,   125,
     177,   269,   372,   380,   383,   450,   297,  1007,   997,   297,
     326,   492,   569,   570,   573,   671,   997,   573,   997,   573,
     999,  1007,   997,   997,   297,   326,   492,   997,   997,   997,
     997,  1007,   997,    18,    24,   120,   264,   297,   326,   264,
     297,   326,   642,   297,   326,   297,   326,   297,   903,  1010,
     167,   652,  1010,   167,  1010,  1007,   997,   997,   997,    18,
     505,   323,  1007,   297,   326,   492,   997,   997,   359,   359,
      72,   371,   286,   193,    31,   671,   193,   193,   381,   381,
     193,   241,   677,  1006,   671,   671,   193,   677,   249,   152,
     359,   508,   447,   423,   437,   440,   928,    30,   905,   904,
     434,   434,   359,   359,   359,   436,   359,  1005,   909,   437,
     440,   423,   621,    75,   124,   203,   204,   217,   264,   351,
     353,   785,   533,  1013,   997,   152,   314,   392,   588,   595,
     596,   135,   210,   525,   527,   529,   531,   537,   540,    19,
     172,   308,   347,   450,   451,   147,   999,   393,   995,   465,
    1010,   466,   255,   524,   149,  1006,   642,   642,   642,   642,
     246,   250,   255,   436,   642,   901,   902,   903,   323,   436,
     381,   135,   134,   844,   671,   525,  1010,   400,   402,   555,
     400,   500,    31,   543,  1006,   250,   437,   722,   723,   728,
      31,   199,   305,   399,   732,   733,   734,   250,   479,   164,
     164,   147,   730,    31,   135,   495,   719,   670,   671,   999,
     671,   999,   745,   250,   495,   495,   250,   495,   323,   147,
     479,   495,   928,   437,   545,   172,   172,   172,   404,   996,
     440,   573,   574,   160,   692,   693,  1007,    19,   700,   133,
     328,   133,   328,   310,   379,   225,   904,   997,   400,   562,
     152,   250,   692,    48,   495,  1003,   363,   349,  1003,   245,
     393,   199,   671,   437,   435,   435,   440,   962,   928,   122,
     980,   981,    31,   437,   928,   437,   437,   437,   437,   152,
     437,   437,   437,   437,   437,   440,   437,   270,   971,   437,
     929,   929,    11,   172,   193,   252,   423,   424,   425,   427,
     428,   429,   430,   431,   432,   959,   929,   437,   437,   147,
     152,   974,   975,   437,   418,   437,   437,    31,   976,   962,
     976,   976,   152,   437,   437,  1013,   268,   942,    31,   437,
     440,   928,  1013,   440,   928,   986,   928,  1010,   437,   437,
     418,   929,   929,   128,   962,   152,   115,   117,   140,   241,
     246,   365,   375,   436,   128,   346,   987,   928,   977,   928,
     359,   746,   928,   436,   845,   436,   436,   260,   948,   352,
     354,   352,   354,   995,   855,   855,   855,   202,   311,   436,
     845,   882,   883,   884,   891,   894,   931,   933,   934,  1003,
    1010,   397,   899,   963,   963,   964,   437,    13,   440,   858,
     859,   778,  1005,   926,   474,   928,   809,   997,   818,   861,
     252,   957,   960,   419,   420,   716,     4,  1005,   870,   251,
     379,   867,   882,   397,   900,   387,   824,   825,  1010,   304,
     826,   838,   839,   440,   881,   423,   986,   731,   672,   727,
     727,    48,   729,   431,  1007,   997,   997,   211,  1008,  1008,
     250,   996,   253,   250,   928,   541,   999,   436,   436,   436,
     559,   175,   544,   630,   135,   495,   359,  1007,   997,   479,
     730,   904,   997,   404,   671,   671,   671,   671,   745,    74,
     112,   265,   353,   997,   577,   997,   161,   385,   359,   359,
     577,   594,   601,   297,   326,   492,   997,   997,   997,   183,
     241,   723,   263,   326,   359,   254,   599,   630,   120,   301,
     326,   494,   601,   760,   135,   495,   135,   495,   997,   997,
     997,   997,   604,   605,   604,   437,   440,   606,  1006,   175,
     437,   440,   423,   438,  1007,   997,   297,   326,   492,   997,
     997,   997,   264,   297,   326,    18,   120,   264,   297,   326,
     904,   235,   904,  1007,   997,   211,   269,   241,  1006,   269,
    1008,   378,   359,   359,   314,   381,   400,   263,   326,   359,
     759,   314,   359,   359,   219,   219,   219,   359,   359,   314,
     359,   359,   314,   359,   314,   359,   314,   359,   495,   904,
     236,  1006,   326,   760,   135,   495,   359,   997,   359,   314,
    1007,   997,   677,   904,   193,   677,   677,   999,   999,   677,
     193,   193,   677,   509,   436,   511,   512,   252,   427,   428,
     573,   645,   727,   960,  1006,  1017,     3,   648,   437,   434,
     437,  1005,   435,  1005,   165,   223,   927,   223,   927,   927,
    1005,   226,   437,   644,   645,   250,   211,   423,   786,   786,
     786,   786,   786,   786,   786,    60,    66,    76,   103,   105,
     179,   236,   241,   278,   292,   374,   534,   535,   536,   134,
     396,   447,   479,   997,   479,   599,   995,   995,   437,   440,
    1008,   160,   308,  1008,  1005,   368,   995,   543,    38,   466,
     299,   349,    96,   500,   544,   995,   622,   649,   650,  1006,
     437,   440,   997,   544,   999,   995,   997,   562,   436,   526,
     437,   249,   499,   249,   250,   556,   499,    31,   844,   500,
     359,   995,   437,   440,   103,   423,   735,  1006,   479,   349,
     726,   727,   400,   734,   736,   108,   185,   319,   379,   768,
     161,   844,   495,   904,   997,   495,   495,   381,   495,   381,
     495,   495,   671,   671,   997,   616,   495,   314,   314,   314,
     996,   696,   440,  1007,   400,   440,   694,   253,   133,   133,
      96,   234,  1008,   691,   495,  1007,   730,   719,   573,   671,
     193,   966,   437,   356,   928,   126,   904,   437,   928,   928,
     928,   974,   904,   929,   115,   117,   236,   246,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   928,   928,
     975,   974,   925,   925,   904,   437,   437,   437,   962,   437,
     440,    48,   930,   437,  1013,   939,   275,   344,   941,   437,
     440,   392,   935,    31,   437,   922,  1006,   928,    28,    28,
     928,   437,   928,   152,   436,   965,   928,   929,   929,   128,
     128,   928,   437,   128,   928,   859,   397,   436,   949,  1010,
     855,   855,   855,   855,   995,   995,   995,   845,   894,   152,
     845,   883,   884,    31,   885,   886,  1010,   440,    84,   153,
     181,   196,   208,   231,   307,   888,   886,    31,   885,   887,
    1010,   421,   898,   436,   985,   928,   160,   872,   440,   858,
     858,   858,   928,   389,   964,   437,   437,   435,   437,   436,
     716,   251,    86,   928,   826,   437,   440,   986,   992,   437,
     440,   835,   900,   988,   437,   431,   731,   368,   786,   155,
     321,   350,   369,   705,   147,   705,   437,   436,   547,   548,
     712,   933,  1010,   544,   544,   630,  1001,   437,   105,   179,
     234,   236,   631,   997,   997,    31,   997,   381,   381,   671,
     671,   671,   671,   672,  1007,   997,   359,   759,   314,   359,
     183,    48,   351,   997,   436,   533,   236,   499,    96,   236,
     339,   342,   499,   368,   997,  1010,   603,   997,   502,   645,
    1013,   263,   326,   359,   759,   314,   359,   359,   359,   314,
     154,   252,   342,   654,   655,   154,   252,   662,   663,   359,
     359,   314,   437,   437,   437,  1009,  1006,  1006,  1006,   997,
     997,   997,   999,   499,    48,   351,   997,   997,   997,   997,
     997,   147,   147,   299,   147,   167,  1007,   997,   997,  1007,
     997,   997,   997,   997,   997,   997,   997,    66,   496,   135,
      20,    40,   368,  1010,   997,   601,   997,   997,   437,   677,
     193,   193,   677,   677,   510,   518,   519,  1013,    44,    85,
     109,   124,   128,   148,   151,   163,   241,   249,   284,   513,
     630,  1005,   400,   402,   435,   435,   437,   926,   995,   786,
     103,  1005,  1006,   103,  1006,   103,  1006,   103,  1006,   103,
     997,   103,   997,   103,   997,   436,   671,   997,   929,   106,
     169,   105,   241,   197,   995,   736,   282,   634,   635,  1010,
     587,   436,   538,   323,   529,  1008,  1008,   904,   436,   500,
    1007,   995,   404,   147,   623,   437,   440,   903,   599,   437,
     400,   246,   436,   820,   528,   530,   532,   540,  1010,   555,
     178,   554,    71,   351,   557,   844,   562,   557,  1006,   710,
     728,   928,   928,   440,   436,   732,   642,   359,   577,   437,
     495,   999,   999,   495,   495,   323,   996,   996,   996,   573,
     157,   693,    96,   700,   152,   193,   193,   193,   193,   241,
     681,  1006,   928,   437,   437,   975,   152,   115,   117,   246,
     436,   437,   407,   937,   962,   291,    48,   398,   398,   437,
     928,   234,   928,   440,   936,   906,   926,   929,   929,   928,
     965,   437,    28,    28,   928,   928,   128,   928,   437,   437,
     928,   950,  1010,   995,   995,   995,   995,   886,   887,   436,
     437,  1010,   436,   883,   196,   259,   889,   883,   889,   196,
     888,   889,   196,   436,  1010,   436,   963,    48,   162,   873,
     437,   437,   437,   964,  1006,  1006,   746,   246,   844,   825,
     423,   838,   826,   368,   437,  1009,   359,   688,   152,   630,
     928,   437,   440,   400,    66,   713,   713,   437,   437,   736,
     106,   169,   177,   105,   383,   495,   904,   999,   999,   997,
     997,   997,   997,  1008,   997,   600,   604,   241,   241,  1009,
    1010,   904,   495,   495,   423,    48,   351,   997,   997,   997,
     997,  1007,   997,   997,  1005,  1005,   904,   440,  1005,  1005,
     440,  1007,   997,   997,   400,  1008,   997,   359,   996,   996,
     671,   996,   135,   671,  1006,  1006,   904,   495,   495,   193,
     677,   677,   381,   516,   517,   437,   440,   429,   436,   476,
     520,   573,   795,  1006,   795,   236,   241,   284,   795,   795,
     435,   154,   182,   154,   152,   629,  1009,   928,   236,   535,
     736,   543,   381,   558,  1003,    28,   134,   172,   525,   132,
     173,   997,   381,   544,    31,   466,   436,   997,   121,   624,
     396,   626,  1006,   500,   499,   671,   525,   562,   437,   440,
     400,   556,   436,   555,   108,   120,   275,   997,   400,   781,
     152,   436,  1006,   725,   737,   738,  1011,   736,   995,   180,
     578,   495,   495,   495,   997,   253,   495,   692,   681,   681,
     681,   681,   929,   152,   436,   965,   436,   437,   440,   437,
     930,   291,   437,   386,   336,   437,   437,   437,   929,   929,
     928,   437,   267,   951,   895,   896,   933,   885,   436,   996,
     883,   250,   381,   890,   883,   196,   883,   902,   436,   902,
    1010,   858,   962,   928,   399,   945,   858,   926,   437,   841,
     990,   692,   250,   692,   437,   736,   548,   252,   746,   671,
     381,   671,   714,   714,   292,   736,   558,   437,   359,   326,
     832,   437,   440,   496,   645,  1008,   997,   359,   436,  1003,
     746,   655,   436,   436,   663,   499,   326,   832,   997,   400,
     299,   400,   400,   147,   496,   677,   447,   110,   519,   476,
     521,   522,  1006,  1006,   241,   544,   429,   544,  1006,  1006,
     696,    31,   751,   751,   995,   630,   437,   558,   220,   546,
     175,   436,   635,   282,   436,   437,    22,    70,    77,   104,
     176,   342,   539,   539,   599,   999,   437,   844,   599,   310,
     338,   625,   436,   134,    31,   526,   437,   530,   254,   557,
     994,   556,   311,   311,    52,    60,   214,   671,   711,   712,
     727,   437,   440,   899,   577,   234,   385,   579,   580,   495,
     929,   965,   437,   938,   962,    48,   234,   417,    48,   858,
     437,   440,    31,   897,   996,   437,   928,   436,   883,   890,
     437,   902,   437,   437,   946,   947,  1010,   437,   694,   705,
     495,   713,   558,   436,   671,   715,   715,   995,   558,   630,
     997,   351,   604,   381,   497,   326,   832,   997,   965,   719,
     147,   658,   745,   965,   965,   351,   670,   671,   670,   671,
     996,   495,   511,  1006,   437,   440,   544,   751,    34,   171,
     147,   234,   542,   153,   266,   331,   250,   550,   551,   552,
     351,   437,  1003,     5,   636,   323,   141,   657,   500,   781,
     928,   282,   844,   555,   554,   533,   437,   557,    60,   253,
      60,   437,   440,   732,   737,   116,   385,   577,   437,   437,
     437,   291,   386,   962,   285,   311,   952,   898,   895,   436,
     437,   996,   437,   440,    31,   152,   714,   397,   549,   746,
     716,   716,   543,   630,   997,   928,   351,   437,   256,   316,
     289,   659,   658,   437,   437,   997,   400,   522,   121,   177,
     108,   379,   250,   552,   250,   551,   997,   436,   437,   440,
     997,   671,    31,    31,   437,  1003,   781,   556,   555,   253,
     253,   500,   712,   736,    23,   186,   769,    42,    86,   370,
     928,   953,   954,   953,   437,   902,   437,   947,   949,   692,
     715,   436,   630,   437,   546,   832,   997,  1003,    48,   659,
     832,   671,   310,    51,   234,   303,   326,   553,   553,   437,
       5,   599,   654,   844,   436,   557,   556,   557,   237,   436,
     764,   766,   771,   822,   827,   833,   844,   954,   310,   146,
     273,   146,   273,   437,   495,   716,   928,   550,   832,   719,
     671,   626,    17,   103,   241,   781,     4,   627,   628,  1005,
    1006,  1013,   557,   899,   765,   766,   767,   845,   846,    28,
     437,   630,   134,   437,   440,   437,   439,   954,   282,   628,
     767,  1003,   436,   627,   437
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   457,   458,   458,   459,   459,   460,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   466,
     466,   467,   467,   467,   467,   467,   467,   468,   468,   468,
     469,   469,   469,   470,   470,   470,   470,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   471,   472,   472,
     473,   473,   474,   474,   475,   475,   475,   475,   476,   476,
     476,   476,   477,   477,   477,   477,   477,   477,   477,   478,
     478,   478,   479,   479,   480,   481,   481,   481,   481,   482,
     482,   483,   483,   484,   484,   485,   485,   485,   485,   485,
     486,   487,   487,   488,   488,   489,   490,   490,   490,   490,
     490,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   492,   492,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   494,   494,   495,   495,   495,   496,   496,
     497,   497,   498,   498,   498,   498,   499,   500,   500,   501,
     501,   502,   502,   502,   502,   503,   504,   504,   505,   505,
     505,   505,   506,   506,   507,   507,   508,   508,   509,   509,
     510,   510,   510,   511,   511,   512,   512,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   514,   514,   515,   515,   516,   516,   517,   517,   518,
     518,   519,   520,   520,   520,   520,   520,   521,   521,   522,
     523,   523,   523,   523,   524,   524,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   527,   527,   528,   528,
     529,   529,   529,   530,   530,   531,   532,   533,   533,   534,
     534,   534,   534,   535,   535,   535,   535,   535,   535,   535,
     536,   536,   536,   536,   537,   538,   538,   538,   539,   539,
     539,   539,   539,   539,   540,   540,   541,   541,   541,   541,
     541,   541,   541,   542,   542,   543,   543,   544,   544,   545,
     546,   546,   546,   546,   547,   547,   548,   548,   549,   549,
     550,   550,   550,   550,   550,   551,   552,   553,   553,   553,
     553,   553,   554,   554,   555,   555,   555,   555,   556,   556,
     556,   556,   557,   557,   558,   558,   559,   560,   561,   562,
     562,   562,   563,   564,   565,   565,   566,   567,   567,   567,
     568,   568,   568,   568,   568,   568,   569,   569,   570,   570,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   572,   572,   573,   573,   573,   573,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     580,   580,   581,   581,   582,   582,   583,   584,   584,   585,
     585,   586,   586,   587,   587,   588,   588,   588,   589,   590,
     590,   591,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   593,   594,   594,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   599,
     599,   600,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   605,   606,   607,   608,   608,   609,   609,   610,   610,
     611,   611,   612,   612,   612,   613,   613,   614,   614,   615,
     616,   616,   616,   617,   617,   618,   619,   619,   620,   620,
     620,   621,   621,   622,   622,   622,   622,   622,   623,   623,
     624,   624,   625,   625,   626,   626,   627,   627,   627,   628,
     628,   628,   628,   629,   629,   630,   630,   631,   631,   631,
     631,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     636,   636,   637,   638,   638,   638,   638,   639,   640,   641,
     641,   641,   641,   641,   641,   641,   641,   641,   641,   641,
     641,   641,   641,   642,   643,   643,   644,   644,   645,   645,
     645,   645,   645,   646,   647,   647,   648,   649,   649,   650,
     650,   651,   651,   651,   652,   652,   653,   654,   654,   655,
     655,   655,   655,   655,   656,   656,   657,   657,   658,   658,
     658,   659,   659,   660,   661,   661,   662,   662,   663,   663,
     664,   664,   665,   665,   666,   667,   668,   668,   668,   668,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   670,   670,   671,
     671,   672,   672,   673,   674,   674,   674,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   677,   677,   678,   678,   678,   678,   678,
     679,   679,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   680,   680,   681,   681,   682,   682,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   684,   684,   685,   685,   686,
     687,   687,   688,   688,   688,   688,   688,   689,   689,   690,
     690,   690,   690,   691,   691,   691,   691,   691,   691,   691,
     691,   691,   691,   691,   691,   691,   691,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   696,   697,   698,
     698,   699,   699,   700,   700,   701,   702,   702,   703,   703,
     703,   704,   704,   704,   705,   705,   705,   705,   706,   707,
     707,   708,   708,   709,   709,   710,   710,   711,   711,   712,
     712,   712,   713,   713,   714,   714,   714,   715,   715,   715,
     716,   716,   716,   717,   717,   717,   718,   718,   719,   719,
     720,   720,   721,   721,   722,   722,   723,   723,   723,   723,
     723,   724,   724,   724,   724,   724,   725,   726,   727,   727,
     727,   728,   728,   728,   729,   730,   730,   730,   730,   731,
     731,   732,   732,   733,   733,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   735,   735,   736,   736,   737,   738,   738,   739,
     740,   740,   741,   741,   742,   742,   743,   743,   744,   744,
     745,   745,   745,   745,   746,   746,   747,   748,   748,   749,
     749,   750,   750,   750,   751,   751,   751,   752,   753,   753,
     754,   754,   754,   755,   755,   756,   756,   757,   757,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   759,   759,   760,   760,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   763,   764,   764,   764,   765,   765,   766,   766,   766,
     766,   766,   767,   767,   768,   768,   768,   768,   769,   769,
     769,   770,   770,   771,   772,   772,   773,   774,   774,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   776,   776,   776,   777,   777,   777,   777,
     777,   778,   778,   778,   779,   779,   780,   780,   780,   780,
     781,   781,   781,   781,   782,   783,   784,   784,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   787,   787,   788,   789,
     789,   790,   791,   791,   792,   792,   793,   794,   794,   794,
     794,   794,   794,   794,   795,   795,   796,   797,   797,   797,
     797,   797,   797,   798,   799,   799,   799,   800,   800,   801,
     801,   801,   801,   801,   802,   802,   803,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   807,   807,   808,   808,
     809,   809,   810,   810,   810,   810,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   815,   816,   817,   817,   818,   818,   818,   818,
     819,   819,   820,   820,   821,   821,   821,   821,   822,   823,
     823,   823,   824,   824,   825,   826,   826,   827,   828,   828,
     829,   830,   830,   831,   831,   831,   831,   831,   831,   831,
     831,   832,   832,   833,   834,   834,   835,   835,   836,   837,
     838,   839,   839,   840,   841,   842,   842,   842,   842,   842,
     843,   843,   843,   844,   844,   845,   845,   846,   846,   846,
     846,   846,   846,   846,   846,   847,   847,   848,   848,   848,
     848,   848,   848,   849,   849,   850,   850,   851,   852,   852,
     853,   853,   854,   854,   854,   854,   854,   854,   854,   854,
     854,   855,   855,   856,   856,   856,   857,   857,   857,   857,
     858,   858,   859,   860,   860,   861,   861,   862,   862,   862,
     862,   863,   863,   864,   864,   864,   864,   865,   865,   866,
     866,   867,   868,   868,   868,   869,   869,   870,   870,   871,
     871,   872,   872,   873,   873,   874,   874,   875,   875,   876,
     876,   877,   878,   878,   878,   878,   879,   879,   880,   880,
     881,   881,   882,   882,   883,   883,   883,   883,   883,   883,
     883,   884,   884,   884,   884,   884,   884,   885,   885,   885,
     885,   886,   886,   887,   887,   887,   887,   887,   888,   888,
     888,   888,   889,   889,   890,   890,   891,   891,   891,   891,
     892,   892,   893,   893,   893,   894,   894,   895,   896,   896,
     897,   897,   898,   898,   899,   899,   900,   900,   900,   901,
     901,   902,   902,   903,   904,   904,   904,   904,   904,   904,
     905,   905,   905,   906,   906,   906,   906,   906,   906,   906,
     907,   907,   907,   907,   908,   908,   909,   909,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   911,
     911,   912,   912,   913,   913,   914,   915,   916,   916,   917,
     917,   918,   919,   920,   920,   920,   920,   920,   920,   921,
     921,   922,   922,   923,   923,   923,   923,   924,   925,   925,
     925,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   927,   927,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     931,   931,   931,   931,   931,   931,   931,   932,   932,   933,
     933,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   935,   935,   936,   936,   936,   936,   937,
     938,   938,   939,   939,   940,   940,   941,   941,   941,   942,
     942,   942,   942,   943,   943,   944,   944,   945,   945,   946,
     946,   947,   948,   948,   948,   949,   950,   950,   951,   951,
     952,   952,   952,   953,   953,   954,   954,   954,   954,   954,
     955,   955,   955,   956,   956,   956,   957,   957,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   959,   959,   960,
     960,   961,   961,   961,   961,   961,   961,   962,   962,   963,
     963,   964,   964,   965,   965,   966,   966,   966,   967,   967,
     968,   968,   969,   969,   969,   969,   969,   969,   969,   969,
     970,   970,   971,   972,   972,   973,   973,   973,   973,   973,
     973,   974,   975,   976,   976,   976,   977,   977,   978,   979,
     979,   980,   981,   981,   982,   982,   983,   983,   984,   984,
     984,   984,   985,   985,   986,   986,   987,   987,   988,   988,
     989,   989,   990,   991,   991,   992,   992,   993,   993,   993,
     993,   994,   994,   995,   995,   996,   996,   997,   998,   999,
    1000,  1001,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1005,  1006,
    1007,  1008,  1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,
    1011,  1011,  1012,  1012,  1012,  1012,  1013,  1013,  1013,  1013,
    1013,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     5,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     3,     5,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     6,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     2,
       3,     4,     6,     6,     6,     5,     5,     6,     6,     4,
       8,     4,     2,     4,     3,     6,     4,     3,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    11,     7,     1,     1,     1,     0,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     7,     5,     2,
       3,     0,     8,     4,     1,     0,     6,     5,     7,     9,
       4,     6,     8,     6,     8,    10,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    10,    13,     5,     7,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,     6,     8,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     5,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     3,     0,    13,     1,     3,     5,
       6,     4,     7,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     5,     7,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     3,     2,     3,
       3,     3,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       1,     1,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       1,     1,     1,     3,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     5,     7,     5,     7,     5,     7,
       3,     5,     5,     5,     1,     3,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
       4,     4,     4,     1,     1,     1,     0,     5,     5,     7,
       6,     6,     6,     6,     8,     8,     6,     6,     7,     9,
       9,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
       9,    11,     8,     8,     7,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     4,     4,     6,     4,     6,     6,
       5,     7,     9,     6,     1,     0,     6,    11,    11,    11,
      13,     9,    11,    10,     4,     2,     5,     2,     0,     4,
       5,     5,     4,     6,     1,     3,     1,     1,     1,     1,
       2,     4,     1,     1,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     1,     0,     5,     3,     0,     1,     1,     1,     1,
       3,     9,     3,     0,     2,     3,     2,     3,     6,     1,
       4,     2,     1,     3,     2,     2,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     2,     3,
       2,     0,     1,     3,     2,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     2,     6,     2,     1,     3,
       4,     0,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     2,     0,     2,     1,     0,     1,     1,
       1,     3,     3,     1,     0,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     6,     2,     3,     6,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 692 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 20550 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 699 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 20561 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 706 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 20572 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 832 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20578 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 843 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20590 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 853 "gram.y" /* yacc.c:1646  */
    {}
#line 20596 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 854 "gram.y" /* yacc.c:1646  */
    {}
#line 20602 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20608 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20614 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20620 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20626 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20635 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 20643 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20652 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20661 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 20669 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20677 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 20685 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20693 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 910 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 20748 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 963 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 20754 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20762 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 20770 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20778 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20786 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20794 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 996 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20806 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1014 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20818 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1024 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20824 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1025 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20830 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1030 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20842 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1038 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20854 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1056 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20866 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1068 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20878 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1076 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20890 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1097 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20901 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1104 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20912 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1123 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20923 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1130 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20934 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1147 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20946 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1165 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 20959 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 20965 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 20971 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1189 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20982 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1196 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20993 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1213 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21010 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21024 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21046 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1254 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21065 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21071 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21077 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1277 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 21087 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21093 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1311 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 21103 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 21113 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1323 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 21123 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1332 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21135 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1340 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21147 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21159 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21171 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1368 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21182 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1375 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21193 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1383 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 21199 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1385 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21210 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1393 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21225 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1404 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 21237 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1412 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21249 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1420 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21264 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1431 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21276 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1439 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21288 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1447 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21299 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1454 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21311 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1463 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21323 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21329 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 21335 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21341 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21347 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1482 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 21353 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1484 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21359 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 21365 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 21371 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1489 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 21377 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1490 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 21383 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 21389 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1495 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 21395 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1496 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 21401 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21407 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21415 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21423 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21442 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1538 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21469 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1560 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21475 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21481 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21487 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21493 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21499 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21505 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1572 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21511 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21517 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 21523 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1581 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21529 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1583 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 21540 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1590 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 21551 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1597 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21562 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 21573 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1614 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 21583 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1623 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21589 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1624 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21595 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1629 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21601 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1630 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21607 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1636 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21617 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1642 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21627 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1648 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21637 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1654 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21647 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1660 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 21657 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 21668 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21674 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21680 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1684 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21686 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1685 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21692 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1694 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 21701 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21711 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1715 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21721 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1721 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21731 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1727 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 21741 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 21751 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1752 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21764 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1761 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21777 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21792 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1781 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21807 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1792 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21820 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21833 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21848 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1821 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21863 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1832 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21876 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1841 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21889 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21902 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1859 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21915 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21928 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1877 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21941 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1886 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21956 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1897 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21971 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21977 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21983 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21994 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1925 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22005 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1933 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22017 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1942 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 22028 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 22039 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1958 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 22051 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1967 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22063 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1976 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22075 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1985 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 22087 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22100 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2004 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22113 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22131 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2032 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22143 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22154 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22172 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2064 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22183 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2072 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22196 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2082 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22209 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2092 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 22219 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2099 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 22229 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2106 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22240 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22251 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2122 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22262 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2130 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22273 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22284 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2146 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22294 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2153 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22304 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2160 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22315 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2168 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22325 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2175 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22335 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22346 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2190 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22357 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2198 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22368 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2206 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22379 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22390 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22401 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2230 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 22414 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2240 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 22424 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2247 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22435 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22446 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22457 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2271 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22468 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2279 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22479 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2286 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22490 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22496 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22502 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2300 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 22508 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2301 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 22514 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2302 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 22520 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2307 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22532 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22538 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22544 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22550 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2324 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22561 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2331 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22572 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2338 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22583 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2345 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 22594 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22600 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22606 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22612 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22618 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 22624 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 22632 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 22640 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 22649 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2382 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 22657 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2397 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 22671 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22677 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22683 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2416 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 22695 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2425 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22708 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2435 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22721 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22740 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2471 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22750 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22760 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2508 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 22792 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2536 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 22815 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2557 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22821 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2558 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22827 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2562 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22833 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2563 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22839 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2572 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22845 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2573 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22851 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22857 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22863 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2578 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22869 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2583 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22875 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22881 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22889 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22897 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 22905 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22913 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 22921 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 22929 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 22937 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 22945 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 22953 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 22961 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 22969 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 22977 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 22985 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 22993 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 23001 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2653 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23007 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 23015 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2661 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23021 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 23029 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2669 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23035 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2673 "gram.y" /* yacc.c:1646  */
    {}
#line 23041 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2674 "gram.y" /* yacc.c:1646  */
    {}
#line 23047 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23055 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23063 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 23071 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23077 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 23083 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 23089 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2700 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 23095 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2701 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23101 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23109 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23117 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23123 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23141 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2746 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23159 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2761 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23178 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2777 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23197 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2804 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23203 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2805 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23209 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2806 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23215 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23221 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2809 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23232 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2816 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23243 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2822 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23249 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2823 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23255 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23261 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23267 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23273 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23279 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23287 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23295 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23303 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23311 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23317 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23323 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23329 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23335 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23341 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2870 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23364 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2891 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23386 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 23392 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23398 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2917 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23410 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23416 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23422 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2927 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 23439 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2958 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23450 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23461 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2972 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23476 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2983 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23491 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2994 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23505 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3004 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23518 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3013 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 23537 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23548 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3053 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23559 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3060 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23570 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23581 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3078 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 23592 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 23598 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3088 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 23604 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3089 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 23610 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 23616 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 23622 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3095 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 23628 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 23634 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3097 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 23640 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3098 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 23646 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3108 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23658 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3115 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23664 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3120 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23681 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3134 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23699 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3148 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23717 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3163 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23735 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3177 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23753 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3193 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23773 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3210 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23795 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3229 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 23801 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3230 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 23807 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3234 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23813 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23819 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23825 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23831 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 23839 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3250 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 23847 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3254 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 23859 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3262 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23867 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3266 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23875 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3272 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 23881 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 23887 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3278 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 23895 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3283 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 23903 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3289 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 23909 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3290 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23915 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3301 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23921 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3303 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23927 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3305 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23933 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3307 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 23939 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3309 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23945 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3312 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23951 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3315 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23957 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 23963 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 23969 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 23975 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3322 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 23981 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3323 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 23987 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23993 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23999 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24005 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 24011 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 24017 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24023 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3338 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 24029 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3339 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 24035 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3340 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 24041 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 24047 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24053 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24059 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24065 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3349 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24071 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24077 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3368 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 24093 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 24108 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24114 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24120 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3398 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24126 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3411 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 24142 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 24157 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3438 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 24163 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3439 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 24169 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 24181 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3472 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = DEFAULT_SEQAM;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 24196 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3484 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-3].range)->relpersistence = (yyvsp[-5].ival);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 24211 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3496 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-5].range)->relpersistence = (yyvsp[-7].ival);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 24226 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3510 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24240 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24254 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3532 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24268 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3542 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24282 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3553 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24296 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3564 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24310 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24316 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24322 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24328 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24334 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 24342 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 24350 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 24358 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 24366 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 24374 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 24382 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 24390 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 24398 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 24406 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 24414 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 24422 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 24430 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3633 "gram.y" /* yacc.c:1646  */
    {}
#line 24436 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3634 "gram.y" /* yacc.c:1646  */
    {}
#line 24442 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24448 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24454 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 24463 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3645 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 24469 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24475 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24481 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3662 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 24497 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3675 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 24512 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24518 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3689 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24524 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24530 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 24536 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24542 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24548 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24554 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24560 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24566 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3713 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24572 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3718 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3729 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24601 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3741 "gram.y" /* yacc.c:1646  */
    {}
#line 24607 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3742 "gram.y" /* yacc.c:1646  */
    {}
#line 24613 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3753 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].str);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24626 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24632 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24638 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3778 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24649 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3785 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24660 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3802 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24672 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3810 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24684 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24690 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24696 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 24704 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3832 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24712 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24720 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3848 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24731 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24737 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24743 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3865 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24751 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3878 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 24765 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3888 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 24779 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3898 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24792 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3907 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24805 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24818 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3925 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 24832 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3935 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24845 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24859 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3954 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24873 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3964 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24887 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3974 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24900 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3983 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24913 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3992 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24926 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24939 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4010 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24952 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4019 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24965 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4028 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24978 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24991 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4046 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25004 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25017 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4064 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25030 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 25043 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4082 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 25056 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4091 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25069 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4109 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4119 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4120 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 25093 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4121 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 25099 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4122 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 25105 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25111 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25117 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25123 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25129 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4143 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25144 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4154 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25159 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4174 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25171 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4182 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 25183 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25189 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25195 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25203 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25211 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25217 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25225 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25233 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 25241 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 25250 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 25259 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 25267 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25275 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4253 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25281 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4258 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25287 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4270 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25301 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4282 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25307 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25313 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4288 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25319 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4289 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25325 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25331 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25337 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25352 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4316 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25367 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25380 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4345 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25392 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4353 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25403 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4372 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25420 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4387 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25437 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4410 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25450 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4419 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25463 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4437 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25475 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4448 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25481 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4449 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25487 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4450 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 25493 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4461 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 25505 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4469 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 25517 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4486 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25529 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4507 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25551 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4528 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 25574 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 25580 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 25586 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 25592 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25598 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4558 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 25621 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 25627 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4582 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 25633 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 25639 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 25645 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 25651 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 25659 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4597 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 25671 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4607 "gram.y" /* yacc.c:1646  */
    {}
#line 25677 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4608 "gram.y" /* yacc.c:1646  */
    {}
#line 25683 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4612 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25689 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25695 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4617 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 25701 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4618 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25707 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 25713 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 25719 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25725 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4629 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 25735 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4634 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25741 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4635 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25747 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4636 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25753 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4640 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 25759 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4641 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 25765 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 25771 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4648 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 25799 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4674 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 25805 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 25811 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4676 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 25817 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4677 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 25823 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4678 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 25829 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4679 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 25835 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4685 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25850 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4696 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25865 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4720 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25878 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4731 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25891 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25897 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25903 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4750 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 25909 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25915 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25921 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 25932 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4771 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 25938 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4772 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 25944 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4773 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 25950 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4774 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 25956 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4788 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 25976 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4807 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 25992 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4830 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26006 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4840 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26021 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4851 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26035 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4861 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26049 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4871 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 26064 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4882 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 26077 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4891 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 26088 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4898 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26099 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4905 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26112 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4914 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26125 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4923 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26138 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26151 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4941 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26164 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4950 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 26177 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26183 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26189 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26195 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 26203 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 26211 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 26217 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 26223 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 26229 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 26235 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 26241 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26247 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26253 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26259 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4998 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 26267 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26273 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26279 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26285 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26291 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5022 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26305 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5032 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26319 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5042 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26333 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5053 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26339 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5054 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26345 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5072 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26360 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26366 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26372 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5091 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26386 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5102 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26400 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 26413 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5121 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 26427 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5131 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 26438 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26444 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26450 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26456 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26462 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26468 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5148 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26474 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5149 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26480 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5153 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 26498 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5166 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5172 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26515 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5182 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26528 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26541 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26547 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26553 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5208 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26565 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5216 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26577 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5228 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26592 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5239 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26607 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5253 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26622 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5264 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26637 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5287 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26648 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5297 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26659 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5315 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26674 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5326 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26689 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5337 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26704 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5348 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26719 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26725 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26731 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26737 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5364 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26743 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5365 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26749 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5366 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26755 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5367 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26761 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26767 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5369 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26773 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5370 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26779 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5371 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26785 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5372 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26791 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26797 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5374 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26803 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5375 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26809 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26815 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26821 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26827 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26833 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26839 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 26845 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26851 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26857 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5405 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26869 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5415 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26875 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5416 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26881 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5417 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26887 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5450 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26900 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5459 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26913 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5468 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26926 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5477 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26939 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5486 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26952 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5495 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26965 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5504 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26979 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5514 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26992 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5523 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27005 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27018 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5541 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27031 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5550 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27044 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5559 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27057 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5570 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5571 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 27069 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5572 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27075 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5573 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 27081 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5574 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5575 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5576 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 27099 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5577 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27105 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5578 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27111 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5579 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27117 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5580 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 27123 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5581 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 27129 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5582 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27135 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5583 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 27141 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5584 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27147 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5585 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27153 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5586 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 27159 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5587 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 27165 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5588 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 27171 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5589 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 27177 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5590 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 27183 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5591 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 27189 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5592 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 27195 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5596 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27201 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5597 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27207 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5613 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27221 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5624 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27235 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5635 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27249 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5646 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27263 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5657 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27277 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5668 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27283 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5669 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5673 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 27295 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5674 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 27301 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5675 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 27307 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5676 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27313 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5677 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27319 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5678 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27325 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27331 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27337 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27343 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5682 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27349 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5683 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27355 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5684 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27361 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5685 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27367 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27373 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27379 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5700 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 27389 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5706 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 27399 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5714 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27411 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5722 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27423 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5730 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27435 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5738 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27447 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5746 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27459 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5754 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 27471 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27483 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5770 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27495 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5778 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27507 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5786 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27519 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5794 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27531 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5802 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27543 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5810 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27555 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5818 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27567 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5826 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27579 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5834 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27591 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5843 "gram.y" /* yacc.c:1646  */
    {}
#line 27597 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5844 "gram.y" /* yacc.c:1646  */
    {}
#line 27603 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5847 "gram.y" /* yacc.c:1646  */
    {}
#line 27609 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5848 "gram.y" /* yacc.c:1646  */
    {}
#line 27615 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5860 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27631 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5876 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27648 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5890 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27665 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27671 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27677 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27683 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5921 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27694 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5928 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27705 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 27711 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 27717 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5941 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27728 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5948 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27739 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5955 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27750 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5962 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27761 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5976 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27773 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5984 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27785 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5992 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27797 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6000 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27809 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6008 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27821 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6016 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27833 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6024 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27845 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6032 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27857 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6040 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27869 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6048 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27881 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6056 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27893 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6064 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27905 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6072 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27917 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6080 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27929 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6088 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27941 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6096 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27953 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27959 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27965 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6112 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27979 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6122 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27993 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6135 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27999 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6136 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28005 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 28011 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 28017 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6147 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 28028 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6163 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 28042 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6176 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 28056 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6186 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 28070 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6197 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28076 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6198 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28082 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6201 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28088 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28094 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6213 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 28105 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28111 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28117 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 28125 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 28133 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 28141 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6248 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 28157 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6261 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28174 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6275 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28191 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6290 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 28197 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6291 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 28203 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 28209 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 28215 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6308 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 28241 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6332 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28247 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6333 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28253 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28259 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28265 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28271 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28277 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28283 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 28289 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 28295 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 28301 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28316 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28331 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28346 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28352 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28358 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28364 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28370 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28376 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6404 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 28382 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6405 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 28388 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 28394 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 28400 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6410 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 28406 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6411 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 28412 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6429 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28427 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6441 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28443 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6454 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28458 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6467 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28464 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6468 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28470 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28476 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28482 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28488 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28494 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28500 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28506 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28512 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6492 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28518 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6507 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28531 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6516 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28544 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6525 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28557 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6534 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28570 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6543 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28583 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6554 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 28589 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6555 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 28595 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6556 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28601 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6557 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28607 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6558 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 28613 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6569 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 28625 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6583 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 28631 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28641 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28652 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28660 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28669 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28678 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28692 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 28700 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 28708 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 28716 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6671 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 28725 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28731 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28737 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6684 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28743 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28749 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 28757 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28765 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6701 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28773 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 28781 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 28789 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 28797 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28805 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6721 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28813 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28821 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28829 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6737 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 28845 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 28853 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 28861 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6749 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 28870 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 28878 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6761 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28886 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6765 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 28894 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6769 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28902 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28908 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 28916 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28922 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28928 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6787 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28941 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 28949 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 28957 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6818 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 28968 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28974 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28980 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6851 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28995 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6862 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29010 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6876 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29025 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6887 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29040 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6901 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29055 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6912 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29070 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6926 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 29082 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 29088 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 29094 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6938 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29106 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 29112 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6958 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29122 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29128 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29134 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 29142 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6976 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 29150 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6989 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 29164 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 29178 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7011 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 29192 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 29198 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 29204 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 29210 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7029 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29225 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7041 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29231 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7042 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29237 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7057 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29249 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7065 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 29263 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7075 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 29277 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7087 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29283 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7088 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29289 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7091 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 29295 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7092 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 29301 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29314 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7113 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7130 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29341 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29354 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29367 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7158 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29380 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29393 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7176 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29407 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7186 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29420 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7195 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29434 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7205 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29447 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29460 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7223 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29474 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7233 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29488 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29501 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7252 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29514 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7261 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29528 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7271 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29542 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7281 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29556 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7291 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29570 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7301 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29584 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29598 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7321 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29612 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7331 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7341 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29640 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7351 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29654 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7361 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29668 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7371 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29682 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7381 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29697 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7392 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29712 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7403 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29727 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7414 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29742 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7425 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29756 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7435 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29771 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7446 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29786 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7457 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29800 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7467 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29814 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29826 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7485 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29839 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7494 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29852 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29865 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29878 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29891 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29904 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29917 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7548 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29930 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7557 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29946 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7570 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 29952 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7571 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29958 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7574 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 29964 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29970 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7586 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29984 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29997 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30010 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30023 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30036 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7632 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30050 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30064 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7652 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30078 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7662 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30092 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30105 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7681 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30118 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7690 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30131 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7699 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30144 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7708 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7717 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30170 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7726 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30183 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30196 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7744 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30209 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7753 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30222 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7762 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30235 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30248 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7780 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7789 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30274 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7798 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30287 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7815 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30300 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30312 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7832 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30324 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7840 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30336 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7848 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30348 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7856 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30361 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7865 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30373 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7873 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30385 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30398 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30411 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30424 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7908 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30436 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7916 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30448 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7924 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30460 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7932 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30472 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7940 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30484 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7948 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30496 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7956 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30508 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7964 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30520 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30542 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30548 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30554 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8005 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 30564 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8011 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 30574 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8027 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30580 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8028 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30586 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8031 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 30592 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8032 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8033 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 30604 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8034 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 30610 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8038 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30616 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30622 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30628 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8046 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30643 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8057 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30658 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8079 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30669 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8088 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30675 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8089 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30681 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8093 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30691 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8102 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30701 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8108 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8127 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30722 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8134 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30733 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8141 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30744 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8148 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30755 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8155 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30766 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30777 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30789 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8177 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30801 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8185 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30813 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8193 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30825 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8201 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30837 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8209 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30848 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8216 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8223 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30870 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8231 "gram.y" /* yacc.c:1646  */
    {}
#line 30876 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8232 "gram.y" /* yacc.c:1646  */
    {}
#line 30882 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8233 "gram.y" /* yacc.c:1646  */
    {}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8238 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 30895 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8241 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 30902 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8244 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30909 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8247 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 30916 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8250 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30923 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30929 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30935 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30941 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30947 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8281 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30963 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8294 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8307 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 31000 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8325 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 31021 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8344 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 31027 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8345 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 31033 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8346 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 31039 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8347 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 31045 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31055 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31066 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31072 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31078 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8389 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8393 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 31094 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 31102 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 31110 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 31126 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 31134 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8417 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31142 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 31150 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8425 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 31158 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8429 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 31166 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 31174 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 31182 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31190 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 31198 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 31206 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8458 "gram.y" /* yacc.c:1646  */
    {}
#line 31212 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8459 "gram.y" /* yacc.c:1646  */
    {}
#line 31218 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8471 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8478 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 31241 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8489 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31252 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31258 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31264 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31272 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8519 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 31283 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8526 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 31294 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8544 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31304 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8550 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31314 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8566 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 31327 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8579 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31339 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8588 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31350 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8596 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31361 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8604 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31373 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8613 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31387 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8624 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31401 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8635 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31413 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8644 "gram.y" /* yacc.c:1646  */
    {}
#line 31419 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8645 "gram.y" /* yacc.c:1646  */
    {}
#line 31425 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8657 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31436 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8667 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8677 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31478 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8697 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31492 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8707 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 31504 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8715 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 31516 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8737 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31530 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8759 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31542 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8767 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31554 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8776 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31566 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31572 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31578 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8816 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31618 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8832 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 31636 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8846 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31660 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8866 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 31686 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31692 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 31698 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8895 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 31704 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 31710 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8897 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 31716 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8898 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 31722 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8903 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31740 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8917 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31758 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8933 "gram.y" /* yacc.c:1646  */
    {}
#line 31764 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8934 "gram.y" /* yacc.c:1646  */
    {}
#line 31770 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31776 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8939 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31782 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8942 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31788 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31794 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8946 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31800 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8947 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31806 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31812 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31818 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8966 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31829 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8973 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31843 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8983 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31854 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8990 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 31865 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31873 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31881 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 31889 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9029 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31895 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9030 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 31901 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31907 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9035 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 31913 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31919 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9047 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31931 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31937 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9057 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31943 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9075 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31954 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9083 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31973 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31979 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31985 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9111 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31995 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9117 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 32005 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9123 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 32015 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9129 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 32025 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9145 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 32036 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 32046 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 32056 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 32066 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32072 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 32078 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9183 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 32090 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32102 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9207 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 32116 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32122 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32128 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9232 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32141 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 32147 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9246 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 32159 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9247 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 32165 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9248 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 32171 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9249 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 32177 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9250 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 32183 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 32189 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 32195 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 32201 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9256 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32207 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9257 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32213 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9273 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 32228 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32234 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 32240 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32246 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32252 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9297 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 32261 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9305 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 32290 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 32302 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32308 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 32314 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9355 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 32327 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9365 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32333 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32339 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 32345 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 32351 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9371 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 32357 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9372 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 32363 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9375 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32369 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9376 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 32375 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9377 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32381 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9430 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32387 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9431 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32393 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9446 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32399 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9448 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32410 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9455 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9463 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9471 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 32446 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9479 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9487 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32470 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9495 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32482 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9505 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32488 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9506 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9536 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32511 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32517 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9550 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 32540 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32548 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32556 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32564 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9592 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 32575 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9599 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 32586 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32592 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32598 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9613 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 32611 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9624 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 32617 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9625 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 32623 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 32638 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9641 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 32644 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32653 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32662 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32671 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32680 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9670 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32692 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9678 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32704 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 32713 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32722 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32731 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9702 "gram.y" /* yacc.c:1646  */
    {}
#line 32737 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9703 "gram.y" /* yacc.c:1646  */
    {}
#line 32743 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9706 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32749 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9707 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32755 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9708 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32761 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 32767 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32773 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9717 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32779 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32785 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 32791 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32797 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32803 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 32809 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 32815 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 32828 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 32841 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 32847 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 32853 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 32859 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 32865 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9764 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32871 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 32877 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9770 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32883 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9772 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 32896 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9788 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 32902 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9790 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 32908 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9795 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32914 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9798 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32920 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32926 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9804 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 32935 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9811 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32941 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9831 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32947 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32953 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9835 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 32959 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9839 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 32965 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9840 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 32971 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9844 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32977 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9845 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32983 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9848 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32989 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9849 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32995 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33001 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33007 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33019 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33025 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33031 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33037 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9870 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33049 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33055 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9880 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 33073 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9892 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 33085 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9893 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 33091 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33097 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33103 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9904 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33113 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9910 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33129 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9940 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 33156 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9945 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33167 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9952 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33179 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9960 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 33218 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9995 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 33247 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 33255 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10024 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 33264 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 33272 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10054 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 33288 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10066 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33305 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33323 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10093 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33338 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10104 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33354 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33364 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10125 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33373 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33392 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10142 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 33398 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10143 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 33404 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 33412 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 33420 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10160 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10166 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33440 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 33448 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10177 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 33454 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10178 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10179 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 33466 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10180 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 33472 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10184 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33478 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10185 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33484 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10197 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33490 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33496 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10204 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 33507 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10211 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 33518 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10218 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33529 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10225 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33540 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 33546 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 33552 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10250 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 33560 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10254 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 33571 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10261 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 33582 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10282 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33596 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10292 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33610 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 33616 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33622 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33628 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10312 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33634 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10313 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33640 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10316 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10317 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10322 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33658 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33664 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10328 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33670 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10330 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 33682 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10337 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33688 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33694 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33700 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10348 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33708 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33716 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10358 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33738 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 33747 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10393 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 33757 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 33766 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 33776 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 33785 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10425 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 33801 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10427 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10429 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 33813 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10433 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10434 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33825 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10435 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10436 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10437 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 33852 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 33872 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10473 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33878 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10474 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33884 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10475 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33890 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10476 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33896 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33906 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 33916 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33922 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10502 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33937 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33946 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33955 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33964 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10529 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33973 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10534 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33982 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33991 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34001 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34011 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34021 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34030 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10569 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 34055 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 34063 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34071 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34079 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34087 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 34096 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10624 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34109 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10636 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34127 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34135 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34151 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10671 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 34166 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10684 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34179 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10695 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34196 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10710 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34202 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10712 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34208 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10714 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 34214 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10716 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34220 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10718 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34226 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10720 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34232 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10724 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34238 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10725 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34244 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10729 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34250 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10730 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34256 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10738 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34269 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10747 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34281 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10755 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34294 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10764 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34315 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10782 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34321 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10783 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34327 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10784 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34333 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 34339 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 34345 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 34351 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 34357 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34369 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10806 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 34387 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34397 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34409 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34418 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34439 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34445 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10848 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 34453 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 34462 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10881 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34468 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10883 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34474 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10885 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34486 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 34496 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10908 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34502 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10910 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34508 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10912 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34514 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10914 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34520 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34532 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10920 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34538 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10922 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34544 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34550 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10926 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34556 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34562 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34568 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34574 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10935 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34580 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10938 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34586 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10940 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34592 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10942 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34598 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10945 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34604 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10947 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34615 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10954 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34621 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10956 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34632 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34638 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10965 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34649 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10972 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34655 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10974 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34666 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10982 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10989 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34688 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10996 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34699 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11003 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 34710 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11020 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34721 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11027 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34732 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11034 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34743 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11041 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34754 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11048 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 34774 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11064 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34785 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11071 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34796 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11078 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34807 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11085 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34818 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11092 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34829 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11099 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34840 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34848 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 34860 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34868 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34876 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34887 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34898 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34915 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11159 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11172 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 34955 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11191 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 34980 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11212 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 34994 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11222 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 35005 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11229 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35025 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 35034 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11250 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 35045 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11268 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35051 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11270 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 35057 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11272 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 35063 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 35069 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11276 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35075 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11278 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35081 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11280 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35087 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35093 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11284 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35099 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11286 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11288 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35111 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11290 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35117 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35123 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35129 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 35135 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11298 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 35141 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 35149 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11304 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 35158 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35166 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 35174 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 35183 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 35194 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11338 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35200 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11339 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35206 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11341 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 35225 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11356 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 35241 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11368 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35247 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11370 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35253 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11372 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 35267 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11382 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11405 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35308 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11415 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35322 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11425 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11433 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 35347 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 35355 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11448 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35365 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11454 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35376 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11461 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11468 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 35401 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11478 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35412 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11485 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35432 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11513 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 35471 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35477 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11558 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35483 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11559 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35489 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 35499 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11573 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 35529 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11599 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 35543 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11609 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35560 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11622 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 35572 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11630 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35589 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11643 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 35603 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11653 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11666 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 35634 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11676 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35659 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35667 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 35675 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11701 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35683 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 35691 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 35699 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11713 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 35705 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35713 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11719 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11728 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35735 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11733 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35746 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11740 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 35765 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11755 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35776 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35792 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11770 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35800 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 35808 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11778 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 35819 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11785 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35831 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11793 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35843 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35851 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 35859 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11809 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 35867 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 35875 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 35883 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11821 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 35893 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 35901 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11831 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 35914 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11840 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 35922 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35930 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11848 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35939 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11853 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 35952 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11867 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35958 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11869 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 35964 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 35970 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11875 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 35976 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 35982 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11879 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 35988 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35994 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 36000 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11886 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11890 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 36018 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11898 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11907 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 36036 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11908 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11911 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36048 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11912 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36054 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11913 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36060 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11919 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11923 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 36076 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36084 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11931 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 36092 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11941 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36098 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11942 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36104 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11955 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36128 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 36134 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 36140 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11967 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 36150 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11975 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 36156 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11977 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11990 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 36179 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11995 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 36197 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12020 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36203 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12021 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36209 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12024 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36215 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12025 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36221 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12037 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 36243 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12055 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 36253 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12061 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36265 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12071 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 36286 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12088 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 36327 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12133 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36339 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12141 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36351 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12149 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12157 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36375 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12165 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36387 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36393 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36399 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 36405 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36411 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36417 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12192 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 36423 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12195 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36429 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12196 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36435 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12199 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 36441 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12200 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 36447 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12201 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 36453 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 36459 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12203 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 36465 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12204 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 36471 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12205 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 36477 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12206 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 36483 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12207 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 36489 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36495 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36501 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36507 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36513 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36519 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36525 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 36531 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 36537 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 36543 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 36549 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36557 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36565 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36573 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36581 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36589 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12272 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 36602 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36614 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36622 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36630 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12295 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 36638 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36644 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36650 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 36658 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12310 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36664 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36670 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12318 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 36676 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12319 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 36682 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 36688 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12321 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 36694 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12322 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 36700 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12323 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 36706 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12324 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36712 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36720 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36728 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12346 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36734 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 36740 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36746 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36754 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12374 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 36763 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36771 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12383 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 36790 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12398 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 36798 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36804 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12406 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36810 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12409 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36816 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 36822 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36828 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36834 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12418 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 36845 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12424 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 36851 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12435 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 36865 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36871 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36877 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12454 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 36889 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12464 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36895 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36901 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12468 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36907 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12469 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36913 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 36921 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 36929 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 36937 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 36945 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36956 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12499 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36973 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12513 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36991 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36997 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12531 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 37007 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12539 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37013 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37019 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12548 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37025 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37031 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37037 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12563 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37043 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12564 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37049 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12568 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 37061 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37073 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 37085 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12600 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12621 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 37107 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 37113 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 37121 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12638 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 37150 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37156 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12667 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37162 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12671 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37168 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12674 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37174 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12677 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37180 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12679 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37186 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12681 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37192 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12683 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37198 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37204 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12696 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 37213 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12707 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 37221 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37229 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37237 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37245 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12723 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37258 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12732 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37269 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12739 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37305 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 37313 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12775 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37323 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12781 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37344 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12798 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 37352 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12802 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 37360 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12806 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 37368 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12811 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37374 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12812 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37380 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12813 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37386 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12816 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37392 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37398 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12821 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37404 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12822 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 37410 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12823 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 37416 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12839 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37422 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12840 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37428 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 12841 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37434 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 12846 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37440 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 12847 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37446 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 12848 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37452 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 12853 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37458 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 12854 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37464 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 12855 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37470 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 12856 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37476 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 12862 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37482 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 12863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37488 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 12864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37494 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 12865 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37500 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 12866 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37506 "gram.c" /* yacc.c:1646  */
    break;


#line 37510 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13328 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
